!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-28 19:55             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl3()
      coupl(nGC_5302) = -coupl(nGC_5301)
      coupl(nGC_5561) = coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_3338)
      coupl(nGC_4790) = coupl(nGC_4787) - 2d0*coupl(nGC_4788)
      coupl(nGC_6444) = 2d0*coupl(nGC_18)*dZWMinus_QED2 + coupl(nGC_3343)
      coupl(nGC_6445) = -2d0*coupl(nGC_6444)
      coupl(nGC_7202) = coupl(nGC_3468) + coupl(nGC_7199)
      coupl(nGC_5014) = coupl(nGC_3415) + coupl(nGC_5012)
      coupl(nGC_4895) = -coupl(nGC_4894)
      coupl(nGC_9574) = -coupl(nGC_3265)
      coupl(nGC_5474) = coupl(nGC_3356) + coupl(nGC_HHGG)
      coupl(nGC_4914) = coupl(nGC_4904) + coupl(nGC_4912)
      coupl(nGC_4734) = coupl(nGC_4729) + coupl(nGC_4732)
      coupl(nGC_5289) = coupl(nGC_3358) + coupl(nGC_48)*dZH_QED2/2d0 + coupl(  &
                        nGC_GGH)
      coupl(nGC_5156) = -coupl(nGC_5155)
      coupl(nGC_4872) = coupl(nGC_4865) + coupl(nGC_4870)
      coupl(nGC_4871) = coupl(nGC_4867) + coupl(nGC_4870)
      coupl(nGC_4741) = -2d0*coupl(nGC_4739) + coupl(nGC_4740)
      coupl(nGC_9156) = -coupl(nGC_3266)
      coupl(nGC_8431) = coupl(nGC_3465) + coupl(nGC_8429)
      coupl(nGC_4765) = -coupl(nGC_4764)
      coupl(nGC_5538) = coupl(nGC_3341) + coupl(nGC_5)*dZA_QED2 + coupl(nGC_5)*&
                        dZWMinus_QED2
      coupl(nGC_4823) = coupl(nGC_22)*dZWMinus_QED2/2d0 + coupl(nGC_3364)
      coupl(nGC_6620) = coupl(nGC_3472) + coupl(nGC_6617)
      coupl(nGC_4887) = coupl(nGC_27)*dZAZ_QED2/2d0 + coupl(nGC_3374) + coupl( &
                        nGC_8)*dZH_QED2/2d0 + coupl(nGC_8)*dZWMinus_QED2/2d0 + &
                        coupl(nGC_8)*dZZ_QED2/2d0
      coupl(nGC_5498) = coupl(nGC_3461) + coupl(nGC_5496)
      coupl(nGC_5041) = -coupl(nGC_4823)
      coupl(nGC_4883) = coupl(nGC_4873) + coupl(nGC_4881)
      coupl(nGC_5081) = coupl(nGC_3449) + coupl(nGC_60)*dZcL/2d0 + coupl(nGC_60&
                        )*dZcR/2d0
      coupl(nGC_5233) = coupl(nGC_3467) + coupl(nGC_5230)
      coupl(nGC_8092) = -coupl(nGC_5208)
      coupl(nGC_5539) = -coupl(nGC_5537)/2d0 + coupl(nGC_5538)
      coupl(nGC_5000) = coupl(nGC_3369) + coupl(nGC_50)*dZH_QED2/2d0 + coupl(  &
                        nGC_50)*dZWMinus_QED2
      coupl(nGC_5069) = -coupl(nGC_5068)
      coupl(nGC_5393) = coupl(nGC_3443) + coupl(nGC_5388)
      coupl(nGC_5427) = coupl(nGC_3459) + coupl(nGC_5422)
      coupl(nGC_7984) = coupl(nGC_3359) + 3d0*coupl(nGC_49)*dZH_QED2/2d0 +     &
                        coupl(nGC_HHH)
      coupl(nGC_5426) = coupl(nGC_3458) + coupl(nGC_59)*dZH_QED2/2d0
      coupl(nGC_5438) = -coupl(nGC_5437)
      coupl(nGC_5734) = coupl(nGC_3471) + coupl(nGC_5731)
      coupl(nGC_5866) = coupl(nGC_3476) + coupl(nGC_MW_GF)*dZWMinus_QED2/2d0
      coupl(nGC_4882) = coupl(nGC_4873) + coupl(nGC_4880)
      coupl(nGC_5454) = coupl(nGC_3457) + coupl(nGC_5449)
      coupl(nGC_8763) = 2d0*coupl(nGC_12)*dZg_QCD2 + coupl(nGC_3339)
      coupl(nGC_4789) = -coupl(nGC_4787)/2d0 + coupl(nGC_4788)
      coupl(nGC_5297) = coupl(nGC_3377) + coupl(nGC_46)*dZZ_QED2
      coupl(nGC_5562) = -coupl(nGC_5561)
      coupl(nGC_5540) = coupl(nGC_5537) - 2d0*coupl(nGC_5538)
      coupl(nGC_8764) = -2d0*coupl(nGC_8763)
      coupl(nGC_8767) = -coupl(nGC_8763)
      coupl(nGC_8768) = 2d0*coupl(nGC_8763)
    end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
