!******************************************************************************!
!                                                                              !
!    vertices_info2.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info2.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-28 19:55             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info2
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl2()
      allocate(vertices(800)%branch(0:0))
      call av(800, 0, 18, 1, 0, FaVF0, 0, [0, 1], [nGC_35, nGC_39])

      allocate(vertices(801)%branch(0:0))
      call av(801, 0, 17, 1, 0, FVFa1, 0, [0, 1], [nGC_35, nGC_39])

      allocate(vertices(802)%branch(0:0))
      call av(802, 0, 8, 1, 0, SVS0, 0, [0, 1], [nGC_356])

      allocate(vertices(803)%branch(0:0))
      call av(803, 0, 8, 1, 0, UaVU0, 0, [0, 1], [nGC_290])

      allocate(vertices(804)%branch(0:0))
      call av(804, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_27])

      allocate(vertices(805)%branch(0:1))
      call av(805, 0, 22, 2, 0, FVFa1, 0, [1, 0], [nGC_11, nGC_11])

      call av(805, 1, 23, 3, 0, FVFa1, 0, [1, 0], [nGC_11, nGC_11])

      allocate(vertices(806)%branch(0:0))
      call av(806, 0, 10, 1, 0, FFaS1, 0, [0, 1], [nGC_63, nGC_63])

      allocate(vertices(807)%branch(0:0))
      call av(807, 0, 8, 1, 0, FaFS1, 0, [0, 1], [nGC_81])

      allocate(vertices(808)%branch(0:0))
      call av(808, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_42])

      allocate(vertices(809)%branch(0:0))
      call av(809, 0, 20, 1, 0, VFFa1, 0, [0, 1], [nGC_2, nGC_2])

      allocate(vertices(810)%branch(0:0))
      call av(810, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_17])

      allocate(vertices(811)%branch(0:0))
      call av(811, 0, 8, 1, 0, FaVF1, 0, [0, 1], [nGC_41])

      allocate(vertices(812)%branch(0:0))
      call av(812, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_14])

      allocate(vertices(813)%branch(0:0))
      call av(813, 0, 8, 1, 0, UaUV0, 0, [0, 1], [nGC_372])

      allocate(vertices(814)%branch(0:0))
      call av(814, 0, 18, 1, 0, FaVF0, 0, [0, 1], [nGC_2, nGC_2])

      allocate(vertices(815)%branch(0:0))
      call av(815, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_6])

      allocate(vertices(816)%branch(0:0))
      call av(816, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_546, nGC_18, nGC_18])

      allocate(vertices(817)%branch(0:0))
      call av(817, 0, 8, 1, 0, SVS0, 0, [0, 1], [nGC_21])

      allocate(vertices(818)%branch(0:0))
      call av(818, 0, 17, 1, 0, FSFa1, 0, [0, 1], [nGC_75, nGC_75])

      allocate(vertices(819)%branch(0:0))
      call av(819, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_8])

      allocate(vertices(820)%branch(0:0))
      call av(820, 0, 8, 1, 0, SVV0, 0, [0, 1], [nGC_52])

      allocate(vertices(821)%branch(0:0))
      call av(821, 0, 8, 1, 0, SSV0, 0, [0, 1], [nGC_2174])

      allocate(vertices(822)%branch(0:1))
      call av(822, 0, 0, 4, 0, UaUV0, 0, [1, 0], [nGC_230])

      call av(822, 1, 1, 5, 0, UaUV0, 0, [1, 0], [nGC_230])

      allocate(vertices(823)%branch(0:0))
      call av(823, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_27])

      allocate(vertices(824)%branch(0:0))
      call av(824, 0, 8, 1, 0, VFFa0, 0, [0, 1], [nGC_23])

      allocate(vertices(825)%branch(0:0))
      call av(825, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_27])

      allocate(vertices(826)%branch(0:0))
      call av(826, 0, 20, 1, 0, SFFa0, 0, [0, 1], [nGC_79, nGC_79])

      allocate(vertices(827)%branch(0:0))
      call av(827, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_458, nGC_29, nGC_458])

      allocate(vertices(828)%branch(0:0))
      call av(828, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_26])

      allocate(vertices(829)%branch(0:0))
      call av(829, 0, 17, 1, 0, FVFa1, 0, [0, 1], [nGC_34, nGC_38])

      allocate(vertices(830)%branch(0:1))
      call av(830, 0, 30, 2, 0, VFaF0, 0, [1, 0], [nGC_11, nGC_11])

      call av(830, 1, 31, 3, 0, VFaF0, 0, [1, 0], [nGC_11, nGC_11])

      allocate(vertices(831)%branch(0:0))
      call av(831, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_27])

      allocate(vertices(832)%branch(0:0))
      call av(832, 0, 21, 1, 0, SFaF0, 0, [0, 1], [nGC_61, nGC_85])

      allocate(vertices(833)%branch(0:0))
      call av(833, 0, 8, 1, 0, UUaS0, 0, [0, 1], [nGC_33])

      allocate(vertices(834)%branch(0:0))
      call av(834, 0, 8, 1, 0, UVUa0, 0, [0, 1], [nGC_290])

      allocate(vertices(835)%branch(0:0))
      call av(835, 0, 19, 1, 0, FaFS0, 0, [0, 1], [nGC_86, nGC_88])

      allocate(vertices(836)%branch(0:0))
      call av(836, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_17])

      allocate(vertices(837)%branch(0:0))
      call av(837, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_28])

      allocate(vertices(838)%branch(0:0))
      call av(838, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13])

      allocate(vertices(839)%branch(0:0))
      call av(839, 0, 20, 1, 0, SFFa0, 0, [0, 1], [nGC_77, nGC_53])

      allocate(vertices(840)%branch(0:0))
      call av(840, 0, 19, 1, 0, FaFS0, 0, [0, 1], [nGC_87, nGC_87])

      allocate(vertices(841)%branch(0:0))
      call av(841, 0, 17, 1, 0, FSFa1, 0, [0, 1], [nGC_73, nGC_57])

      allocate(vertices(842)%branch(0:0))
      call av(842, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_18, nGC_18, nGC_546])

      allocate(vertices(843)%branch(0:0))
      call av(843, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_45])

      allocate(vertices(844)%branch(0:0))
      call av(844, 0, 8, 1, 0, SVS0, 0, [0, 1], [nGC_2174])

      allocate(vertices(845)%branch(0:0))
      call av(845, 0, 17, 1, 0, FSFa1, 0, [0, 1], [nGC_76, nGC_74])

      allocate(vertices(846)%branch(0:0))
      call av(846, 0, 18, 1, 0, FaVF0, 0, [0, 1], [nGC_34, nGC_38])

      allocate(vertices(847)%branch(0:0))
      call av(847, 0, 8, 1, 0, SFFa0, 0, [0, 1], [nGC_68, nGC_66])

      allocate(vertices(848)%branch(0:0))
      call av(848, 0, 20, 1, 0, VFFa0, 0, [0, 1], [nGC_23])

      allocate(vertices(849)%branch(0:0))
      call av(849, 0, 8, 1, 0, UVUa0, 0, [0, 1], [nGC_160])

      allocate(vertices(850)%branch(0:0))
      call av(850, 0, 21, 1, 0, VFaF0, 0, [0, 1], [nGC_34, nGC_38])

      allocate(vertices(851)%branch(0:0))
      call av(851, 0, 18, 1, 0, FaVF1, 0, [0, 1], [nGC_23])

      allocate(vertices(852)%branch(0:0))
      call av(852, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_220, nGC_5, nGC_5])

      allocate(vertices(853)%branch(0:0))
      call av(853, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_17])

      allocate(vertices(854)%branch(0:0))
      call av(854, 0, 8, 1, 0, SUUa0, 0, [0, 1], [nGC_16])

      allocate(vertices(855)%branch(0:0))
      call av(855, 0, 10, 1, 0, FFaS1, 0, [0, 1], [nGC_59, nGC_59])

      allocate(vertices(856)%branch(0:0))
      call av(856, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_546, nGC_18, nGC_18])

      allocate(vertices(857)%branch(0:0))
      call av(857, 0, 8, 1, 0, VVV0, 0, [0, 1], [nGC_3])

      allocate(vertices(858)%branch(0:0))
      call av(858, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_14])

      allocate(vertices(859)%branch(0:0))
      call av(859, 0, 20, 1, 0, VFFa1, 0, [0, 1], [nGC_35, nGC_39])

      allocate(vertices(860)%branch(0:0))
      call av(860, 0, 21, 1, 0, SFaF0, 0, [0, 1], [nGC_79, nGC_79])

      allocate(vertices(861)%branch(0:0))
      call av(861, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_26])

      allocate(vertices(862)%branch(0:0))
      call av(862, 0, 8, 1, 0, VSV0, 0, [0, 1], [nGC_51])

      allocate(vertices(863)%branch(0:0))
      call av(863, 0, 8, 1, 0, UUaS0, 0, [0, 1], [nGC_32])

      allocate(vertices(864)%branch(0:0))
      call av(864, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_27])

      allocate(vertices(865)%branch(0:0))
      call av(865, 0, 21, 1, 0, VFaF0, 0, [0, 1], [nGC_2, nGC_2])

      allocate(vertices(866)%branch(0:0))
      call av(866, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_27])

      allocate(vertices(867)%branch(0:0))
      call av(867, 0, 8, 1, 0, SUaU0, 0, [0, 1], [nGC_43])

      allocate(vertices(868)%branch(0:0))
      call av(868, 0, 19, 1, 0, FaFS0, 0, [0, 1], [nGC_55, nGC_55])

      allocate(vertices(869)%branch(0:0))
      call av(869, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_28])

      allocate(vertices(870)%branch(0:0))
      call av(870, 0, 8, 1, 0, FaSF0, 0, [0, 1], [nGC_68, nGC_66])

      allocate(vertices(871)%branch(0:0))
      call av(871, 0, 8, 1, 0, VVV0, 0, [0, 1], [nGC_376])

      allocate(vertices(872)%branch(0:0))
      call av(872, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_26])

      allocate(vertices(873)%branch(0:0))
      call av(873, 0, 8, 1, 0, VVS0, 0, [0, 1], [nGC_52])

      allocate(vertices(874)%branch(0:0))
      call av(874, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_17])

      allocate(vertices(875)%branch(0:0))
      call av(875, 0, 21, 1, 0, VFaF1, 0, [0, 1], [nGC_23])

      allocate(vertices(876)%branch(0:0))
      call av(876, 0, 8, 1, 0, SUaU0, 0, [0, 1], [nGC_16])

      allocate(vertices(877)%branch(0:0))
      call av(877, 0, 21, 1, 0, VFaF0, 0, [0, 1], [nGC_2, nGC_2])

      allocate(vertices(878)%branch(0:0))
      call av(878, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_8])

      allocate(vertices(879)%branch(0:0))
      call av(879, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_8])

      allocate(vertices(880)%branch(0:0))
      call av(880, 0, 8, 1, 0, SUUa0, 0, [0, 1], [nGC_33])

      allocate(vertices(881)%branch(0:0))
      call av(881, 0, 20, 1, 0, SFFa0, 0, [0, 1], [nGC_55, nGC_55])

      allocate(vertices(882)%branch(0:0))
      call av(882, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_6])

      allocate(vertices(883)%branch(0:0))
      call av(883, 0, 17, 1, 0, FVFa1, 0, [0, 1], [nGC_35, nGC_39])

      allocate(vertices(884)%branch(0:0))
      call av(884, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_14])

      allocate(vertices(885)%branch(0:0))
      call av(885, 0, 10, 1, 0, FFaS1, 0, [0, 1], [nGC_55, nGC_55])

      allocate(vertices(886)%branch(0:0))
      call av(886, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_17])

      allocate(vertices(887)%branch(0:0))
      call av(887, 0, 17, 1, 0, FVFa1, 0, [0, 1], [nGC_2, nGC_2])

      allocate(vertices(888)%branch(0:0))
      call av(888, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_28])

      allocate(vertices(889)%branch(0:0))
      call av(889, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_7])

      allocate(vertices(890)%branch(0:0))
      call av(890, 0, 8, 1, 0, VFFa0, 0, [0, 1], [nGC_23])

      allocate(vertices(891)%branch(0:0))
      call av(891, 0, 18, 1, 0, FaSF0, 0, [0, 1], [nGC_58, nGC_60])

      allocate(vertices(892)%branch(0:0))
      call av(892, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_27])

      allocate(vertices(893)%branch(0:0))
      call av(893, 0, 8, 1, 0, SUUa0, 0, [0, 1], [nGC_44])

      allocate(vertices(894)%branch(0:0))
      call av(894, 0, 10, 1, 0, FFaV0, 0, [0, 1], [nGC_23])

      allocate(vertices(895)%branch(0:0))
      call av(895, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_18, nGC_18, nGC_546])

      allocate(vertices(896)%branch(0:0))
      call av(896, 0, 8, 1, 0, VSS0, 0, [0, 1], [nGC_2174])

      allocate(vertices(897)%branch(0:0))
      call av(897, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_9])

      allocate(vertices(898)%branch(0:0))
      call av(898, 0, 8, 1, 0, SFFa1, 0, [0, 1], [nGC_69])

      allocate(vertices(899)%branch(0:0))
      call av(899, 0, 8, 1, 0, VVS0, 0, [0, 1], [nGC_47])

      allocate(vertices(900)%branch(0:0))
      call av(900, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_458, nGC_458, nGC_29])

      allocate(vertices(901)%branch(0:0))
      call av(901, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13])

      allocate(vertices(902)%branch(0:0))
      call av(902, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_458, nGC_458, nGC_29])

      allocate(vertices(903)%branch(0:0))
      call av(903, 0, 8, 1, 0, VVS0, 0, [0, 1], [nGC_51])

      allocate(vertices(904)%branch(0:0))
      call av(904, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_8])

      allocate(vertices(905)%branch(0:0))
      call av(905, 0, 8, 1, 0, UUaV0, 0, [0, 1], [nGC_372])

      allocate(vertices(906)%branch(0:0))
      call av(906, 0, 8, 1, 0, UaVU0, 0, [0, 1], [nGC_290])

      allocate(vertices(907)%branch(0:0))
      call av(907, 0, 10, 1, 0, FFaS1, 0, [0, 1], [nGC_78, nGC_80])

      allocate(vertices(908)%branch(0:0))
      call av(908, 0, 20, 1, 0, SFFa0, 0, [0, 1], [nGC_56, nGC_54])

      allocate(vertices(909)%branch(0:0))
      call av(909, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_27])

      allocate(vertices(910)%branch(0:0))
      call av(910, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_7])

      allocate(vertices(911)%branch(0:0))
      call av(911, 0, 19, 1, 0, FaFS0, 0, [0, 1], [nGC_59, nGC_59])

      allocate(vertices(912)%branch(0:0))
      call av(912, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_9])

      allocate(vertices(913)%branch(0:0))
      call av(913, 0, 8, 1, 0, VFFa1, 0, [0, 1], [nGC_4, nGC_4])

      allocate(vertices(914)%branch(0:0))
      call av(914, 0, 8, 1, 0, VVV0, 0, [0, 1], [nGC_25])

      allocate(vertices(915)%branch(0:0))
      call av(915, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_8])

      allocate(vertices(916)%branch(0:0))
      call av(916, 0, 8, 1, 0, SVV0, 0, [0, 1], [nGC_51])

      allocate(vertices(917)%branch(0:0))
      call av(917, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_42])

      allocate(vertices(918)%branch(0:0))
      call av(918, 0, 8, 1, 0, UaSU0, 0, [0, 1], [nGC_33])

      allocate(vertices(919)%branch(0:0))
      call av(919, 0, 8, 1, 0, UVUa0, 0, [0, 1], [nGC_376])

      allocate(vertices(920)%branch(0:0))
      call av(920, 0, 17, 1, 0, FSFa1, 0, [0, 1], [nGC_58, nGC_60])

      allocate(vertices(921)%branch(0:0))
      call av(921, 0, 8, 1, 0, VUaU0, 0, [0, 1], [nGC_290])

      allocate(vertices(922)%branch(0:0))
      call av(922, 0, 8, 1, 0, SSV0, 0, [0, 1], [nGC_286])

      allocate(vertices(923)%branch(0:0))
      call av(923, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13])

      allocate(vertices(924)%branch(0:0))
      call av(924, 0, 8, 1, 0, UaUS0, 0, [0, 1], [nGC_43])

      allocate(vertices(925)%branch(0:0))
      call av(925, 0, 8, 1, 0, FaFS0, 0, [0, 1], [nGC_71, nGC_71])

      allocate(vertices(926)%branch(0:0))
      call av(926, 0, 8, 1, 0, SVS0, 0, [0, 1], [nGC_4])

      allocate(vertices(927)%branch(0:0))
      call av(927, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_17])

      allocate(vertices(928)%branch(0:0))
      call av(928, 0, 20, 1, 0, SFFa0, 0, [0, 1], [nGC_59, nGC_59])

      allocate(vertices(929)%branch(0:0))
      call av(929, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_48])

      allocate(vertices(930)%branch(0:0))
      call av(930, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_17])

      allocate(vertices(931)%branch(0:0))
      call av(931, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_46])

      allocate(vertices(932)%branch(0:0))
      call av(932, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13])

      allocate(vertices(933)%branch(0:0))
      call av(933, 0, 8, 1, 0, VVV0, 0, [0, 1], [nGC_25])

      allocate(vertices(934)%branch(0:0))
      call av(934, 0, 8, 1, 0, VUUa0, 0, [0, 1], [nGC_376])

      allocate(vertices(935)%branch(0:0))
      call av(935, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_8])

      allocate(vertices(936)%branch(0:1))
      call av(936, 0, 24, 2, 0, FaFV0, 0, [1, 0], [nGC_11, nGC_11])

      call av(936, 1, 25, 3, 0, FaFV0, 0, [1, 0], [nGC_11, nGC_11])

      allocate(vertices(937)%branch(0:0))
      call av(937, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_7])

      allocate(vertices(938)%branch(0:0))
      call av(938, 0, 8, 1, 0, VVS0, 0, [0, 1], [nGC_51])

      allocate(vertices(939)%branch(0:0))
      call av(939, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_8])

      allocate(vertices(940)%branch(0:0))
      call av(940, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13])

      allocate(vertices(941)%branch(0:0))
      call av(941, 0, 8, 1, 0, FFaV0, 0, [0, 1], [nGC_41])

      allocate(vertices(942)%branch(0:0))
      call av(942, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_8])

      allocate(vertices(943)%branch(0:0))
      call av(943, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_27])

      allocate(vertices(944)%branch(0:0))
      call av(944, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_17])

      allocate(vertices(945)%branch(0:0))
      call av(945, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_27])

      allocate(vertices(946)%branch(0:0))
      call av(946, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_42])

      allocate(vertices(947)%branch(0:0))
      call av(947, 0, 20, 1, 0, SFFa0, 0, [0, 1], [nGC_76, nGC_74])

      allocate(vertices(948)%branch(0:0))
      call av(948, 0, 8, 1, 0, FaVF1, 0, [0, 1], [nGC_23])

      allocate(vertices(949)%branch(0:0))
      call av(949, 0, 21, 1, 0, VFaF1, 0, [0, 1], [nGC_23])

      allocate(vertices(950)%branch(0:0))
      call av(950, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_7])

      allocate(vertices(951)%branch(0:0))
      call av(951, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_27])

      allocate(vertices(952)%branch(0:0))
      call av(952, 0, 8, 1, 0, VSV0, 0, [0, 1], [nGC_50])

      allocate(vertices(953)%branch(0:0))
      call av(953, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_8])

      allocate(vertices(954)%branch(0:0))
      call av(954, 0, 17, 1, 0, FSFa1, 0, [0, 1], [nGC_56, nGC_54])

      allocate(vertices(955)%branch(0:0))
      call av(955, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_46])

      allocate(vertices(956)%branch(0:0))
      call av(956, 0, 8, 1, 0, VFaF0, 0, [0, 1], [nGC_4, nGC_4])

      allocate(vertices(957)%branch(0:0))
      call av(957, 0, 21, 1, 0, SFaF0, 0, [0, 1], [nGC_56, nGC_54])

      allocate(vertices(958)%branch(0:0))
      call av(958, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_46])

      allocate(vertices(959)%branch(0:0))
      call av(959, 0, 8, 1, 0, FFaV0, 0, [0, 1], [nGC_23])

      allocate(vertices(960)%branch(0:0))
      call av(960, 0, 18, 1, 0, FaSF0, 0, [0, 1], [nGC_73, nGC_57])

      allocate(vertices(961)%branch(0:0))
      call av(961, 0, 8, 1, 0, FFaV1, 0, [0, 1], [nGC_36, nGC_40])

      allocate(vertices(962)%branch(0:0))
      call av(962, 0, 8, 1, 0, FaSF1, 0, [0, 1], [nGC_69])

      allocate(vertices(963)%branch(0:0))
      call av(963, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_19, nGC_208, nGC_19])

      allocate(vertices(964)%branch(0:0))
      call av(964, 0, 21, 1, 0, SFaF0, 0, [0, 1], [nGC_55, nGC_55])

      allocate(vertices(965)%branch(0:0))
      call av(965, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_7])

      allocate(vertices(966)%branch(0:0))
      call av(966, 0, 21, 1, 0, VFaF1, 0, [0, 1], [nGC_23])

      allocate(vertices(967)%branch(0:0))
      call av(967, 0, 10, 1, 0, FFaV1, 0, [0, 1], [nGC_2, nGC_2])

      allocate(vertices(968)%branch(0:0))
      call av(968, 0, 18, 1, 0, FaVF1, 0, [0, 1], [nGC_23])

      allocate(vertices(969)%branch(0:0))
      call av(969, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_42])

      allocate(vertices(970)%branch(0:0))
      call av(970, 0, 17, 1, 0, FVFa0, 0, [0, 1], [nGC_23])

      allocate(vertices(971)%branch(0:0))
      call av(971, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_29, nGC_458, nGC_458])

      allocate(vertices(972)%branch(0:0))
      call av(972, 0, 8, 1, 0, FFaV0, 0, [0, 1], [nGC_41])

      allocate(vertices(973)%branch(0:0))
      call av(973, 0, 8, 1, 0, VVV0, 0, [0, 1], [nGC_3])

      allocate(vertices(974)%branch(0:0))
      call av(974, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_27])

      allocate(vertices(975)%branch(0:0))
      call av(975, 0, 8, 1, 0, SFFa1, 0, [0, 1], [nGC_81])

      allocate(vertices(976)%branch(0:0))
      call av(976, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_458, nGC_458, nGC_29])

      allocate(vertices(977)%branch(0:0))
      call av(977, 0, 17, 1, 0, FSFa1, 0, [0, 1], [nGC_77, nGC_53])

      allocate(vertices(978)%branch(0:0))
      call av(978, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_8])

      allocate(vertices(979)%branch(0:0))
      call av(979, 0, 8, 1, 0, VSS0, 0, [0, 1], [nGC_22])

      allocate(vertices(980)%branch(0:0))
      call av(980, 0, 10, 1, 0, FFaV0, 0, [0, 1], [nGC_23])

      allocate(vertices(981)%branch(0:0))
      call av(981, 0, 18, 1, 0, FaVF1, 0, [0, 1], [nGC_23])

      allocate(vertices(982)%branch(0:0))
      call av(982, 0, 8, 1, 0, VSV0, 0, [0, 1], [nGC_51])

      allocate(vertices(983)%branch(0:0))
      call av(983, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13])

      allocate(vertices(984)%branch(0:0))
      call av(984, 0, 8, 1, 0, VVS0, 0, [0, 1], [nGC_47])

      allocate(vertices(985)%branch(0:0))
      call av(985, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_42])

      allocate(vertices(986)%branch(0:0))
      call av(986, 0, 19, 1, 0, FaFV1, 0, [0, 1], [nGC_23])

      allocate(vertices(987)%branch(0:0))
      call av(987, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_8])

      allocate(vertices(988)%branch(0:0))
      call av(988, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_8])

      allocate(vertices(989)%branch(0:0))
      call av(989, 0, 8, 1, 0, VUaU0, 0, [0, 1], [nGC_160])

      allocate(vertices(990)%branch(0:0))
      call av(990, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_27])

      allocate(vertices(991)%branch(0:0))
      call av(991, 0, 18, 1, 0, FaSF0, 0, [0, 1], [nGC_55, nGC_55])

      allocate(vertices(992)%branch(0:0))
      call av(992, 0, 8, 1, 0, VSS0, 0, [0, 1], [nGC_37])

      allocate(vertices(993)%branch(0:0))
      call av(993, 0, 8, 1, 0, FaFV1, 0, [0, 1], [nGC_23])

      allocate(vertices(994)%branch(0:0))
      call av(994, 0, 8, 1, 0, VFaF1, 0, [0, 1], [nGC_41])

      allocate(vertices(995)%branch(0:0))
      call av(995, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_27])

      allocate(vertices(996)%branch(0:0))
      call av(996, 0, 8, 1, 0, VFaF1, 0, [0, 1], [nGC_23])

      allocate(vertices(997)%branch(0:0))
      call av(997, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_6])

      allocate(vertices(998)%branch(0:0))
      call av(998, 0, 21, 1, 0, SFaF0, 0, [0, 1], [nGC_75, nGC_75])

      allocate(vertices(999)%branch(0:0))
      call av(999, 0, 8, 1, 0, USUa0, 0, [0, 1], [nGC_16])

      allocate(vertices(1000)%branch(0:0))
      call av(1000, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_8])

      allocate(vertices(1001)%branch(0:0))
      call av(1001, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_8])

      allocate(vertices(1002)%branch(0:5))
      call av(1002, 0, 3, 6, 0, VVVV0, 0, [2, 0], [nGC_12, nGC_12, nGC_2122])

      call av(1002, 1, 7, 7, 0, VVVV0, 0, [2, 0], [nGC_2126, nGC_2128, nGC_2126&
      ])

      call av(1002, 2, 6, 7, 0, VVVV0, 0, [2, 0], [nGC_2128, nGC_2126, nGC_2126&
      ])

      call av(1002, 3, 2, 6, 0, VVVV0, 0, [2, 0], [nGC_12, nGC_12, nGC_2122])

      call av(1002, 4, 5, 7, 0, VVVV0, 0, [2, 0], [nGC_2126, nGC_2128, nGC_2126&
      ])

      call av(1002, 5, 4, 7, 0, VVVV0, 0, [2, 0], [nGC_2128, nGC_2126, nGC_2126&
      ])

      allocate(vertices(1003)%branch(0:0))
      call av(1003, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_220, nGC_5, nGC_5])

      allocate(vertices(1004)%branch(0:0))
      call av(1004, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_17])

      allocate(vertices(1005)%branch(0:0))
      call av(1005, 0, 8, 1, 0, FaVF1, 0, [0, 1], [nGC_41])

      allocate(vertices(1006)%branch(0:0))
      call av(1006, 0, 8, 1, 0, UaVU0, 0, [0, 1], [nGC_160])

      allocate(vertices(1007)%branch(0:0))
      call av(1007, 0, 8, 1, 0, SFaF1, 0, [0, 1], [nGC_81])

      allocate(vertices(1008)%branch(0:0))
      call av(1008, 0, 21, 1, 0, SFaF0, 0, [0, 1], [nGC_58, nGC_60])

      allocate(vertices(1009)%branch(0:0))
      call av(1009, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_5, nGC_5, nGC_220])

      allocate(vertices(1010)%branch(0:0))
      call av(1010, 0, 8, 1, 0, UaSU0, 0, [0, 1], [nGC_44])

      allocate(vertices(1011)%branch(0:0))
      call av(1011, 0, 10, 1, 0, FFaS1, 0, [0, 1], [nGC_85, nGC_61])

      allocate(vertices(1012)%branch(0:0))
      call av(1012, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_7])

      allocate(vertices(1013)%branch(0:0))
      call av(1013, 0, 8, 1, 0, UUaS0, 0, [0, 1], [nGC_33])

      allocate(vertices(1014)%branch(0:0))
      call av(1014, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_6])

      allocate(vertices(1015)%branch(0:0))
      call av(1015, 0, 18, 1, 0, FaVF1, 0, [0, 1], [nGC_23])

      allocate(vertices(1016)%branch(0:0))
      call av(1016, 0, 8, 1, 0, UUaV0, 0, [0, 1], [nGC_372])

      allocate(vertices(1017)%branch(0:0))
      call av(1017, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_29, nGC_458, nGC_458])

      allocate(vertices(1018)%branch(0:0))
      call av(1018, 0, 8, 1, 0, FSFa1, 0, [0, 1], [nGC_67, nGC_67])

      allocate(vertices(1019)%branch(0:0))
      call av(1019, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_9])

      allocate(vertices(1020)%branch(0:0))
      call av(1020, 0, 8, 1, 0, SUaU0, 0, [0, 1], [nGC_31])

      allocate(vertices(1021)%branch(0:0))
      call av(1021, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_28])

      allocate(vertices(1022)%branch(0:0))
      call av(1022, 0, 8, 1, 0, UUaV0, 0, [0, 1], [nGC_160])

      allocate(vertices(1023)%branch(0:0))
      call av(1023, 0, 8, 1, 0, UaSU0, 0, [0, 1], [nGC_31])

      allocate(vertices(1024)%branch(0:0))
      call av(1024, 0, 8, 1, 0, UUaV0, 0, [0, 1], [nGC_376])

      allocate(vertices(1025)%branch(0:0))
      call av(1025, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_220, nGC_5, nGC_5])

      allocate(vertices(1026)%branch(0:0))
      call av(1026, 0, 8, 1, 0, FaFV0, 0, [0, 1], [nGC_36, nGC_40])

      allocate(vertices(1027)%branch(0:1))
      call av(1027, 0, 34, 4, 0, UVUa0, 0, [1, 0], [nGC_230])

      call av(1027, 1, 35, 5, 0, UVUa0, 0, [1, 0], [nGC_230])

      allocate(vertices(1028)%branch(0:0))
      call av(1028, 0, 8, 1, 0, VSV0, 0, [0, 1], [nGC_51])

      allocate(vertices(1029)%branch(0:0))
      call av(1029, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_208, nGC_19, nGC_19])

      allocate(vertices(1030)%branch(0:0))
      call av(1030, 0, 8, 1, 0, FFaS1, 0, [0, 1], [nGC_67, nGC_67])

      allocate(vertices(1031)%branch(0:0))
      call av(1031, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_42])

      allocate(vertices(1032)%branch(0:0))
      call av(1032, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_42])

      allocate(vertices(1033)%branch(0:0))
      call av(1033, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_45])

      allocate(vertices(1034)%branch(0:0))
      call av(1034, 0, 20, 1, 0, SFFa0, 0, [0, 1], [nGC_57, nGC_73])

      allocate(vertices(1035)%branch(0:0))
      call av(1035, 0, 19, 1, 0, FaFV0, 0, [0, 1], [nGC_34, nGC_38])

      allocate(vertices(1036)%branch(0:0))
      call av(1036, 0, 8, 1, 0, FFaV0, 0, [0, 1], [nGC_23])

      allocate(vertices(1037)%branch(0:0))
      call av(1037, 0, 8, 1, 0, SUUa0, 0, [0, 1], [nGC_16])

      allocate(vertices(1038)%branch(0:0))
      call av(1038, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_14])

      allocate(vertices(1039)%branch(0:0))
      call av(1039, 0, 8, 1, 0, VUUa0, 0, [0, 1], [nGC_376])

      allocate(vertices(1040)%branch(0:0))
      call av(1040, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13])

      allocate(vertices(1041)%branch(0:0))
      call av(1041, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_17])

      allocate(vertices(1042)%branch(0:0))
      call av(1042, 0, 8, 1, 0, UVUa0, 0, [0, 1], [nGC_160])

      allocate(vertices(1043)%branch(0:0))
      call av(1043, 0, 20, 1, 0, VFFa0, 0, [0, 1], [nGC_23])

      allocate(vertices(1044)%branch(0:0))
      call av(1044, 0, 20, 1, 0, SFFa0, 0, [0, 1], [nGC_86, nGC_88])

      allocate(vertices(1045)%branch(0:0))
      call av(1045, 0, 18, 1, 0, FaVF0, 0, [0, 1], [nGC_2, nGC_2])

      allocate(vertices(1046)%branch(0:0))
      call av(1046, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_28])

      allocate(vertices(1047)%branch(0:0))
      call av(1047, 0, 8, 1, 0, SFFa0, 0, [0, 1], [nGC_83, nGC_83])

      allocate(vertices(1048)%branch(0:0))
      call av(1048, 0, 8, 1, 0, UaUV0, 0, [0, 1], [nGC_372])

      allocate(vertices(0)%branchCT(0:1))
      call avCT(0, 0, 19, 1, 0, FaFV0, 0, [0, 3], [nGC_4733, nGC_4734])

      call avCT(0, 1, 19, 1, 0, FaFV0, 0, [0, 1], [nGC_4730, nGC_4728])

      allocate(vertices(506)%branchCT(0:0))
      call avCT(506, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_4741, nGC_4742,        &
      nGC_4742])

      allocate(vertices(2)%branchCT(0:0))
      call avCT(2, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_4746])

      allocate(vertices(3)%branchCT(0:0))
      call avCT(3, 0, 8, 1, 0, UVUa0, 0, [0, 3], [nGC_4751])

      allocate(vertices(1049)%branchCT(0:0))
      call avCT(1049, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_4752])

      allocate(vertices(5)%branchCT(0:0))
      call avCT(5, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_4755])

      allocate(vertices(6)%branchCT(0:1))
      call avCT(6, 0, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_4759])

      call avCT(6, 1, 17, 1, 0, FVFa0, 0, [0, 1], [nGC_4758])

      allocate(vertices(7)%branchCT(0:0))
      call avCT(7, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_4755])

      allocate(vertices(8)%branchCT(0:0))
      call avCT(8, 0, 8, 1, 0, UVUa0, 0, [0, 3], [nGC_4765])

      allocate(vertices(1050)%branchCT(0:0))
      call avCT(1050, 0, 13, 1, 0, VS0, 0, [0, 2], [nGC_4768])

      allocate(vertices(9)%branchCT(0:0))
      call avCT(9, 0, 8, 1, 0, UaUV0, 0, [0, 3], [nGC_4773])

      allocate(vertices(10)%branchCT(0:0))
      call avCT(10, 0, 8, 1, 0, UaVU0, 0, [0, 3], [nGC_4777])

      allocate(vertices(11)%branchCT(0:0))
      call avCT(11, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_4755])

      allocate(vertices(12)%branchCT(0:0))
      call avCT(12, 0, 8, 1, 0, UaVU0, 0, [0, 3], [nGC_4784])

      allocate(vertices(13)%branchCT(0:0))
      call avCT(13, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_4789, nGC_4789, nGC_4790&
      ])

      allocate(vertices(14)%branchCT(0:1))
      call avCT(14, 0, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_3396, nGC_3394])

      call avCT(14, 1, 20, 1, 0, SFFa0, 0, [0, 1], [nGC_4797, nGC_4798])

      allocate(vertices(862)%branchCT(0:0))
      call avCT(862, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_4802])

      allocate(vertices(1051)%branchCT(0:0))
      call avCT(1051, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_4803])

      allocate(vertices(16)%branchCT(0:1))
      call avCT(16, 0, 20, 1, 0, VFFa0, 0, [0, 3], [nGC_4759])

      call avCT(16, 1, 20, 1, 0, VFFa0, 0, [0, 1], [nGC_4758])

      allocate(vertices(17)%branchCT(0:0))
      call avCT(17, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_4746])

      allocate(vertices(1052)%branchCT(0:0))
      call avCT(1052, 0, 13, 1, 0, SV0, 0, [0, 2], [nGC_4812])

      allocate(vertices(18)%branchCT(0:0))
      call avCT(18, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_4816])

      allocate(vertices(19)%branchCT(0:0))
      call avCT(19, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_4820])

      allocate(vertices(139)%branchCT(0:0))
      call avCT(139, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_4823])

      allocate(vertices(21)%branchCT(0:0))
      call avCT(21, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_4827])

      allocate(vertices(674)%branchCT(0:0))
      call avCT(674, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_4827])

      allocate(vertices(23)%branchCT(0:0))
      call avCT(23, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_4755])

      allocate(vertices(24)%branchCT(0:0))
      call avCT(24, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_4836])

      allocate(vertices(337)%branchCT(0:0))
      call avCT(337, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_4816])

      allocate(vertices(513)%branchCT(0:1))
      call avCT(513, 0, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_3408, nGC_3406])

      call avCT(513, 1, 21, 1, 0, SFaF0, 0, [0, 1], [nGC_4847, nGC_4846])

      allocate(vertices(27)%branchCT(0:1))
      call avCT(27, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_4857, nGC_4858])

      call avCT(27, 1, 8, 1, 0, FaVF0, 0, [0, 1], [nGC_4851, nGC_4854])

      allocate(vertices(1053)%branchCT(0:0))
      call avCT(1053, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_GG])

      allocate(vertices(29)%branchCT(0:0))
      call avCT(29, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_4863])

      allocate(vertices(30)%branchCT(0:1))
      call avCT(30, 0, 20, 1, 0, VFFa1, 0, [0, 3], [nGC_4871, nGC_4872])

      call avCT(30, 1, 20, 1, 0, VFFa1, 0, [0, 1], [nGC_4866, nGC_4864])

      allocate(vertices(31)%branchCT(0:1))
      call avCT(31, 0, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_4882, nGC_4883])

      call avCT(31, 1, 18, 1, 0, FaVF0, 0, [0, 1], [nGC_4876, nGC_4879])

      allocate(vertices(32)%branchCT(0:0))
      call avCT(32, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_4887])

      allocate(vertices(33)%branchCT(0:0))
      call avCT(33, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_4802])

      allocate(vertices(154)%branchCT(0:0))
      call avCT(154, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_4895])

      allocate(vertices(35)%branchCT(0:0))
      call avCT(35, 0, 8, 1, 0, UaUV0, 0, [0, 3], [nGC_4777])

      allocate(vertices(36)%branchCT(0:0))
      call avCT(36, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_4755])

      allocate(vertices(37)%branchCT(0:0))
      call avCT(37, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_4742, nGC_4741, nGC_4742&
      ])

      allocate(vertices(38)%branchCT(0:1))
      call avCT(38, 0, 17, 1, 0, FVFa1, 0, [0, 3], [nGC_4913, nGC_4914])

      call avCT(38, 1, 17, 1, 0, FVFa1, 0, [0, 1], [nGC_4907, nGC_4910])

      allocate(vertices(39)%branchCT(0:1))
      call avCT(39, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_3402, nGC_3404])

      call avCT(39, 1, 18, 1, 0, FaSF0, 0, [0, 1], [nGC_4921, nGC_4922])

      allocate(vertices(1054)%branchCT(0:0))
      call avCT(1054, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_4803])

      allocate(vertices(41)%branchCT(0:1))
      call avCT(41, 0, 19, 1, 0, FaFV0, 0, [0, 3], [nGC_4913, nGC_4914])

      call avCT(41, 1, 19, 1, 0, FaFV0, 0, [0, 1], [nGC_4930, nGC_4927])

      allocate(vertices(42)%branchCT(0:0))
      call avCT(42, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_4746])

      allocate(vertices(982)%branchCT(0:0))
      call avCT(982, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_4802])

      allocate(vertices(43)%branchCT(0:1))
      call avCT(43, 0, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_3400, nGC_3398])

      call avCT(43, 1, 21, 1, 0, SFaF0, 0, [0, 1], [nGC_4944, nGC_4943])

      allocate(vertices(44)%branchCT(0:1))
      call avCT(44, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_3422])

      call avCT(44, 1, 8, 1, 0, FFaS0, 0, [0, 1], [nGC_4948])

      allocate(vertices(986)%branchCT(0:1))
      call avCT(986, 0, 19, 1, 0, FaFV1, 0, [0, 3], [nGC_4759])

      call avCT(986, 1, 19, 1, 0, FaFV1, 0, [0, 1], [nGC_4951])

      allocate(vertices(46)%branchCT(0:0))
      call avCT(46, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_4956])

      allocate(vertices(47)%branchCT(0:1))
      call avCT(47, 0, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_3396, nGC_3394])

      call avCT(47, 1, 19, 1, 0, FaFS0, 0, [0, 1], [nGC_4797, nGC_4798])

      allocate(vertices(848)%branchCT(0:1))
      call avCT(848, 0, 20, 1, 0, VFFa0, 0, [0, 3], [nGC_4759])

      call avCT(848, 1, 20, 1, 0, VFFa0, 0, [0, 1], [nGC_4758])

      allocate(vertices(334)%branchCT(0:0))
      call avCT(334, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_4887])

      allocate(vertices(592)%branchCT(0:0))
      call avCT(592, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_4971])

      allocate(vertices(50)%branchCT(0:0))
      call avCT(50, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_4820])

      allocate(vertices(51)%branchCT(0:1))
      call avCT(51, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_3424])

      call avCT(51, 1, 8, 1, 0, FSFa0, 0, [0, 1], [nGC_4978])

      allocate(vertices(52)%branchCT(0:1))
      call avCT(52, 0, 17, 1, 0, FVFa1, 0, [0, 3], [nGC_4871, nGC_4872])

      call avCT(52, 1, 17, 1, 0, FVFa1, 0, [0, 1], [nGC_4981, nGC_4983])

      allocate(vertices(1055)%branchCT(0:0))
      call avCT(1055, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_4985])

      allocate(vertices(53)%branchCT(0:1))
      call avCT(53, 0, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_4759])

      call avCT(53, 1, 17, 1, 0, FVFa0, 0, [0, 1], [nGC_4758])

      allocate(vertices(54)%branchCT(0:1))
      call avCT(54, 0, 21, 1, 0, VFaF0, 0, [0, 3], [nGC_4871, nGC_4872])

      call avCT(54, 1, 21, 1, 0, VFaF0, 0, [0, 1], [nGC_4989, nGC_4991])

      allocate(vertices(55)%branchCT(0:0))
      call avCT(55, 0, 8, 1, 0, USUa0, 0, [0, 3], [nGC_4997])

      allocate(vertices(56)%branchCT(0:0))
      call avCT(56, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_5000])

      allocate(vertices(1056)%branchCT(0:0))
      call avCT(1056, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_5004, nGC_5001])

      allocate(vertices(58)%branchCT(0:0))
      call avCT(58, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_5007])

      allocate(vertices(59)%branchCT(0:1))
      call avCT(59, 0, 17, 1, 0, FSFa1, 0, [0, 3], [nGC_5013, nGC_5013])

      call avCT(59, 1, 17, 1, 0, FSFa1, 0, [0, 1], [nGC_5014, nGC_5014])

      allocate(vertices(60)%branchCT(0:1))
      call avCT(60, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_4759])

      call avCT(60, 1, 8, 1, 0, FFaV0, 0, [0, 1], [nGC_5017])

      allocate(vertices(61)%branchCT(0:0))
      call avCT(61, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_4956])

      allocate(vertices(62)%branchCT(0:1))
      call avCT(62, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_4759])

      call avCT(62, 1, 8, 1, 0, FaFV1, 0, [0, 1], [nGC_5024])

      allocate(vertices(63)%branchCT(0:0))
      call avCT(63, 0, 8, 1, 0, UaSU0, 0, [0, 3], [nGC_4997])

      allocate(vertices(1057)%branchCT(0:0))
      call avCT(1057, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_4752])

      allocate(vertices(65)%branchCT(0:1))
      call avCT(65, 0, 19, 1, 0, FaFV1, 0, [0, 3], [nGC_4759])

      call avCT(65, 1, 19, 1, 0, FaFV1, 0, [0, 1], [nGC_4758])

      allocate(vertices(66)%branchCT(0:1))
      call avCT(66, 0, 17, 1, 0, FSFa1, 0, [0, 3], [nGC_3390, nGC_3392])

      call avCT(66, 1, 17, 1, 0, FSFa1, 0, [0, 1], [nGC_5038, nGC_5037])

      allocate(vertices(590)%branchCT(0:0))
      call avCT(590, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_5041])

      allocate(vertices(68)%branchCT(0:1))
      call avCT(68, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_4913, nGC_4914])

      call avCT(68, 1, 10, 1, 0, FFaV1, 0, [0, 1], [nGC_4907, nGC_4910])

      allocate(vertices(69)%branchCT(0:0))
      call avCT(69, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_4742, nGC_4741, nGC_4742&
      ])

      allocate(vertices(70)%branchCT(0:1))
      call avCT(70, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_3436, nGC_3434])

      call avCT(70, 1, 8, 1, 0, FaFS0, 0, [0, 1], [nGC_5060, nGC_5059])

      allocate(vertices(71)%branchCT(0:0))
      call avCT(71, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_4827])

      allocate(vertices(72)%branchCT(0:0))
      call avCT(72, 0, 8, 1, 0, UaSU0, 0, [0, 3], [nGC_3350])

      allocate(vertices(487)%branchCT(0:0))
      call avCT(487, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_4887])

      allocate(vertices(1058)%branchCT(0:0))
      call avCT(1058, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_5069])

      allocate(vertices(74)%branchCT(0:0))
      call avCT(74, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_4755])

      allocate(vertices(75)%branchCT(0:0))
      call avCT(75, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_4863])

      allocate(vertices(541)%branchCT(0:1))
      call avCT(541, 0, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_3450, nGC_3448])

      call avCT(541, 1, 19, 1, 0, FaFS0, 0, [0, 1], [nGC_5082, nGC_5081])

      allocate(vertices(1059)%branchCT(0:0))
      call avCT(1059, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_4803])

      allocate(vertices(519)%branchCT(0:1))
      call avCT(519, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_4857, nGC_4858])

      call avCT(519, 1, 8, 1, 0, FaVF0, 0, [0, 1], [nGC_5087, nGC_5090])

      allocate(vertices(529)%branchCT(0:1))
      call avCT(529, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_5098, nGC_5099])

      call avCT(529, 1, 8, 1, 0, FaVF0, 0, [0, 1], [nGC_5093, nGC_5095])

      allocate(vertices(79)%branchCT(0:0))
      call avCT(79, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5103])

      allocate(vertices(1060)%branchCT(0:0))
      call avCT(1060, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_4752])

      allocate(vertices(81)%branchCT(0:0))
      call avCT(81, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_4755])

      allocate(vertices(82)%branchCT(0:0))
      call avCT(82, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_5000])

      allocate(vertices(870)%branchCT(0:1))
      call avCT(870, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_3426, nGC_3428])

      call avCT(870, 1, 8, 1, 0, FaSF0, 0, [0, 1], [nGC_5115, nGC_5116])

      allocate(vertices(1061)%branchCT(0:0))
      call avCT(1061, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_5068])

      allocate(vertices(84)%branchCT(0:0))
      call avCT(84, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_4746])

      allocate(vertices(85)%branchCT(0:0))
      call avCT(85, 0, 8, 1, 0, UUaS0, 0, [0, 3], [nGC_4997])

      allocate(vertices(86)%branchCT(0:0))
      call avCT(86, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_4755])

      allocate(vertices(88)%branchCT(0:1))
      call avCT(88, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_4759])

      call avCT(88, 1, 10, 1, 0, FFaV0, 0, [0, 1], [nGC_5127])

      allocate(vertices(89)%branchCT(0:0))
      call avCT(89, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_4887])

      allocate(vertices(90)%branchCT(0:1))
      call avCT(90, 0, 8, 1, 0, FaSF1, 0, [0, 3], [nGC_3424])

      call avCT(90, 1, 8, 1, 0, FaSF1, 0, [0, 1], [nGC_4978])

      allocate(vertices(599)%branchCT(0:1))
      call avCT(599, 0, 19, 1, 0, FaFV0, 0, [0, 3], [nGC_4882, nGC_4883])

      call avCT(599, 1, 19, 1, 0, FaFV0, 0, [0, 1], [nGC_4876, nGC_4879])

      allocate(vertices(92)%branchCT(0:0))
      call avCT(92, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_4887])

      allocate(vertices(93)%branchCT(0:0))
      call avCT(93, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_4827])

      allocate(vertices(691)%branchCT(0:0))
      call avCT(691, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_4790, nGC_4789,        &
      nGC_4789])

      allocate(vertices(95)%branchCT(0:0))
      call avCT(95, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_4816])

      allocate(vertices(96)%branchCT(0:0))
      call avCT(96, 0, 8, 1, 0, VUUa0, 0, [0, 3], [nGC_5156])

      allocate(vertices(1062)%branchCT(0:0))
      call avCT(1062, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_4752])

      allocate(vertices(97)%branchCT(0:0))
      call avCT(97, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_4742, nGC_4742, nGC_4741&
      ])

      allocate(vertices(98)%branchCT(0:0))
      call avCT(98, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_4755])

      allocate(vertices(99)%branchCT(0:0))
      call avCT(99, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_4789, nGC_4789, nGC_4790&
      ])

      allocate(vertices(100)%branchCT(0:0))
      call avCT(100, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_4863])

      allocate(vertices(4)%branchCT(0:0))
      call avCT(4, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_5172])

      allocate(vertices(101)%branchCT(0:1))
      call avCT(101, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_5178, nGC_5178])

      call avCT(101, 1, 8, 1, 0, SFaF0, 0, [0, 1], [nGC_5179, nGC_5179])

      allocate(vertices(102)%branchCT(0:1))
      call avCT(102, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_4857, nGC_4858])

      call avCT(102, 1, 8, 1, 0, FVFa1, 0, [0, 1], [nGC_5183, nGC_5186])

      allocate(vertices(103)%branchCT(0:0))
      call avCT(103, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5189])

      allocate(vertices(104)%branchCT(0:1))
      call avCT(104, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_4759])

      call avCT(104, 1, 8, 1, 0, VFFa0, 0, [0, 1], [nGC_5192])

      allocate(vertices(105)%branchCT(0:0))
      call avCT(105, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5196])

      allocate(vertices(106)%branchCT(0:0))
      call avCT(106, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_4820])

      allocate(vertices(107)%branchCT(0:1))
      call avCT(107, 0, 8, 1, 0, SFaF1, 0, [0, 3], [nGC_3420])

      call avCT(107, 1, 8, 1, 0, SFaF1, 0, [0, 1], [nGC_5203])

      allocate(vertices(1063)%branchCT(0:0))
      call avCT(1063, 0, 13, 1, 0, FaF0, 0, [0, 0], [nGC_5205, nGC_5204])

      allocate(vertices(108)%branchCT(0:0))
      call avCT(108, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_5208])

      allocate(vertices(1064)%branchCT(0:0))
      call avCT(1064, 0, 14, 1, 0, FFa0, 0, [0, 0], [nGC_5213, nGC_5210,       &
      nGC_5214, nGC_5214])

      allocate(vertices(109)%branchCT(0:1))
      call avCT(109, 0, 20, 1, 0, VFFa1, 0, [0, 3], [nGC_4882, nGC_4883])

      call avCT(109, 1, 20, 1, 0, VFFa1, 0, [0, 1], [nGC_5220, nGC_5217])

      allocate(vertices(942)%branchCT(0:0))
      call avCT(942, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_4887])

      allocate(vertices(110)%branchCT(0:0))
      call avCT(110, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_4827])

      allocate(vertices(1065)%branchCT(0:0))
      call avCT(1065, 0, 13, 1, 0, FFa0, 0, [0, 0], [nGC_5232, nGC_5229,       &
      nGC_5233, nGC_5233])

      allocate(vertices(827)%branchCT(0:0))
      call avCT(827, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_4742, nGC_4741,        &
      nGC_4742])

      allocate(vertices(736)%branchCT(0:1))
      call avCT(736, 0, 17, 1, 0, FSFa1, 0, [0, 3], [nGC_3394, nGC_3396])

      call avCT(736, 1, 17, 1, 0, FSFa1, 0, [0, 1], [nGC_4798, nGC_4797])

      allocate(vertices(113)%branchCT(0:3))
      call avCT(113, 0, 28, 2, 0, VFFa1, 0, [1, 0], [nGC_5245, nGC_5244])

      call avCT(113, 1, 28, 2, 0, VFFa1, 0, [3, 0], [nGC_5248, nGC_5248])

      call avCT(113, 2, 29, 3, 0, VFFa1, 0, [1, 0], [nGC_5245, nGC_5244])

      call avCT(113, 3, 29, 3, 0, VFFa1, 0, [3, 0], [nGC_5248, nGC_5248])

      allocate(vertices(114)%branchCT(0:1))
      call avCT(114, 0, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_4913, nGC_4914])

      call avCT(114, 1, 18, 1, 0, FaVF0, 0, [0, 1], [nGC_5256, nGC_5259])

      allocate(vertices(115)%branchCT(0:0))
      call avCT(115, 0, 8, 1, 0, UUaS0, 0, [0, 3], [nGC_3347])

      allocate(vertices(116)%branchCT(0:1))
      call avCT(116, 0, 20, 1, 0, VFFa1, 0, [0, 3], [nGC_4733, nGC_4734])

      call avCT(116, 1, 20, 1, 0, VFFa1, 0, [0, 1], [nGC_4730, nGC_4728])

      allocate(vertices(968)%branchCT(0:1))
      call avCT(968, 0, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_4759])

      call avCT(968, 1, 18, 1, 0, FaVF1, 0, [0, 1], [nGC_4951])

      allocate(vertices(117)%branchCT(0:1))
      call avCT(117, 0, 8, 1, 0, FaSF2, 0, [0, 3], [nGC_3422])

      call avCT(117, 1, 8, 1, 0, FaSF2, 0, [0, 1], [nGC_4948])

      allocate(vertices(118)%branchCT(0:0))
      call avCT(118, 0, 8, 1, 0, SUaU0, 0, [0, 3], [nGC_3347])

      allocate(vertices(1066)%branchCT(0:0))
      call avCT(1066, 0, 14, 1, 0, FFa0, 0, [0, 0], [nGC_5278, nGC_5275,       &
      nGC_5279, nGC_5279])

      allocate(vertices(119)%branchCT(0:1))
      call avCT(119, 0, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_3390, nGC_3392])

      call avCT(119, 1, 19, 1, 0, FaFS0, 0, [0, 1], [nGC_5038, nGC_5037])

      allocate(vertices(120)%branchCT(0:0))
      call avCT(120, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_5289])

      allocate(vertices(121)%branchCT(0:0))
      call avCT(121, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_4956])

      allocate(vertices(1067)%branchCT(0:0))
      call avCT(1067, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_4752])

      allocate(vertices(122)%branchCT(0:0))
      call avCT(122, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5297])

      allocate(vertices(123)%branchCT(0:0))
      call avCT(123, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_5302])

      allocate(vertices(124)%branchCT(0:0))
      call avCT(124, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_4755])

      allocate(vertices(1068)%branchCT(0:0))
      call avCT(1068, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_4803])

      allocate(vertices(125)%branchCT(0:1))
      call avCT(125, 0, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_3402, nGC_3404])

      call avCT(125, 1, 19, 1, 0, FaFS0, 0, [0, 1], [nGC_4921, nGC_4922])

      allocate(vertices(126)%branchCT(0:0))
      call avCT(126, 0, 8, 1, 0, VUUa0, 0, [0, 3], [nGC_5156])

      allocate(vertices(127)%branchCT(0:0))
      call avCT(127, 0, 8, 1, 0, VUUa0, 0, [0, 3], [nGC_4784])

      allocate(vertices(128)%branchCT(0:0))
      call avCT(128, 0, 8, 1, 0, UUaV0, 0, [0, 3], [nGC_5156])

      allocate(vertices(129)%branchCT(0:0))
      call avCT(129, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5322])

      allocate(vertices(130)%branchCT(0:0))
      call avCT(130, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_4746])

      allocate(vertices(131)%branchCT(0:1))
      call avCT(131, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_5329])

      call avCT(131, 1, 8, 1, 0, VFFa0, 0, [0, 1], [nGC_5328])

      allocate(vertices(1069)%branchCT(0:0))
      call avCT(1069, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_4752])

      allocate(vertices(1070)%branchCT(0:0))
      call avCT(1070, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_4803])

      allocate(vertices(132)%branchCT(0:0))
      call avCT(132, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_4746])

      allocate(vertices(133)%branchCT(0:1))
      call avCT(133, 0, 21, 1, 0, VFaF0, 0, [0, 3], [nGC_4882, nGC_4883])

      call avCT(133, 1, 21, 1, 0, VFaF0, 0, [0, 1], [nGC_5337, nGC_5340])

      allocate(vertices(134)%branchCT(0:1))
      call avCT(134, 0, 8, 1, 0, SFaF2, 0, [0, 3], [nGC_3422])

      call avCT(134, 1, 8, 1, 0, SFaF2, 0, [0, 1], [nGC_4948])

      allocate(vertices(135)%branchCT(0:0))
      call avCT(135, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5103])

      allocate(vertices(136)%branchCT(0:0))
      call avCT(136, 0, 8, 1, 0, USUa0, 0, [0, 3], [nGC_3353])

      allocate(vertices(138)%branchCT(0:0))
      call avCT(138, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5322])

      allocate(vertices(20)%branchCT(0:0))
      call avCT(20, 0, 8, 1, 0, UaVU0, 0, [0, 3], [nGC_4777])

      allocate(vertices(140)%branchCT(0:0))
      call avCT(140, 0, 8, 1, 0, UaUV0, 0, [0, 3], [nGC_4765])

      allocate(vertices(141)%branchCT(0:1))
      call avCT(141, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_3422])

      call avCT(141, 1, 8, 1, 0, FaFS1, 0, [0, 1], [nGC_4948])

      allocate(vertices(142)%branchCT(0:0))
      call avCT(142, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5196])

      allocate(vertices(143)%branchCT(0:0))
      call avCT(143, 0, 8, 1, 0, VUUa0, 0, [0, 3], [nGC_5365])

      allocate(vertices(144)%branchCT(0:0))
      call avCT(144, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_4816])

      allocate(vertices(532)%branchCT(0:1))
      call avCT(532, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_3402, nGC_3404])

      call avCT(532, 1, 10, 1, 0, FFaS1, 0, [0, 1], [nGC_4921, nGC_4922])

      allocate(vertices(146)%branchCT(0:1))
      call avCT(146, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_3430, nGC_3432])

      call avCT(146, 1, 8, 1, 0, SFaF0, 0, [0, 1], [nGC_5382, nGC_5381])

      allocate(vertices(1024)%branchCT(0:0))
      call avCT(1024, 0, 8, 1, 0, UUaV0, 0, [0, 3], [nGC_4777])

      allocate(vertices(148)%branchCT(0:0))
      call avCT(148, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5297])

      allocate(vertices(149)%branchCT(0:1))
      call avCT(149, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_5392, nGC_5392])

      call avCT(149, 1, 8, 1, 0, SFaF0, 0, [0, 1], [nGC_5393, nGC_5393])

      allocate(vertices(150)%branchCT(0:0))
      call avCT(150, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_5396])

      allocate(vertices(151)%branchCT(0:3))
      call avCT(151, 0, 22, 2, 0, FVFa1, 0, [1, 0], [nGC_5399, nGC_5400])

      call avCT(151, 1, 22, 2, 0, FVFa1, 0, [3, 0], [nGC_5248, nGC_5248])

      call avCT(151, 2, 23, 3, 0, FVFa1, 0, [1, 0], [nGC_5399, nGC_5400])

      call avCT(151, 3, 23, 3, 0, FVFa1, 0, [3, 0], [nGC_5248, nGC_5248])

      allocate(vertices(152)%branchCT(0:0))
      call avCT(152, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5297])

      allocate(vertices(1008)%branchCT(0:1))
      call avCT(1008, 0, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_3450, nGC_3448])

      call avCT(1008, 1, 21, 1, 0, SFaF0, 0, [0, 1], [nGC_5082, nGC_5081])

      allocate(vertices(361)%branchCT(0:1))
      call avCT(361, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_4759])

      call avCT(361, 1, 8, 1, 0, FaVF1, 0, [0, 1], [nGC_5192])

      allocate(vertices(34)%branchCT(0:0))
      call avCT(34, 0, 8, 1, 0, UVUa0, 0, [0, 3], [nGC_5156])

      allocate(vertices(155)%branchCT(0:0))
      call avCT(155, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_4863])

      allocate(vertices(156)%branchCT(0:1))
      call avCT(156, 0, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_5426, nGC_5426])

      call avCT(156, 1, 21, 1, 0, SFaF0, 0, [0, 1], [nGC_5427, nGC_5427])

      allocate(vertices(157)%branchCT(0:0))
      call avCT(157, 0, 8, 1, 0, UUaV0, 0, [0, 3], [nGC_4751])

      allocate(vertices(158)%branchCT(0:1))
      call avCT(158, 0, 8, 1, 0, FSFa2, 0, [0, 3], [nGC_3422])

      call avCT(158, 1, 8, 1, 0, FSFa2, 0, [0, 1], [nGC_4948])

      allocate(vertices(159)%branchCT(0:0))
      call avCT(159, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_5438])

      allocate(vertices(887)%branchCT(0:1))
      call avCT(887, 0, 17, 1, 0, FVFa1, 0, [0, 3], [nGC_4733, nGC_4734])

      call avCT(887, 1, 17, 1, 0, FVFa1, 0, [0, 1], [nGC_5441, nGC_5443])

      allocate(vertices(161)%branchCT(0:1))
      call avCT(161, 0, 8, 1, 0, SFaF1, 0, [0, 3], [nGC_3422])

      call avCT(161, 1, 8, 1, 0, SFaF1, 0, [0, 1], [nGC_4948])

      allocate(vertices(162)%branchCT(0:1))
      call avCT(162, 0, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_5453, nGC_5453])

      call avCT(162, 1, 20, 1, 0, SFFa0, 0, [0, 1], [nGC_5454, nGC_5454])

      allocate(vertices(163)%branchCT(0:0))
      call avCT(163, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_4887])

      allocate(vertices(164)%branchCT(0:0))
      call avCT(164, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_4746])

      allocate(vertices(1071)%branchCT(0:0))
      call avCT(1071, 0, 13, 1, 0, VV0, 0, [0, 2], [nGC_5465, nGC_5461,        &
      nGC_5464])

      allocate(vertices(889)%branchCT(0:0))
      call avCT(889, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_4863])

      allocate(vertices(166)%branchCT(0:0))
      call avCT(166, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5103])

      allocate(vertices(167)%branchCT(0:0))
      call avCT(167, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5474])

      allocate(vertices(168)%branchCT(0:1))
      call avCT(168, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_4857, nGC_4858])

      call avCT(168, 1, 8, 1, 0, FVFa1, 0, [0, 1], [nGC_5087, nGC_5090])

      allocate(vertices(169)%branchCT(0:0))
      call avCT(169, 0, 8, 1, 0, USUa0, 0, [0, 3], [nGC_3350])

      allocate(vertices(170)%branchCT(0:0))
      call avCT(170, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_4746])

      allocate(vertices(171)%branchCT(0:0))
      call avCT(171, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_4956])

      allocate(vertices(172)%branchCT(0:0))
      call avCT(172, 0, 8, 1, 0, UaUV0, 0, [0, 3], [nGC_5156])

      allocate(vertices(173)%branchCT(0:1))
      call avCT(173, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_5497, nGC_5497])

      call avCT(173, 1, 18, 1, 0, FaSF0, 0, [0, 1], [nGC_5498, nGC_5498])

      allocate(vertices(1047)%branchCT(0:1))
      call avCT(1047, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_5392, nGC_5392])

      call avCT(1047, 1, 8, 1, 0, SFFa0, 0, [0, 1], [nGC_5393, nGC_5393])

      allocate(vertices(174)%branchCT(0:1))
      call avCT(174, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_5392, nGC_5392])

      call avCT(174, 1, 8, 1, 0, FFaS1, 0, [0, 1], [nGC_5393, nGC_5393])

      allocate(vertices(64)%branchCT(0:1))
      call avCT(64, 0, 19, 1, 0, FaFV0, 0, [0, 3], [nGC_4871, nGC_4872])

      call avCT(64, 1, 19, 1, 0, FaFV0, 0, [0, 1], [nGC_4981, nGC_4983])

      allocate(vertices(175)%branchCT(0:0))
      call avCT(175, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_4820])

      allocate(vertices(176)%branchCT(0:1))
      call avCT(176, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_3424])

      call avCT(176, 1, 8, 1, 0, FaFS2, 0, [0, 1], [nGC_4978])

      allocate(vertices(177)%branchCT(0:0))
      call avCT(177, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_4887])

      allocate(vertices(178)%branchCT(0:0))
      call avCT(178, 0, 8, 1, 0, UVUa0, 0, [0, 3], [nGC_4777])

      allocate(vertices(111)%branchCT(0:1))
      call avCT(111, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_4759])

      call avCT(111, 1, 8, 1, 0, VFaF1, 0, [0, 1], [nGC_5024])

      allocate(vertices(179)%branchCT(0:1))
      call avCT(179, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_3394, nGC_3396])

      call avCT(179, 1, 18, 1, 0, FaSF0, 0, [0, 1], [nGC_4798, nGC_4797])

      allocate(vertices(180)%branchCT(0:0))
      call avCT(180, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5539, nGC_5539,        &
      nGC_5540])

      allocate(vertices(181)%branchCT(0:0))
      call avCT(181, 0, 8, 1, 0, VUaU0, 0, [0, 3], [nGC_5156])

      allocate(vertices(182)%branchCT(0:0))
      call avCT(182, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_4755])

      allocate(vertices(183)%branchCT(0:1))
      call avCT(183, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_4857, nGC_4858])

      call avCT(183, 1, 8, 1, 0, FFaV1, 0, [0, 1], [nGC_4851, nGC_4854])

      allocate(vertices(184)%branchCT(0:0))
      call avCT(184, 0, 8, 1, 0, UaSU0, 0, [0, 3], [nGC_3352])

      allocate(vertices(185)%branchCT(0:0))
      call avCT(185, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_4816])

      allocate(vertices(186)%branchCT(0:0))
      call avCT(186, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5103])

      allocate(vertices(187)%branchCT(0:1))
      call avCT(187, 0, 32, 4, 0, UUaV0, 0, [3, 0], [nGC_5562])

      call avCT(187, 1, 33, 5, 0, UUaV0, 0, [3, 0], [nGC_5562])

      allocate(vertices(188)%branchCT(0:0))
      call avCT(188, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_4956])

      allocate(vertices(189)%branchCT(0:0))
      call avCT(189, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5539, nGC_5540,        &
      nGC_5539])

      allocate(vertices(190)%branchCT(0:1))
      call avCT(190, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_4882, nGC_4883])

      call avCT(190, 1, 10, 1, 0, FFaV1, 0, [0, 1], [nGC_5220, nGC_5217])

      allocate(vertices(191)%branchCT(0:1))
      call avCT(191, 0, 20, 1, 0, VFFa0, 0, [0, 3], [nGC_4759])

      call avCT(191, 1, 20, 1, 0, VFFa0, 0, [0, 1], [nGC_5127])

      allocate(vertices(192)%branchCT(0:0))
      call avCT(192, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_4755])

      allocate(vertices(193)%branchCT(0:1))
      call avCT(193, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_5098, nGC_5099])

      call avCT(193, 1, 8, 1, 0, FFaV1, 0, [0, 1], [nGC_5588, nGC_5584])

      allocate(vertices(194)%branchCT(0:0))
      call avCT(194, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_4827])

      allocate(vertices(195)%branchCT(0:1))
      call avCT(195, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_4857, nGC_4858])

      call avCT(195, 1, 8, 1, 0, VFaF0, 0, [0, 1], [nGC_4851, nGC_4854])

      allocate(vertices(196)%branchCT(0:1))
      call avCT(196, 0, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_3454, nGC_3452])

      call avCT(196, 1, 19, 1, 0, FaFS0, 0, [0, 1], [nGC_5607, nGC_5606])

      allocate(vertices(197)%branchCT(0:1))
      call avCT(197, 0, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_5453, nGC_5453])

      call avCT(197, 1, 21, 1, 0, SFaF0, 0, [0, 1], [nGC_5454, nGC_5454])

      allocate(vertices(198)%branchCT(0:0))
      call avCT(198, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_5289])

      allocate(vertices(199)%branchCT(0:0))
      call avCT(199, 0, 8, 1, 0, UaSU0, 0, [0, 3], [nGC_3350])

      allocate(vertices(200)%branchCT(0:1))
      call avCT(200, 0, 38, 4, 0, VUUa0, 0, [3, 0], [nGC_5562])

      call avCT(200, 1, 39, 5, 0, VUUa0, 0, [3, 0], [nGC_5562])

      allocate(vertices(201)%branchCT(0:0))
      call avCT(201, 0, 8, 1, 0, VUaU0, 0, [0, 3], [nGC_5365])

      allocate(vertices(203)%branchCT(0:1))
      call avCT(203, 0, 8, 1, 0, SFaF2, 0, [0, 3], [nGC_3424])

      call avCT(203, 1, 8, 1, 0, SFaF2, 0, [0, 1], [nGC_4978])

      allocate(vertices(204)%branchCT(0:0))
      call avCT(204, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5103])

      allocate(vertices(205)%branchCT(0:1))
      call avCT(205, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_3420])

      call avCT(205, 1, 8, 1, 0, FFaS0, 0, [0, 1], [nGC_5203])

      allocate(vertices(712)%branchCT(0:0))
      call avCT(712, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5103])

      allocate(vertices(207)%branchCT(0:1))
      call avCT(207, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_5329])

      call avCT(207, 1, 8, 1, 0, FVFa0, 0, [0, 1], [nGC_5637])

      allocate(vertices(208)%branchCT(0:1))
      call avCT(208, 0, 20, 1, 0, VFFa1, 0, [0, 3], [nGC_4871, nGC_4872])

      call avCT(208, 1, 20, 1, 0, VFFa1, 0, [0, 1], [nGC_4989, nGC_4991])

      allocate(vertices(897)%branchCT(0:0))
      call avCT(897, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_4816])

      allocate(vertices(210)%branchCT(0:1))
      call avCT(210, 0, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_3402, nGC_3404])

      call avCT(210, 1, 21, 1, 0, SFaF0, 0, [0, 1], [nGC_4921, nGC_4922])

      allocate(vertices(211)%branchCT(0:0))
      call avCT(211, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_4827])

      allocate(vertices(212)%branchCT(0:0))
      call avCT(212, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_4741, nGC_4742,        &
      nGC_4742])

      allocate(vertices(957)%branchCT(0:1))
      call avCT(957, 0, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_3412, nGC_3410])

      call avCT(957, 1, 21, 1, 0, SFaF0, 0, [0, 1], [nGC_5667, nGC_5666])

      allocate(vertices(214)%branchCT(0:1))
      call avCT(214, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_3396, nGC_3394])

      call avCT(214, 1, 10, 1, 0, FFaS1, 0, [0, 1], [nGC_4797, nGC_4798])

      allocate(vertices(215)%branchCT(0:0))
      call avCT(215, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_4863])

      allocate(vertices(216)%branchCT(0:1))
      call avCT(216, 0, 8, 1, 0, FSFa1, 0, [0, 3], [nGC_3436, nGC_3434])

      call avCT(216, 1, 8, 1, 0, FSFa1, 0, [0, 1], [nGC_5060, nGC_5059])

      allocate(vertices(217)%branchCT(0:1))
      call avCT(217, 0, 19, 1, 0, FaFV0, 0, [0, 3], [nGC_4882, nGC_4883])

      call avCT(217, 1, 19, 1, 0, FaFV0, 0, [0, 1], [nGC_5220, nGC_5217])

      allocate(vertices(354)%branchCT(0:1))
      call avCT(354, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_4759])

      call avCT(354, 1, 10, 1, 0, FFaV0, 0, [0, 1], [nGC_5127])

      allocate(vertices(219)%branchCT(0:0))
      call avCT(219, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5474])

      allocate(vertices(220)%branchCT(0:3))
      call avCT(220, 0, 27, 3, 0, FaVF0, 0, [1, 0], [nGC_5697, nGC_5698])

      call avCT(220, 1, 27, 3, 0, FaVF0, 0, [3, 0], [nGC_5248, nGC_5248])

      call avCT(220, 2, 26, 2, 0, FaVF0, 0, [1, 0], [nGC_5697, nGC_5698])

      call avCT(220, 3, 26, 2, 0, FaVF0, 0, [3, 0], [nGC_5248, nGC_5248])

      allocate(vertices(373)%branchCT(0:0))
      call avCT(373, 0, 8, 1, 0, USUa0, 0, [0, 3], [nGC_3350])

      allocate(vertices(222)%branchCT(0:1))
      call avCT(222, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_4759])

      call avCT(222, 1, 8, 1, 0, FFaV0, 0, [0, 1], [nGC_5024])

      allocate(vertices(223)%branchCT(0:0))
      call avCT(223, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5709])

      allocate(vertices(224)%branchCT(0:0))
      call avCT(224, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_4816])

      allocate(vertices(225)%branchCT(0:1))
      call avCT(225, 0, 21, 1, 0, VFaF1, 0, [0, 3], [nGC_4759])

      call avCT(225, 1, 21, 1, 0, VFaF1, 0, [0, 1], [nGC_5127])

      allocate(vertices(226)%branchCT(0:0))
      call avCT(226, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5474])

      allocate(vertices(227)%branchCT(0:0))
      call avCT(227, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5103])

      allocate(vertices(228)%branchCT(0:3))
      call avCT(228, 0, 22, 2, 0, FVFa1, 0, [1, 0], [nGC_5723, nGC_5724])

      call avCT(228, 1, 22, 2, 0, FVFa1, 0, [3, 0], [nGC_5248, nGC_5248])

      call avCT(228, 2, 23, 3, 0, FVFa1, 0, [1, 0], [nGC_5723, nGC_5724])

      call avCT(228, 3, 23, 3, 0, FVFa1, 0, [3, 0], [nGC_5248, nGC_5248])

      allocate(vertices(1072)%branchCT(0:0))
      call avCT(1072, 0, 14, 1, 0, FFa0, 0, [0, 0], [nGC_5733, nGC_5730,       &
      nGC_5734, nGC_5734])

      allocate(vertices(429)%branchCT(0:1))
      call avCT(429, 0, 21, 1, 0, VFaF0, 0, [0, 3], [nGC_4913, nGC_4914])

      call avCT(429, 1, 21, 1, 0, VFaF0, 0, [0, 1], [nGC_4907, nGC_4910])

      allocate(vertices(231)%branchCT(0:0))
      call avCT(231, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_5745])

      allocate(vertices(232)%branchCT(0:1))
      call avCT(232, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_4857, nGC_4858])

      call avCT(232, 1, 8, 1, 0, FaFV0, 0, [0, 1], [nGC_5183, nGC_5186])

      allocate(vertices(233)%branchCT(0:0))
      call avCT(233, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_4887])

      allocate(vertices(234)%branchCT(0:1))
      call avCT(234, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_3444, nGC_3446])

      call avCT(234, 1, 10, 1, 0, FFaS1, 0, [0, 1], [nGC_5762, nGC_5763])

      allocate(vertices(235)%branchCT(0:0))
      call avCT(235, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_4746])

      allocate(vertices(236)%branchCT(0:1))
      call avCT(236, 0, 20, 1, 0, VFFa1, 0, [0, 3], [nGC_4913, nGC_4914])

      call avCT(236, 1, 20, 1, 0, VFFa1, 0, [0, 1], [nGC_5256, nGC_5259])

      allocate(vertices(237)%branchCT(0:1))
      call avCT(237, 0, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_4759])

      call avCT(237, 1, 18, 1, 0, FaVF1, 0, [0, 1], [nGC_4758])

      allocate(vertices(238)%branchCT(0:3))
      call avCT(238, 0, 27, 3, 0, FaVF0, 0, [1, 0], [nGC_5779, nGC_5780])

      call avCT(238, 1, 27, 3, 0, FaVF0, 0, [3, 0], [nGC_5248, nGC_5248])

      call avCT(238, 2, 26, 2, 0, FaVF0, 0, [1, 0], [nGC_5779, nGC_5780])

      call avCT(238, 3, 26, 2, 0, FaVF0, 0, [3, 0], [nGC_5248, nGC_5248])

      allocate(vertices(239)%branchCT(0:0))
      call avCT(239, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5196])

      allocate(vertices(240)%branchCT(0:1))
      call avCT(240, 0, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_5013, nGC_5013])

      call avCT(240, 1, 21, 1, 0, SFaF0, 0, [0, 1], [nGC_5014, nGC_5014])

      allocate(vertices(673)%branchCT(0:1))
      call avCT(673, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_3400, nGC_3398])

      call avCT(673, 1, 18, 1, 0, FaSF0, 0, [0, 1], [nGC_4944, nGC_4943])

      allocate(vertices(904)%branchCT(0:0))
      call avCT(904, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_4887])

      allocate(vertices(243)%branchCT(0:0))
      call avCT(243, 0, 8, 1, 0, USUa0, 0, [0, 3], [nGC_3347])

      allocate(vertices(245)%branchCT(0:0))
      call avCT(245, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_4802])

      allocate(vertices(246)%branchCT(0:3))
      call avCT(246, 0, 22, 2, 0, FVFa1, 0, [1, 0], [nGC_5779, nGC_5780])

      call avCT(246, 1, 22, 2, 0, FVFa1, 0, [3, 0], [nGC_5248, nGC_5248])

      call avCT(246, 2, 23, 3, 0, FVFa1, 0, [1, 0], [nGC_5779, nGC_5780])

      call avCT(246, 3, 23, 3, 0, FVFa1, 0, [3, 0], [nGC_5248, nGC_5248])

      allocate(vertices(546)%branchCT(0:1))
      call avCT(546, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_4733, nGC_4734])

      call avCT(546, 1, 10, 1, 0, FFaV1, 0, [0, 1], [nGC_4730, nGC_4728])

      allocate(vertices(248)%branchCT(0:1))
      call avCT(248, 0, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_3444, nGC_3446])

      call avCT(248, 1, 21, 1, 0, SFaF0, 0, [0, 1], [nGC_5762, nGC_5763])

      allocate(vertices(249)%branchCT(0:0))
      call avCT(249, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5322])

      allocate(vertices(250)%branchCT(0:0))
      call avCT(250, 0, 8, 1, 0, SUUa0, 0, [0, 3], [nGC_4997])

      allocate(vertices(251)%branchCT(0:0))
      call avCT(251, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5539, nGC_5539,        &
      nGC_5540])

      allocate(vertices(252)%branchCT(0:1))
      call avCT(252, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_4882, nGC_4883])

      call avCT(252, 1, 10, 1, 0, FFaV1, 0, [0, 1], [nGC_5337, nGC_5340])

      allocate(vertices(375)%branchCT(0:1))
      call avCT(375, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_5098, nGC_5099])

      call avCT(375, 1, 8, 1, 0, VFaF0, 0, [0, 1], [nGC_5588, nGC_5584])

      allocate(vertices(254)%branchCT(0:1))
      call avCT(254, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_3436, nGC_3434])

      call avCT(254, 1, 8, 1, 0, SFFa0, 0, [0, 1], [nGC_5060, nGC_5059])

      allocate(vertices(572)%branchCT(0:0))
      call avCT(572, 0, 8, 1, 0, VUUa0, 0, [0, 3], [nGC_4773])

      allocate(vertices(910)%branchCT(0:0))
      call avCT(910, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_4863])

      allocate(vertices(256)%branchCT(0:0))
      call avCT(256, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5474])

      allocate(vertices(257)%branchCT(0:0))
      call avCT(257, 0, 8, 1, 0, UaVU0, 0, [0, 3], [nGC_4773])

      allocate(vertices(1073)%branchCT(0:0))
      call avCT(1073, 0, 13, 1, 0, SV0, 0, [0, 2], [nGC_5866])

      allocate(vertices(259)%branchCT(0:0))
      call avCT(259, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5322])

      allocate(vertices(548)%branchCT(0:0))
      call avCT(548, 0, 8, 1, 0, UaUS0, 0, [0, 3], [nGC_3352])

      allocate(vertices(261)%branchCT(0:1))
      call avCT(261, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_5098, nGC_5099])

      call avCT(261, 1, 8, 1, 0, FaFV0, 0, [0, 1], [nGC_5875, nGC_5873])

      allocate(vertices(262)%branchCT(0:0))
      call avCT(262, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_5880])

      allocate(vertices(263)%branchCT(0:0))
      call avCT(263, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_4820])

      allocate(vertices(264)%branchCT(0:1))
      call avCT(264, 0, 8, 1, 0, SFFa2, 0, [0, 3], [nGC_3420])

      call avCT(264, 1, 8, 1, 0, SFFa2, 0, [0, 1], [nGC_5203])

      allocate(vertices(265)%branchCT(0:0))
      call avCT(265, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_4863])

      allocate(vertices(266)%branchCT(0:0))
      call avCT(266, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_5172])

      allocate(vertices(267)%branchCT(0:0))
      call avCT(267, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_4742, nGC_4742,        &
      nGC_4741])

      allocate(vertices(268)%branchCT(0:1))
      call avCT(268, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_4857, nGC_4858])

      call avCT(268, 1, 8, 1, 0, VFFa1, 0, [0, 1], [nGC_5183, nGC_5186])

      allocate(vertices(649)%branchCT(0:1))
      call avCT(649, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_5098, nGC_5099])

      call avCT(649, 1, 8, 1, 0, FaVF0, 0, [0, 1], [nGC_5588, nGC_5584])

      allocate(vertices(1074)%branchCT(0:0))
      call avCT(1074, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_4803])

      allocate(vertices(1075)%branchCT(0:0))
      call avCT(1075, 0, 13, 1, 0, VV1, 0, [0, 2], [nGC_5911, nGC_5910])

      allocate(vertices(271)%branchCT(0:0))
      call avCT(271, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_4789, nGC_4789,        &
      nGC_4790])

      allocate(vertices(272)%branchCT(0:0))
      call avCT(272, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_4816])

      allocate(vertices(342)%branchCT(0:1))
      call avCT(342, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_3392, nGC_3390])

      call avCT(342, 1, 18, 1, 0, FaSF0, 0, [0, 1], [nGC_5037, nGC_5038])

      allocate(vertices(15)%branchCT(0:0))
      call avCT(15, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_4746])

      allocate(vertices(274)%branchCT(0:0))
      call avCT(274, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_5289])

      allocate(vertices(275)%branchCT(0:0))
      call avCT(275, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_5041])

      allocate(vertices(1076)%branchCT(0:0))
      call avCT(1076, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_4752])

      allocate(vertices(277)%branchCT(0:1))
      call avCT(277, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_3430, nGC_3432])

      call avCT(277, 1, 8, 1, 0, FaSF0, 0, [0, 1], [nGC_5382, nGC_5381])

      allocate(vertices(278)%branchCT(0:0))
      call avCT(278, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_4887])

      allocate(vertices(279)%branchCT(0:0))
      call avCT(279, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_5944])

      allocate(vertices(280)%branchCT(0:0))
      call avCT(280, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_4746])

      allocate(vertices(281)%branchCT(0:1))
      call avCT(281, 0, 17, 1, 0, FVFa1, 0, [0, 3], [nGC_4882, nGC_4883])

      call avCT(281, 1, 17, 1, 0, FVFa1, 0, [0, 1], [nGC_5337, nGC_5340])

      allocate(vertices(282)%branchCT(0:0))
      call avCT(282, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5957])

      allocate(vertices(283)%branchCT(0:1))
      call avCT(283, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_3390, nGC_3392])

      call avCT(283, 1, 10, 1, 0, FFaS1, 0, [0, 1], [nGC_5038, nGC_5037])

      allocate(vertices(284)%branchCT(0:1))
      call avCT(284, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_4759])

      call avCT(284, 1, 8, 1, 0, FVFa0, 0, [0, 1], [nGC_5024])

      allocate(vertices(285)%branchCT(0:0))
      call avCT(285, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_4887])

      allocate(vertices(286)%branchCT(0:1))
      call avCT(286, 0, 8, 1, 0, FSFa1, 0, [0, 3], [nGC_3430, nGC_3432])

      call avCT(286, 1, 8, 1, 0, FSFa1, 0, [0, 1], [nGC_5382, nGC_5381])

      allocate(vertices(287)%branchCT(0:0))
      call avCT(287, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_4746])

      allocate(vertices(288)%branchCT(0:3))
      call avCT(288, 0, 30, 2, 0, VFaF0, 0, [1, 0], [nGC_5245, nGC_5244])

      call avCT(288, 1, 30, 2, 0, VFaF0, 0, [3, 0], [nGC_5248, nGC_5248])

      call avCT(288, 2, 31, 3, 0, VFaF0, 0, [1, 0], [nGC_5245, nGC_5244])

      call avCT(288, 3, 31, 3, 0, VFaF0, 0, [3, 0], [nGC_5248, nGC_5248])

      allocate(vertices(813)%branchCT(0:0))
      call avCT(813, 0, 8, 1, 0, UaUV0, 0, [0, 3], [nGC_4784])

      allocate(vertices(290)%branchCT(0:0))
      call avCT(290, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_4956])

      allocate(vertices(291)%branchCT(0:0))
      call avCT(291, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_4789, nGC_4790,        &
      nGC_4789])

      allocate(vertices(292)%branchCT(0:1))
      call avCT(292, 0, 21, 1, 0, VFaF1, 0, [0, 3], [nGC_4759])

      call avCT(292, 1, 21, 1, 0, VFaF1, 0, [0, 1], [nGC_4951])

      allocate(vertices(839)%branchCT(0:1))
      call avCT(839, 0, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_3398, nGC_3400])

      call avCT(839, 1, 20, 1, 0, SFFa0, 0, [0, 1], [nGC_4943, nGC_4944])

      allocate(vertices(294)%branchCT(0:0))
      call avCT(294, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5709])

      allocate(vertices(295)%branchCT(0:1))
      call avCT(295, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_4871, nGC_4872])

      call avCT(295, 1, 10, 1, 0, FFaV1, 0, [0, 1], [nGC_4866, nGC_4864])

      allocate(vertices(1077)%branchCT(0:0))
      call avCT(1077, 0, 13, 1, 0, FFa1, 0, [0, 0], [nGC_5205, nGC_5204])

      allocate(vertices(297)%branchCT(0:1))
      call avCT(297, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_5392, nGC_5392])

      call avCT(297, 1, 8, 1, 0, FaFS0, 0, [0, 1], [nGC_5393, nGC_5393])

      allocate(vertices(298)%branchCT(0:3))
      call avCT(298, 0, 24, 2, 0, FaFV0, 0, [1, 0], [nGC_5697, nGC_5698])

      call avCT(298, 1, 24, 2, 0, FaFV0, 0, [3, 0], [nGC_5248, nGC_5248])

      call avCT(298, 2, 25, 3, 0, FaFV0, 0, [1, 0], [nGC_5697, nGC_5698])

      call avCT(298, 3, 25, 3, 0, FaFV0, 0, [3, 0], [nGC_5248, nGC_5248])

      allocate(vertices(299)%branchCT(0:1))
      call avCT(299, 0, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_3402, nGC_3404])

      call avCT(299, 1, 20, 1, 0, SFFa0, 0, [0, 1], [nGC_4921, nGC_4922])

      allocate(vertices(1078)%branchCT(0:0))
      call avCT(1078, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_4803])

      allocate(vertices(730)%branchCT(0:3))
      call avCT(730, 0, 11, 2, 0, FFaV1, 0, [1, 0], [nGC_5697, nGC_5698])

      call avCT(730, 1, 11, 2, 0, FFaV1, 0, [3, 0], [nGC_5248, nGC_5248])

      call avCT(730, 2, 12, 3, 0, FFaV1, 0, [1, 0], [nGC_5697, nGC_5698])

      call avCT(730, 3, 12, 3, 0, FFaV1, 0, [3, 0], [nGC_5248, nGC_5248])

      allocate(vertices(301)%branchCT(0:1))
      call avCT(301, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_4759])

      call avCT(301, 1, 8, 1, 0, FaFV1, 0, [0, 1], [nGC_5017])

      allocate(vertices(302)%branchCT(0:0))
      call avCT(302, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_4816])

      allocate(vertices(303)%branchCT(0:0))
      call avCT(303, 0, 8, 1, 0, UaVU0, 0, [0, 3], [nGC_4751])

      allocate(vertices(900)%branchCT(0:0))
      call avCT(900, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_4742, nGC_4742,        &
      nGC_4741])

      allocate(vertices(305)%branchCT(0:0))
      call avCT(305, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_4802])

      allocate(vertices(306)%branchCT(0:0))
      call avCT(306, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5196])

      allocate(vertices(307)%branchCT(0:0))
      call avCT(307, 0, 8, 1, 0, UaVU0, 0, [0, 3], [nGC_6067])

      allocate(vertices(309)%branchCT(0:0))
      call avCT(309, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_4820])

      allocate(vertices(920)%branchCT(0:1))
      call avCT(920, 0, 17, 1, 0, FSFa1, 0, [0, 3], [nGC_3450, nGC_3448])

      call avCT(920, 1, 17, 1, 0, FSFa1, 0, [0, 1], [nGC_5082, nGC_5081])

      allocate(vertices(558)%branchCT(0:0))
      call avCT(558, 0, 8, 1, 0, VUUa0, 0, [0, 3], [nGC_4765])

      allocate(vertices(313)%branchCT(0:0))
      call avCT(313, 0, 8, 1, 0, UVUa0, 0, [0, 3], [nGC_4784])

      allocate(vertices(314)%branchCT(0:0))
      call avCT(314, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_4755])

      allocate(vertices(315)%branchCT(0:1))
      call avCT(315, 0, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_6089, nGC_6089])

      call avCT(315, 1, 19, 1, 0, FaFS0, 0, [0, 1], [nGC_6090, nGC_6090])

      allocate(vertices(316)%branchCT(0:0))
      call avCT(316, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_4956])

      allocate(vertices(317)%branchCT(0:1))
      call avCT(317, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_4759])

      call avCT(317, 1, 8, 1, 0, VFaF1, 0, [0, 1], [nGC_5024])

      allocate(vertices(318)%branchCT(0:1))
      call avCT(318, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_5329])

      call avCT(318, 1, 8, 1, 0, VFFa0, 0, [0, 1], [nGC_5637])

      allocate(vertices(319)%branchCT(0:0))
      call avCT(319, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_6104])

      allocate(vertices(320)%branchCT(0:0))
      call avCT(320, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_5880])

      allocate(vertices(321)%branchCT(0:0))
      call avCT(321, 0, 8, 1, 0, UUaV0, 0, [0, 3], [nGC_4765])

      allocate(vertices(515)%branchCT(0:1))
      call avCT(515, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_3436, nGC_3434])

      call avCT(515, 1, 8, 1, 0, SFaF0, 0, [0, 1], [nGC_5060, nGC_5059])

      allocate(vertices(322)%branchCT(0:0))
      call avCT(322, 0, 8, 1, 0, UaUS0, 0, [0, 3], [nGC_3353])

      allocate(vertices(323)%branchCT(0:0))
      call avCT(323, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_5289])

      allocate(vertices(324)%branchCT(0:0))
      call avCT(324, 0, 8, 1, 0, UaUS0, 0, [0, 3], [nGC_6122])

      allocate(vertices(325)%branchCT(0:0))
      call avCT(325, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_4755])

      allocate(vertices(459)%branchCT(0:1))
      call avCT(459, 0, 19, 1, 0, FaFV0, 0, [0, 3], [nGC_4871, nGC_4872])

      call avCT(459, 1, 19, 1, 0, FaFV0, 0, [0, 1], [nGC_4989, nGC_4991])

      allocate(vertices(1079)%branchCT(0:0))
      call avCT(1079, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_4985])

      allocate(vertices(560)%branchCT(0:0))
      call avCT(560, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_4823])

      allocate(vertices(329)%branchCT(0:0))
      call avCT(329, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5196])

      allocate(vertices(330)%branchCT(0:1))
      call avCT(330, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_4759])

      call avCT(330, 1, 8, 1, 0, FVFa0, 0, [0, 1], [nGC_5192])

      allocate(vertices(331)%branchCT(0:1))
      call avCT(331, 0, 8, 1, 0, SFFa2, 0, [0, 3], [nGC_3422])

      call avCT(331, 1, 8, 1, 0, SFFa2, 0, [0, 1], [nGC_4948])

      allocate(vertices(387)%branchCT(0:0))
      call avCT(387, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5196])

      allocate(vertices(332)%branchCT(0:0))
      call avCT(332, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_4746])

      allocate(vertices(333)%branchCT(0:1))
      call avCT(333, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_5098, nGC_5099])

      call avCT(333, 1, 8, 1, 0, FVFa1, 0, [0, 1], [nGC_5093, nGC_5095])

      allocate(vertices(335)%branchCT(0:0))
      call avCT(335, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_5289])

      allocate(vertices(336)%branchCT(0:3))
      call avCT(336, 0, 30, 2, 0, VFaF0, 0, [1, 0], [nGC_5723, nGC_5724])

      call avCT(336, 1, 30, 2, 0, VFaF0, 0, [3, 0], [nGC_5248, nGC_5248])

      call avCT(336, 2, 31, 3, 0, VFaF0, 0, [1, 0], [nGC_5723, nGC_5724])

      call avCT(336, 3, 31, 3, 0, VFaF0, 0, [3, 0], [nGC_5248, nGC_5248])

      allocate(vertices(875)%branchCT(0:1))
      call avCT(875, 0, 21, 1, 0, VFaF1, 0, [0, 3], [nGC_4759])

      call avCT(875, 1, 21, 1, 0, VFaF1, 0, [0, 1], [nGC_4758])

      allocate(vertices(25)%branchCT(0:0))
      call avCT(25, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5474])

      allocate(vertices(338)%branchCT(0:0))
      call avCT(338, 0, 8, 1, 0, UaUV0, 0, [0, 3], [nGC_4777])

      allocate(vertices(1010)%branchCT(0:0))
      call avCT(1010, 0, 8, 1, 0, UaSU0, 0, [0, 3], [nGC_6122])

      allocate(vertices(339)%branchCT(0:0))
      call avCT(339, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5103])

      allocate(vertices(340)%branchCT(0:1))
      call avCT(340, 0, 8, 1, 0, FSFa2, 0, [0, 3], [nGC_3420])

      call avCT(340, 1, 8, 1, 0, FSFa2, 0, [0, 1], [nGC_5203])

      allocate(vertices(341)%branchCT(0:0))
      call avCT(341, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_4887])

      allocate(vertices(1080)%branchCT(0:0))
      call avCT(1080, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_4985])

      allocate(vertices(343)%branchCT(0:0))
      call avCT(343, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_4742, nGC_4741,        &
      nGC_4742])

      allocate(vertices(344)%branchCT(0:1))
      call avCT(344, 0, 17, 1, 0, FSFa1, 0, [0, 3], [nGC_5453, nGC_5453])

      call avCT(344, 1, 17, 1, 0, FSFa1, 0, [0, 1], [nGC_5454, nGC_5454])

      allocate(vertices(345)%branchCT(0:3))
      call avCT(345, 0, 22, 2, 0, FVFa1, 0, [1, 0], [nGC_5697, nGC_5698])

      call avCT(345, 1, 22, 2, 0, FVFa1, 0, [3, 0], [nGC_5248, nGC_5248])

      call avCT(345, 2, 23, 3, 0, FVFa1, 0, [1, 0], [nGC_5697, nGC_5698])

      call avCT(345, 3, 23, 3, 0, FVFa1, 0, [3, 0], [nGC_5248, nGC_5248])

      allocate(vertices(881)%branchCT(0:1))
      call avCT(881, 0, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_6207, nGC_6207])

      call avCT(881, 1, 20, 1, 0, SFFa0, 0, [0, 1], [nGC_6208, nGC_6208])

      allocate(vertices(346)%branchCT(0:1))
      call avCT(346, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_5098, nGC_5099])

      call avCT(346, 1, 8, 1, 0, VFFa1, 0, [0, 1], [nGC_5588, nGC_5584])

      allocate(vertices(388)%branchCT(0:0))
      call avCT(388, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5539, nGC_5539,        &
      nGC_5540])

      allocate(vertices(348)%branchCT(0:0))
      call avCT(348, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5196])

      allocate(vertices(349)%branchCT(0:1))
      call avCT(349, 0, 8, 1, 0, FaSF2, 0, [0, 3], [nGC_3420])

      call avCT(349, 1, 8, 1, 0, FaSF2, 0, [0, 1], [nGC_5203])

      allocate(vertices(350)%branchCT(0:0))
      call avCT(350, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_4956])

      allocate(vertices(1081)%branchCT(0:0))
      call avCT(1081, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_4803])

      allocate(vertices(351)%branchCT(0:0))
      call avCT(351, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_4827])

      allocate(vertices(352)%branchCT(0:0))
      call avCT(352, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_4755])

      allocate(vertices(353)%branchCT(0:0))
      call avCT(353, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_4887])

      allocate(vertices(218)%branchCT(0:1))
      call avCT(218, 0, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_4759])

      call avCT(218, 1, 17, 1, 0, FVFa0, 0, [0, 1], [nGC_5127])

      allocate(vertices(355)%branchCT(0:0))
      call avCT(355, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_4894])

      allocate(vertices(356)%branchCT(0:0))
      call avCT(356, 0, 8, 1, 0, UUaV0, 0, [0, 3], [nGC_4765])

      allocate(vertices(357)%branchCT(0:3))
      call avCT(357, 0, 11, 2, 0, FFaV1, 0, [1, 0], [nGC_5245, nGC_5244])

      call avCT(357, 1, 11, 2, 0, FFaV1, 0, [3, 0], [nGC_5248, nGC_5248])

      call avCT(357, 2, 12, 3, 0, FFaV1, 0, [1, 0], [nGC_5245, nGC_5244])

      call avCT(357, 3, 12, 3, 0, FFaV1, 0, [3, 0], [nGC_5248, nGC_5248])

      allocate(vertices(358)%branchCT(0:0))
      call avCT(358, 0, 8, 1, 0, UaUV0, 0, [0, 3], [nGC_5156])

      allocate(vertices(359)%branchCT(0:1))
      call avCT(359, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_3408, nGC_3406])

      call avCT(359, 1, 18, 1, 0, FaSF0, 0, [0, 1], [nGC_4847, nGC_4846])

      allocate(vertices(360)%branchCT(0:0))
      call avCT(360, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_5007])

      allocate(vertices(153)%branchCT(0:1))
      call avCT(153, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_3420])

      call avCT(153, 1, 8, 1, 0, SFFa1, 0, [0, 1], [nGC_5203])

      allocate(vertices(739)%branchCT(0:0))
      call avCT(739, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_5000])

      allocate(vertices(363)%branchCT(0:0))
      call avCT(363, 0, 8, 1, 0, SUUa0, 0, [0, 3], [nGC_3350])

      allocate(vertices(364)%branchCT(0:1))
      call avCT(364, 0, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_3398, nGC_3400])

      call avCT(364, 1, 19, 1, 0, FaFS0, 0, [0, 1], [nGC_4943, nGC_4944])

      allocate(vertices(365)%branchCT(0:0))
      call avCT(365, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5196])

      allocate(vertices(366)%branchCT(0:1))
      call avCT(366, 0, 17, 1, 0, FSFa1, 0, [0, 3], [nGC_3444, nGC_3446])

      call avCT(366, 1, 17, 1, 0, FSFa1, 0, [0, 1], [nGC_5762, nGC_5763])

      allocate(vertices(367)%branchCT(0:1))
      call avCT(367, 0, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_5013, nGC_5013])

      call avCT(367, 1, 19, 1, 0, FaFS0, 0, [0, 1], [nGC_5014, nGC_5014])

      allocate(vertices(368)%branchCT(0:0))
      call avCT(368, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5189])

      allocate(vertices(1082)%branchCT(0:0))
      call avCT(1082, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_4803])

      allocate(vertices(832)%branchCT(0:1))
      call avCT(832, 0, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_3390, nGC_3392])

      call avCT(832, 1, 21, 1, 0, SFaF0, 0, [0, 1], [nGC_5038, nGC_5037])

      allocate(vertices(370)%branchCT(0:0))
      call avCT(370, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_4827])

      allocate(vertices(371)%branchCT(0:0))
      call avCT(371, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5957])

      allocate(vertices(372)%branchCT(0:3))
      call avCT(372, 0, 28, 2, 0, VFFa1, 0, [1, 0], [nGC_6304, nGC_6303])

      call avCT(372, 1, 28, 2, 0, VFFa1, 0, [3, 0], [nGC_5248, nGC_5248])

      call avCT(372, 2, 29, 3, 0, VFFa1, 0, [1, 0], [nGC_6304, nGC_6303])

      call avCT(372, 3, 29, 3, 0, VFFa1, 0, [3, 0], [nGC_5248, nGC_5248])

      allocate(vertices(221)%branchCT(0:0))
      call avCT(221, 0, 8, 1, 0, UUaS0, 0, [0, 3], [nGC_3350])

      allocate(vertices(374)%branchCT(0:1))
      call avCT(374, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_5426, nGC_5426])

      call avCT(374, 1, 18, 1, 0, FaSF0, 0, [0, 1], [nGC_5427, nGC_5427])

      allocate(vertices(253)%branchCT(0:1))
      call avCT(253, 0, 20, 1, 0, VFFa1, 0, [0, 3], [nGC_4871, nGC_4872])

      call avCT(253, 1, 20, 1, 0, VFFa1, 0, [0, 1], [nGC_4981, nGC_4983])

      allocate(vertices(376)%branchCT(0:0))
      call avCT(376, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_4746])

      allocate(vertices(377)%branchCT(0:1))
      call avCT(377, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_3424])

      call avCT(377, 1, 8, 1, 0, FFaS0, 0, [0, 1], [nGC_4978])

      allocate(vertices(378)%branchCT(0:1))
      call avCT(378, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_3390, nGC_3392])

      call avCT(378, 1, 18, 1, 0, FaSF0, 0, [0, 1], [nGC_5038, nGC_5037])

      allocate(vertices(213)%branchCT(0:3))
      call avCT(213, 0, 24, 2, 0, FaFV0, 0, [1, 0], [nGC_5245, nGC_5244])

      call avCT(213, 1, 24, 2, 0, FaFV0, 0, [3, 0], [nGC_5248, nGC_5248])

      call avCT(213, 2, 25, 3, 0, FaFV0, 0, [1, 0], [nGC_5245, nGC_5244])

      call avCT(213, 3, 25, 3, 0, FaFV0, 0, [3, 0], [nGC_5248, nGC_5248])

      allocate(vertices(379)%branchCT(0:0))
      call avCT(379, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_4741, nGC_4742,        &
      nGC_4742])

      allocate(vertices(380)%branchCT(0:1))
      call avCT(380, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_3430, nGC_3432])

      call avCT(380, 1, 8, 1, 0, SFFa0, 0, [0, 1], [nGC_5382, nGC_5381])

      allocate(vertices(381)%branchCT(0:0))
      call avCT(381, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_4820])

      allocate(vertices(382)%branchCT(0:1))
      call avCT(382, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_4759])

      call avCT(382, 1, 8, 1, 0, FaVF1, 0, [0, 1], [nGC_5017])

      allocate(vertices(383)%branchCT(0:1))
      call avCT(383, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_5098, nGC_5099])

      call avCT(383, 1, 8, 1, 0, FVFa1, 0, [0, 1], [nGC_5875, nGC_5873])

      allocate(vertices(384)%branchCT(0:1))
      call avCT(384, 0, 19, 1, 0, FaFV0, 0, [0, 3], [nGC_4733, nGC_4734])

      call avCT(384, 1, 19, 1, 0, FaFV0, 0, [0, 1], [nGC_6369, nGC_6367])

      allocate(vertices(385)%branchCT(0:0))
      call avCT(385, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_4823])

      allocate(vertices(542)%branchCT(0:1))
      call avCT(542, 0, 36, 4, 0, UaVU0, 0, [3, 0], [nGC_5562])

      call avCT(542, 1, 37, 5, 0, UaVU0, 0, [3, 0], [nGC_5562])

      allocate(vertices(386)%branchCT(0:0))
      call avCT(386, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_4887])

      allocate(vertices(1083)%branchCT(0:0))
      call avCT(1083, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_GG])

      allocate(vertices(347)%branchCT(0:0))
      call avCT(347, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_4816])

      allocate(vertices(744)%branchCT(0:0))
      call avCT(744, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_4895])

      allocate(vertices(934)%branchCT(0:0))
      call avCT(934, 0, 8, 1, 0, VUUa0, 0, [0, 3], [nGC_4751])

      allocate(vertices(391)%branchCT(0:1))
      call avCT(391, 0, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_3394, nGC_3396])

      call avCT(391, 1, 21, 1, 0, SFaF0, 0, [0, 1], [nGC_4798, nGC_4797])

      allocate(vertices(392)%branchCT(0:0))
      call avCT(392, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5474])

      allocate(vertices(393)%branchCT(0:0))
      call avCT(393, 0, 8, 1, 0, UUaS0, 0, [0, 3], [nGC_6122])

      allocate(vertices(394)%branchCT(0:0))
      call avCT(394, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5103])

      allocate(vertices(395)%branchCT(0:1))
      call avCT(395, 0, 17, 1, 0, FVFa1, 0, [0, 3], [nGC_4733, nGC_4734])

      call avCT(395, 1, 17, 1, 0, FVFa1, 0, [0, 1], [nGC_6369, nGC_6367])

      allocate(vertices(1084)%branchCT(0:0))
      call avCT(1084, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_5068])

      allocate(vertices(397)%branchCT(0:0))
      call avCT(397, 0, 8, 1, 0, VUUa0, 0, [0, 3], [nGC_5365])

      allocate(vertices(398)%branchCT(0:0))
      call avCT(398, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_4755])

      allocate(vertices(399)%branchCT(0:1))
      call avCT(399, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_3394, nGC_3396])

      call avCT(399, 1, 10, 1, 0, FFaS1, 0, [0, 1], [nGC_4798, nGC_4797])

      allocate(vertices(400)%branchCT(0:0))
      call avCT(400, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_4816])

      allocate(vertices(411)%branchCT(0:1))
      call avCT(411, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_4857, nGC_4858])

      call avCT(411, 1, 8, 1, 0, FFaV1, 0, [0, 1], [nGC_5087, nGC_5090])

      allocate(vertices(1085)%branchCT(0:0))
      call avCT(1085, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_4752])

      allocate(vertices(402)%branchCT(0:0))
      call avCT(402, 0, 8, 1, 0, UaUV0, 0, [0, 3], [nGC_4751])

      allocate(vertices(403)%branchCT(0:0))
      call avCT(403, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_4887])

      allocate(vertices(404)%branchCT(0:0))
      call avCT(404, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_4755])

      allocate(vertices(405)%branchCT(0:0))
      call avCT(405, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5196])

      allocate(vertices(406)%branchCT(0:0))
      call avCT(406, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_6444, nGC_6445,        &
      nGC_6444])

      allocate(vertices(407)%branchCT(0:1))
      call avCT(407, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_5098, nGC_5099])

      call avCT(407, 1, 8, 1, 0, VFaF0, 0, [0, 1], [nGC_5093, nGC_5095])

      allocate(vertices(408)%branchCT(0:1))
      call avCT(408, 0, 19, 1, 0, FaFV1, 0, [0, 3], [nGC_4759])

      call avCT(408, 1, 19, 1, 0, FaFV1, 0, [0, 1], [nGC_5127])

      allocate(vertices(483)%branchCT(0:0))
      call avCT(483, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_4755])

      allocate(vertices(1086)%branchCT(0:0))
      call avCT(1086, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_4752])

      allocate(vertices(940)%branchCT(0:0))
      call avCT(940, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5196])

      allocate(vertices(410)%branchCT(0:0))
      call avCT(410, 0, 8, 1, 0, UaVU0, 0, [0, 3], [nGC_5365])

      allocate(vertices(401)%branchCT(0:1))
      call avCT(401, 0, 20, 1, 0, VFFa1, 0, [0, 3], [nGC_4913, nGC_4914])

      call avCT(401, 1, 20, 1, 0, VFFa1, 0, [0, 1], [nGC_4930, nGC_4927])

      allocate(vertices(412)%branchCT(0:1))
      call avCT(412, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_4759])

      call avCT(412, 1, 10, 1, 0, FFaV0, 0, [0, 1], [nGC_4758])

      allocate(vertices(413)%branchCT(0:0))
      call avCT(413, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_4741, nGC_4742,        &
      nGC_4742])

      allocate(vertices(414)%branchCT(0:1))
      call avCT(414, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_5098, nGC_5099])

      call avCT(414, 1, 8, 1, 0, VFFa1, 0, [0, 1], [nGC_5875, nGC_5873])

      allocate(vertices(415)%branchCT(0:0))
      call avCT(415, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5322])

      allocate(vertices(416)%branchCT(0:0))
      call avCT(416, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_4887])

      allocate(vertices(417)%branchCT(0:1))
      call avCT(417, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_4759])

      call avCT(417, 1, 8, 1, 0, VFFa0, 0, [0, 1], [nGC_5017])

      allocate(vertices(418)%branchCT(0:0))
      call avCT(418, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_4746])

      allocate(vertices(419)%branchCT(0:1))
      call avCT(419, 0, 8, 1, 0, FFaS2, 0, [0, 3], [nGC_3422])

      call avCT(419, 1, 8, 1, 0, FFaS2, 0, [0, 1], [nGC_4948])

      allocate(vertices(420)%branchCT(0:0))
      call avCT(420, 0, 8, 1, 0, SUaU0, 0, [0, 3], [nGC_3350])

      allocate(vertices(421)%branchCT(0:0))
      call avCT(421, 0, 8, 1, 0, SUUa0, 0, [0, 3], [nGC_3353])

      allocate(vertices(422)%branchCT(0:1))
      call avCT(422, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_6505, nGC_6505])

      call avCT(422, 1, 8, 1, 0, SFaF0, 0, [0, 1], [nGC_6506, nGC_6506])

      allocate(vertices(424)%branchCT(0:1))
      call avCT(424, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_5098, nGC_5099])

      call avCT(424, 1, 8, 1, 0, FFaV1, 0, [0, 1], [nGC_5093, nGC_5095])

      allocate(vertices(425)%branchCT(0:0))
      call avCT(425, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5322])

      allocate(vertices(426)%branchCT(0:1))
      call avCT(426, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_5329])

      call avCT(426, 1, 8, 1, 0, FVFa0, 0, [0, 1], [nGC_6518])

      allocate(vertices(427)%branchCT(0:0))
      call avCT(427, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_4827])

      allocate(vertices(428)%branchCT(0:3))
      call avCT(428, 0, 30, 2, 0, VFaF0, 0, [1, 0], [nGC_5399, nGC_5400])

      call avCT(428, 1, 30, 2, 0, VFaF0, 0, [3, 0], [nGC_5248, nGC_5248])

      call avCT(428, 2, 31, 3, 0, VFaF0, 0, [1, 0], [nGC_5399, nGC_5400])

      call avCT(428, 3, 31, 3, 0, VFaF0, 0, [3, 0], [nGC_5248, nGC_5248])

      allocate(vertices(1087)%branchCT(0:0))
      call avCT(1087, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_4803])

      allocate(vertices(596)%branchCT(0:0))
      call avCT(596, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_4755])

      allocate(vertices(430)%branchCT(0:1))
      call avCT(430, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_4913, nGC_4914])

      call avCT(430, 1, 10, 1, 0, FFaV1, 0, [0, 1], [nGC_4930, nGC_4927])

      allocate(vertices(431)%branchCT(0:0))
      call avCT(431, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_4863])

      allocate(vertices(432)%branchCT(0:1))
      call avCT(432, 0, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_5497, nGC_5497])

      call avCT(432, 1, 19, 1, 0, FaFS0, 0, [0, 1], [nGC_5498, nGC_5498])

      allocate(vertices(433)%branchCT(0:1))
      call avCT(433, 0, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_4871, nGC_4872])

      call avCT(433, 1, 18, 1, 0, FaVF0, 0, [0, 1], [nGC_4981, nGC_4983])

      allocate(vertices(435)%branchCT(0:0))
      call avCT(435, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_4887])

      allocate(vertices(436)%branchCT(0:0))
      call avCT(436, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_4863])

      allocate(vertices(437)%branchCT(0:0))
      call avCT(437, 0, 8, 1, 0, VUaU0, 0, [0, 3], [nGC_5365])

      allocate(vertices(165)%branchCT(0:1))
      call avCT(165, 0, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_3394, nGC_3396])

      call avCT(165, 1, 19, 1, 0, FaFS0, 0, [0, 1], [nGC_4798, nGC_4797])

      allocate(vertices(438)%branchCT(0:0))
      call avCT(438, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_4956])

      allocate(vertices(439)%branchCT(0:1))
      call avCT(439, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_3412, nGC_3410])

      call avCT(439, 1, 18, 1, 0, FaSF0, 0, [0, 1], [nGC_5667, nGC_5666])

      allocate(vertices(440)%branchCT(0:0))
      call avCT(440, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_4827])

      allocate(vertices(441)%branchCT(0:1))
      call avCT(441, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_3408, nGC_3406])

      call avCT(441, 1, 10, 1, 0, FFaS1, 0, [0, 1], [nGC_4847, nGC_4846])

      allocate(vertices(442)%branchCT(0:0))
      call avCT(442, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5539, nGC_5540,        &
      nGC_5539])

      allocate(vertices(444)%branchCT(0:0))
      call avCT(444, 0, 8, 1, 0, SUUa0, 0, [0, 3], [nGC_3352])

      allocate(vertices(1088)%branchCT(0:0))
      call avCT(1088, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_4803])

      allocate(vertices(445)%branchCT(0:0))
      call avCT(445, 0, 8, 1, 0, UUaV0, 0, [0, 3], [nGC_4777])

      allocate(vertices(950)%branchCT(0:0))
      call avCT(950, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_4863])

      allocate(vertices(448)%branchCT(0:1))
      call avCT(448, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_4759])

      call avCT(448, 1, 8, 1, 0, FFaV0, 0, [0, 1], [nGC_5017])

      allocate(vertices(449)%branchCT(0:1))
      call avCT(449, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_4759])

      call avCT(449, 1, 8, 1, 0, FaVF1, 0, [0, 1], [nGC_5024])

      allocate(vertices(945)%branchCT(0:0))
      call avCT(945, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_4746])

      allocate(vertices(450)%branchCT(0:0))
      call avCT(450, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5196])

      allocate(vertices(451)%branchCT(0:1))
      call avCT(451, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_3430, nGC_3432])

      call avCT(451, 1, 8, 1, 0, FFaS1, 0, [0, 1], [nGC_5382, nGC_5381])

      allocate(vertices(1089)%branchCT(0:0))
      call avCT(1089, 0, 14, 1, 0, FFa0, 0, [0, 0], [nGC_6619, nGC_6616,       &
      nGC_6620, nGC_6620])

      allocate(vertices(209)%branchCT(0:0))
      call avCT(209, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_4816])

      allocate(vertices(452)%branchCT(0:0))
      call avCT(452, 0, 8, 1, 0, SUaU0, 0, [0, 3], [nGC_3353])

      allocate(vertices(453)%branchCT(0:3))
      call avCT(453, 0, 24, 2, 0, FaFV0, 0, [1, 0], [nGC_5399, nGC_5400])

      call avCT(453, 1, 24, 2, 0, FaFV0, 0, [3, 0], [nGC_5248, nGC_5248])

      call avCT(453, 2, 25, 3, 0, FaFV0, 0, [1, 0], [nGC_5399, nGC_5400])

      call avCT(453, 3, 25, 3, 0, FaFV0, 0, [3, 0], [nGC_5248, nGC_5248])

      allocate(vertices(454)%branchCT(0:0))
      call avCT(454, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_4746])

      allocate(vertices(753)%branchCT(0:0))
      call avCT(753, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_4887])

      allocate(vertices(456)%branchCT(0:0))
      call avCT(456, 0, 8, 1, 0, USUa0, 0, [0, 3], [nGC_3353])

      allocate(vertices(1090)%branchCT(0:0))
      call avCT(1090, 0, 42, 1, 0, FaF1, 0, [0, 0], [nGC_5278, nGC_5275,       &
      nGC_5279, nGC_5279])

      allocate(vertices(457)%branchCT(0:0))
      call avCT(457, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_4956])

      allocate(vertices(787)%branchCT(0:0))
      call avCT(787, 0, 8, 1, 0, UaUS0, 0, [0, 3], [nGC_3350])

      allocate(vertices(756)%branchCT(0:0))
      call avCT(756, 0, 8, 1, 0, UaUS0, 0, [0, 3], [nGC_3347])

      allocate(vertices(461)%branchCT(0:3))
      call avCT(461, 0, 28, 2, 0, VFFa1, 0, [1, 0], [nGC_5779, nGC_5780])

      call avCT(461, 1, 28, 2, 0, VFFa1, 0, [3, 0], [nGC_5248, nGC_5248])

      call avCT(461, 2, 29, 3, 0, VFFa1, 0, [1, 0], [nGC_5779, nGC_5780])

      call avCT(461, 3, 29, 3, 0, VFFa1, 0, [3, 0], [nGC_5248, nGC_5248])

      allocate(vertices(802)%branchCT(0:0))
      call avCT(802, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_5041])

      allocate(vertices(463)%branchCT(0:0))
      call avCT(463, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_4887])

      allocate(vertices(464)%branchCT(0:1))
      call avCT(464, 0, 17, 1, 0, FSFa1, 0, [0, 3], [nGC_3402, nGC_3404])

      call avCT(464, 1, 17, 1, 0, FSFa1, 0, [0, 1], [nGC_4921, nGC_4922])

      allocate(vertices(577)%branchCT(0:0))
      call avCT(577, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5103])

      allocate(vertices(815)%branchCT(0:0))
      call avCT(815, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5322])

      allocate(vertices(467)%branchCT(0:3))
      call avCT(467, 0, 30, 2, 0, VFaF0, 0, [1, 0], [nGC_6304, nGC_6303])

      call avCT(467, 1, 30, 2, 0, VFaF0, 0, [3, 0], [nGC_5248, nGC_5248])

      call avCT(467, 2, 31, 3, 0, VFaF0, 0, [1, 0], [nGC_6304, nGC_6303])

      call avCT(467, 3, 31, 3, 0, VFaF0, 0, [3, 0], [nGC_5248, nGC_5248])

      allocate(vertices(468)%branchCT(0:0))
      call avCT(468, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5957])

      allocate(vertices(469)%branchCT(0:0))
      call avCT(469, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_4755])

      allocate(vertices(470)%branchCT(0:1))
      call avCT(470, 0, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_3412, nGC_3410])

      call avCT(470, 1, 19, 1, 0, FaFS0, 0, [0, 1], [nGC_5667, nGC_5666])

      allocate(vertices(471)%branchCT(0:1))
      call avCT(471, 0, 21, 1, 0, VFaF0, 0, [0, 3], [nGC_4733, nGC_4734])

      call avCT(471, 1, 21, 1, 0, VFaF0, 0, [0, 1], [nGC_4730, nGC_4728])

      allocate(vertices(241)%branchCT(0:0))
      call avCT(241, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5709])

      allocate(vertices(473)%branchCT(0:1))
      call avCT(473, 0, 0, 4, 0, VVV0, 0, [3, 0], [nGC_6704])

      call avCT(473, 1, 1, 5, 0, VVV0, 0, [3, 0], [nGC_6704])

      allocate(vertices(760)%branchCT(0:1))
      call avCT(760, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_4871, nGC_4872])

      call avCT(760, 1, 10, 1, 0, FFaV1, 0, [0, 1], [nGC_4981, nGC_4983])

      allocate(vertices(475)%branchCT(0:1))
      call avCT(475, 0, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_4882, nGC_4883])

      call avCT(475, 1, 18, 1, 0, FaVF0, 0, [0, 1], [nGC_5220, nGC_5217])

      allocate(vertices(229)%branchCT(0:0))
      call avCT(229, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_4789, nGC_4789,        &
      nGC_4790])

      allocate(vertices(476)%branchCT(0:0))
      call avCT(476, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_4827])

      allocate(vertices(477)%branchCT(0:0))
      call avCT(477, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_4755])

      allocate(vertices(919)%branchCT(0:0))
      call avCT(919, 0, 8, 1, 0, UVUa0, 0, [0, 3], [nGC_4777])

      allocate(vertices(479)%branchCT(0:0))
      call avCT(479, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_4863])

      allocate(vertices(481)%branchCT(0:0))
      call avCT(481, 0, 8, 1, 0, UaSU0, 0, [0, 3], [nGC_3348])

      allocate(vertices(948)%branchCT(0:1))
      call avCT(948, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_4759])

      call avCT(948, 1, 8, 1, 0, FaVF1, 0, [0, 1], [nGC_5192])

      allocate(vertices(409)%branchCT(0:0))
      call avCT(409, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_4746])

      allocate(vertices(484)%branchCT(0:0))
      call avCT(484, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5957])

      allocate(vertices(485)%branchCT(0:1))
      call avCT(485, 0, 17, 1, 0, FSFa1, 0, [0, 3], [nGC_5426, nGC_5426])

      call avCT(485, 1, 17, 1, 0, FSFa1, 0, [0, 1], [nGC_5427, nGC_5427])

      allocate(vertices(967)%branchCT(0:1))
      call avCT(967, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_4733, nGC_4734])

      call avCT(967, 1, 10, 1, 0, FFaV1, 0, [0, 1], [nGC_5441, nGC_5443])

      allocate(vertices(73)%branchCT(0:0))
      call avCT(73, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_4887])

      allocate(vertices(974)%branchCT(0:0))
      call avCT(974, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_4746])

      allocate(vertices(489)%branchCT(0:1))
      call avCT(489, 0, 21, 1, 0, VFaF0, 0, [0, 3], [nGC_4882, nGC_4883])

      call avCT(489, 1, 21, 1, 0, VFaF0, 0, [0, 1], [nGC_4876, nGC_4879])

      allocate(vertices(490)%branchCT(0:1))
      call avCT(490, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_3420])

      call avCT(490, 1, 8, 1, 0, FaFS2, 0, [0, 1], [nGC_5203])

      allocate(vertices(765)%branchCT(0:0))
      call avCT(765, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_4863])

      allocate(vertices(491)%branchCT(0:0))
      call avCT(491, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_4887])

      allocate(vertices(492)%branchCT(0:1))
      call avCT(492, 0, 17, 1, 0, FVFa1, 0, [0, 3], [nGC_4871, nGC_4872])

      call avCT(492, 1, 17, 1, 0, FVFa1, 0, [0, 1], [nGC_4866, nGC_4864])

      allocate(vertices(1091)%branchCT(0:0))
      call avCT(1091, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_4752])

      allocate(vertices(493)%branchCT(0:1))
      call avCT(493, 0, 20, 1, 0, VFFa1, 0, [0, 3], [nGC_4882, nGC_4883])

      call avCT(493, 1, 20, 1, 0, VFFa1, 0, [0, 1], [nGC_5337, nGC_5340])

      allocate(vertices(494)%branchCT(0:0))
      call avCT(494, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_4971])

      allocate(vertices(495)%branchCT(0:0))
      call avCT(495, 0, 8, 1, 0, VUaU0, 0, [0, 3], [nGC_4777])

      allocate(vertices(1092)%branchCT(0:0))
      call avCT(1092, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_4803])

      allocate(vertices(496)%branchCT(0:1))
      call avCT(496, 0, 8, 1, 0, FFaS2, 0, [0, 3], [nGC_3420])

      call avCT(496, 1, 8, 1, 0, FFaS2, 0, [0, 1], [nGC_5203])

      allocate(vertices(582)%branchCT(0:1))
      call avCT(582, 0, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_3400, nGC_3398])

      call avCT(582, 1, 19, 1, 0, FaFS0, 0, [0, 1], [nGC_4944, nGC_4943])

      allocate(vertices(498)%branchCT(0:0))
      call avCT(498, 0, 8, 1, 0, USUa0, 0, [0, 3], [nGC_3352])

      allocate(vertices(499)%branchCT(0:0))
      call avCT(499, 0, 8, 1, 0, UVUa0, 0, [0, 3], [nGC_5365])

      allocate(vertices(500)%branchCT(0:0))
      call avCT(500, 0, 8, 1, 0, SUaU0, 0, [0, 3], [nGC_3348])

      allocate(vertices(501)%branchCT(0:0))
      call avCT(501, 0, 8, 1, 0, UaUS0, 0, [0, 3], [nGC_3348])

      allocate(vertices(502)%branchCT(0:1))
      call avCT(502, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_5453, nGC_5453])

      call avCT(502, 1, 10, 1, 0, FFaS1, 0, [0, 1], [nGC_5454, nGC_5454])

      allocate(vertices(503)%branchCT(0:1))
      call avCT(503, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_4857, nGC_4858])

      call avCT(503, 1, 8, 1, 0, VFFa1, 0, [0, 1], [nGC_5087, nGC_5090])

      allocate(vertices(504)%branchCT(0:0))
      call avCT(504, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_4742, nGC_4741,        &
      nGC_4742])

      allocate(vertices(505)%branchCT(0:0))
      call avCT(505, 0, 8, 1, 0, UVUa0, 0, [0, 3], [nGC_5365])

      allocate(vertices(443)%branchCT(0:1))
      call avCT(443, 0, 8, 1, 0, FaSF1, 0, [0, 3], [nGC_3420])

      call avCT(443, 1, 8, 1, 0, FaSF1, 0, [0, 1], [nGC_5203])

      allocate(vertices(507)%branchCT(0:1))
      call avCT(507, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_3426, nGC_3428])

      call avCT(507, 1, 8, 1, 0, SFaF0, 0, [0, 1], [nGC_5115, nGC_5116])

      allocate(vertices(508)%branchCT(0:0))
      call avCT(508, 0, 8, 1, 0, UaSU0, 0, [0, 3], [nGC_3353])

      allocate(vertices(509)%branchCT(0:0))
      call avCT(509, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_4827])

      allocate(vertices(510)%branchCT(0:1))
      call avCT(510, 0, 17, 1, 0, FSFa1, 0, [0, 3], [nGC_3392, nGC_3390])

      call avCT(510, 1, 17, 1, 0, FSFa1, 0, [0, 1], [nGC_5037, nGC_5038])

    end subroutine fill_vertices_mdl2
end module vertices_info2
