!******************************************************************************!
!                                                                              !
!    vertices_info4.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info4.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-28 19:55             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info4
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl4()
      allocate(vertices(120)%branchR2(0:0))
      call avR2(120, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_3267])

      allocate(vertices(923)%branchR2(0:0))
      call avR2(923, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3306])

      allocate(vertices(612)%branchR2(0:0))
      call avR2(612, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3314, nGC_3313,        &
      nGC_3314])

      allocate(vertices(280)%branchR2(0:0))
      call avR2(280, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3284])

      allocate(vertices(692)%branchR2(0:0))
      call avR2(692, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3287, nGC_3287,        &
      nGC_3286])

      allocate(vertices(1178)%branchR2(0:1))
      call avR2(1178, 0, 43, 1, 0, SVV0, 0, [2, 1], [nGC_3272])

      call avR2(1178, 1, 44, 1, 0, SVV0, 0, [2, 1], [nGC_3273])

      allocate(vertices(636)%branchR2(0:0))
      call avR2(636, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3298])

      allocate(vertices(514)%branchR2(0:0))
      call avR2(514, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3285])

      allocate(vertices(105)%branchR2(0:0))
      call avR2(105, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3306])

      allocate(vertices(985)%branchR2(0:0))
      call avR2(985, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3281])

      allocate(vertices(593)%branchR2(0:0))
      call avR2(593, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3284])

      allocate(vertices(25)%branchR2(0:0))
      call avR2(25, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3294])

      allocate(vertices(320)%branchR2(0:0))
      call avR2(320, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3264])

      allocate(vertices(37)%branchR2(0:0))
      call avR2(37, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3287, nGC_3286, nGC_3287&
      ])

      allocate(vertices(1179)%branchR2(0:1))
      call avR2(1179, 0, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_3322])

      call avR2(1179, 1, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_3323])

      allocate(vertices(1180)%branchR2(0:1))
      call avR2(1180, 0, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_3317, nGC_3317,      &
      nGC_3317])

      call avR2(1180, 1, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_3316, nGC_3316,      &
      nGC_3316])

      allocate(vertices(192)%branchR2(0:0))
      call avR2(192, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3295])

      allocate(vertices(5)%branchR2(0:0))
      call avR2(5, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3295])

      allocate(vertices(774)%branchR2(0:0))
      call avR2(774, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_9160])

      allocate(vertices(997)%branchR2(0:0))
      call avR2(997, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3279])

      allocate(vertices(816)%branchR2(0:0))
      call avR2(816, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3309, nGC_8950,        &
      nGC_8950])

      allocate(vertices(1181)%branchR2(0:1))
      call avR2(1181, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_3312, nGC_3312,      &
      nGC_3312])

      call avR2(1181, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_3311, nGC_3311,      &
      nGC_3311])

      allocate(vertices(609)%branchR2(0:0))
      call avR2(609, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3297])

      allocate(vertices(777)%branchR2(0:0))
      call avR2(777, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3269])

      allocate(vertices(670)%branchR2(0:0))
      call avR2(670, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3297])

      allocate(vertices(766)%branchR2(0:0))
      call avR2(766, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3285])

      allocate(vertices(1182)%branchR2(0:5))
      call avR2(1182, 0, 77, 1, 0, VVVV0, 0, [3, 1], [nGC_3330, nGC_3330,      &
      nGC_3330])

      call avR2(1182, 1, 81, 1, 0, VVVV0, 0, [3, 1], [nGC_3332, nGC_3332,      &
      nGC_3332])

      call avR2(1182, 2, 79, 1, 0, VVVV0, 0, [3, 1], [nGC_3331, nGC_3331,      &
      nGC_3331])

      call avR2(1182, 3, 80, 1, 0, VVVV0, 0, [3, 1], [nGC_3331, nGC_3331,      &
      nGC_3331])

      call avR2(1182, 4, 78, 1, 0, VVVV0, 0, [3, 1], [nGC_3331, nGC_3331,      &
      nGC_3331])

      call avR2(1182, 5, 82, 1, 0, VVVV0, 0, [3, 1], [nGC_3330, nGC_3330,      &
      nGC_3330])

      allocate(vertices(772)%branchR2(0:0))
      call avR2(772, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_3274])

      allocate(vertices(909)%branchR2(0:0))
      call avR2(909, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3284])

      allocate(vertices(990)%branchR2(0:0))
      call avR2(990, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3284])

      allocate(vertices(263)%branchR2(0:0))
      call avR2(263, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3299])

      allocate(vertices(676)%branchR2(0:0))
      call avR2(676, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_9247])

      allocate(vertices(701)%branchR2(0:0))
      call avR2(701, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3287, nGC_3287,        &
      nGC_3286])

      allocate(vertices(177)%branchR2(0:0))
      call avR2(177, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3298])

      allocate(vertices(335)%branchR2(0:0))
      call avR2(335, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_3260])

      allocate(vertices(491)%branchR2(0:0))
      call avR2(491, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3298])

      allocate(vertices(1183)%branchR2(0:1))
      call avR2(1183, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_3316, nGC_3316,      &
      nGC_3316])

      call avR2(1183, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_3317, nGC_3317,      &
      nGC_3317])

      allocate(vertices(350)%branchR2(0:0))
      call avR2(350, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3281])

      allocate(vertices(387)%branchR2(0:0))
      call avR2(387, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3296])

      allocate(vertices(1184)%branchR2(0:1))
      call avR2(1184, 0, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_3305])

      call avR2(1184, 1, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_3304])

      allocate(vertices(413)%branchR2(0:0))
      call avR2(413, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3286, nGC_3287,        &
      nGC_3287])

      allocate(vertices(557)%branchR2(0:0))
      call avR2(557, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3280])

      allocate(vertices(1185)%branchR2(0:1))
      call avR2(1185, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_3326, nGC_3326,      &
      nGC_3326])

      call avR2(1185, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_3325, nGC_3325,      &
      nGC_3325])

      allocate(vertices(1186)%branchR2(0:0))
      call avR2(1186, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3282])

      allocate(vertices(1078)%branchR2(0:0))
      call avR2(1078, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3293])

      allocate(vertices(271)%branchR2(0:0))
      call avR2(271, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3314, nGC_3314,        &
      nGC_3313])

      allocate(vertices(58)%branchR2(0:0))
      call avR2(58, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_3263])

      allocate(vertices(175)%branchR2(0:0))
      call avR2(175, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3299])

      allocate(vertices(1071)%branchR2(0:0))
      call avR2(1071, 0, 13, 1, 0, VV5, 0, [0, 2], [nGC_3247, nGC_3248])

      allocate(vertices(622)%branchR2(0:0))
      call avR2(622, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3294])

      allocate(vertices(1187)%branchR2(0:1))
      call avR2(1187, 0, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_3311, nGC_3311,      &
      nGC_3311])

      call avR2(1187, 1, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_3312, nGC_3312,      &
      nGC_3312])

      allocate(vertices(1041)%branchR2(0:0))
      call avR2(1041, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3307])

      allocate(vertices(215)%branchR2(0:0))
      call avR2(215, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3297])

      allocate(vertices(563)%branchR2(0:0))
      call avR2(563, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_9186])

      allocate(vertices(1188)%branchR2(0:0))
      call avR2(1188, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3290, nGC_3290,       &
      nGC_3290])

      allocate(vertices(319)%branchR2(0:0))
      call avR2(319, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_9186])

      allocate(vertices(1189)%branchR2(0:1))
      call avR2(1189, 0, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_3320, nGC_3320,      &
      nGC_3320])

      call avR2(1189, 1, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_3321, nGC_3321,      &
      nGC_3321])

      allocate(vertices(872)%branchR2(0:0))
      call avR2(872, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3280])

      allocate(vertices(2)%branchR2(0:0))
      call avR2(2, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3284])

      allocate(vertices(245)%branchR2(0:0))
      call avR2(245, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3255])

      allocate(vertices(1004)%branchR2(0:0))
      call avR2(1004, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3302])

      allocate(vertices(1190)%branchR2(0:0))
      call avR2(1190, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3289, nGC_3289,       &
      nGC_3289])

      allocate(vertices(329)%branchR2(0:0))
      call avR2(329, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3296])

      allocate(vertices(381)%branchR2(0:0))
      call avR2(381, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3299])

      allocate(vertices(1191)%branchR2(0:0))
      call avR2(1191, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3259])

      allocate(vertices(584)%branchR2(0:0))
      call avR2(584, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3295])

      allocate(vertices(1109)%branchR2(0:0))
      call avR2(1109, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3258])

      allocate(vertices(355)%branchR2(0:0))
      call avR2(355, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_3256])

      allocate(vertices(1192)%branchR2(0:1))
      call avR2(1192, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_3316, nGC_3316,      &
      nGC_3316])

      call avR2(1192, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_3317, nGC_3317,      &
      nGC_3317])

      allocate(vertices(931)%branchR2(0:0))
      call avR2(931, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3310])

      allocate(vertices(385)%branchR2(0:0))
      call avR2(385, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_9297])

      allocate(vertices(1193)%branchR2(0:1))
      call avR2(1193, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_3304])

      call avR2(1193, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_3305])

      allocate(vertices(984)%branchR2(0:0))
      call avR2(984, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3264])

      allocate(vertices(1194)%branchR2(0:1))
      call avR2(1194, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_3321, nGC_3321,      &
      nGC_3321])

      call avR2(1194, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_3320, nGC_3320,      &
      nGC_3320])

      allocate(vertices(258)%branchR2(0:0))
      call avR2(258, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3310])

      allocate(vertices(1195)%branchR2(0:1))
      call avR2(1195, 0, 64, 1, 0, VSVS0, 0, [2, 2], [nGC_3322])

      call avR2(1195, 1, 63, 1, 0, VSVS0, 0, [2, 2], [nGC_3323])

      allocate(vertices(112)%branchR2(0:0))
      call avR2(112, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3264])

      allocate(vertices(873)%branchR2(0:0))
      call avR2(873, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3271])

      allocate(vertices(285)%branchR2(0:0))
      call avR2(285, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3298])

      allocate(vertices(138)%branchR2(0:0))
      call avR2(138, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3279])

      allocate(vertices(844)%branchR2(0:0))
      call avR2(844, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_9084])

      allocate(vertices(99)%branchR2(0:0))
      call avR2(99, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3314, nGC_3314, nGC_3313&
      ])

      allocate(vertices(798)%branchR2(0:0))
      call avR2(798, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3287, nGC_3286,        &
      nGC_3287])

      allocate(vertices(1128)%branchR2(0:1))
      call avR2(1128, 0, 16, 1, 0, VV5, 0, [2, 0], [nGC_3253, nGC_3254])

      call avR2(1128, 1, 15, 1, 0, VV5, 0, [2, 0], [nGC_3251, nGC_3252])

      allocate(vertices(903)%branchR2(0:0))
      call avR2(903, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3255])

      allocate(vertices(901)%branchR2(0:0))
      call avR2(901, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3296])

      allocate(vertices(398)%branchR2(0:0))
      call avR2(398, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3295])

      allocate(vertices(7)%branchR2(0:0))
      call avR2(7, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3295])

      allocate(vertices(1196)%branchR2(0:1))
      call avR2(1196, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_3321, nGC_3321,      &
      nGC_3321])

      call avR2(1196, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_3320, nGC_3320,      &
      nGC_3320])

      allocate(vertices(1031)%branchR2(0:0))
      call avR2(1031, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3281])

      allocate(vertices(466)%branchR2(0:0))
      call avR2(466, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3314, nGC_3313,        &
      nGC_3314])

      allocate(vertices(915)%branchR2(0:0))
      call avR2(915, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3298])

      allocate(vertices(917)%branchR2(0:0))
      call avR2(917, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3281])

      allocate(vertices(528)%branchR2(0:0))
      call avR2(528, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_3266])

      allocate(vertices(1197)%branchR2(0:0))
      call avR2(1197, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3289, nGC_3289,       &
      nGC_3289])

      allocate(vertices(1000)%branchR2(0:0))
      call avR2(1000, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3298])

      allocate(vertices(780)%branchR2(0:0))
      call avR2(780, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3287, nGC_3286,        &
      nGC_3287])

      allocate(vertices(1198)%branchR2(0:0))
      call avR2(1198, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3289, nGC_3289,       &
      nGC_3289])

      allocate(vertices(1059)%branchR2(0:0))
      call avR2(1059, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3293])

      allocate(vertices(450)%branchR2(0:0))
      call avR2(450, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3296])

      allocate(vertices(314)%branchR2(0:0))
      call avR2(314, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3295])

      allocate(vertices(538)%branchR2(0:0))
      call avR2(538, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3281])

      allocate(vertices(976)%branchR2(0:0))
      call avR2(976, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3287, nGC_3287,        &
      nGC_3286])

      allocate(vertices(1118)%branchR2(0:0))
      call avR2(1118, 0, 13, 1, 0, VV5, 0, [0, 2], [nGC_3249, nGC_3250])

      allocate(vertices(204)%branchR2(0:0))
      call avR2(204, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3285])

      allocate(vertices(325)%branchR2(0:0))
      call avR2(325, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3295])

      allocate(vertices(750)%branchR2(0:0))
      call avR2(750, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_3260])

      allocate(vertices(862)%branchR2(0:0))
      call avR2(862, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3255])

      allocate(vertices(686)%branchR2(0:0))
      call avR2(686, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3280])

      allocate(vertices(365)%branchR2(0:0))
      call avR2(365, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3296])

      allocate(vertices(946)%branchR2(0:0))
      call avR2(946, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3281])

      allocate(vertices(50)%branchR2(0:0))
      call avR2(50, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3299])

      allocate(vertices(93)%branchR2(0:0))
      call avR2(93, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3280])

      allocate(vertices(442)%branchR2(0:0))
      call avR2(442, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3278, nGC_3277,        &
      nGC_3278])

      allocate(vertices(608)%branchR2(0:0))
      call avR2(608, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3300])

      allocate(vertices(614)%branchR2(0:0))
      call avR2(614, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_9156])

      allocate(vertices(1019)%branchR2(0:0))
      call avR2(1019, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3300])

      allocate(vertices(11)%branchR2(0:0))
      call avR2(11, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3295])

      allocate(vertices(1199)%branchR2(0:5))
      call avR2(1199, 0, 76, 1, 0, VVVV0, 0, [3, 1], [nGC_3327, nGC_3327,      &
      nGC_3327])

      call avR2(1199, 1, 73, 1, 0, VVVV0, 0, [3, 1], [nGC_3328, nGC_3328,      &
      nGC_3328])

      call avR2(1199, 2, 71, 1, 0, VVVV0, 0, [3, 1], [nGC_3327, nGC_3327,      &
      nGC_3327])

      call avR2(1199, 3, 72, 1, 0, VVVV0, 0, [3, 1], [nGC_3328, nGC_3328,      &
      nGC_3328])

      call avR2(1199, 4, 75, 1, 0, VVVV0, 0, [3, 1], [nGC_3329, nGC_3329,      &
      nGC_3329])

      call avR2(1199, 5, 74, 1, 0, VVVV0, 0, [3, 1], [nGC_3328, nGC_3328,      &
      nGC_3328])

      allocate(vertices(1200)%branchR2(0:1))
      call avR2(1200, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_3323])

      call avR2(1200, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_3322])

      allocate(vertices(1055)%branchR2(0:0))
      call avR2(1055, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3258])

      allocate(vertices(769)%branchR2(0:0))
      call avR2(769, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3284])

      allocate(vertices(431)%branchR2(0:0))
      call avR2(431, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3297])

      allocate(vertices(1201)%branchR2(0:5))
      call avR2(1201, 0, 85, 1, 0, VVVV0, 0, [3, 1], [nGC_3331, nGC_3331,      &
      nGC_3331])

      call avR2(1201, 1, 84, 1, 0, VVVV0, 0, [3, 1], [nGC_3331, nGC_3331,      &
      nGC_3331])

      call avR2(1201, 2, 87, 1, 0, VVVV0, 0, [3, 1], [nGC_3332, nGC_3332,      &
      nGC_3332])

      call avR2(1201, 3, 88, 1, 0, VVVV0, 0, [3, 1], [nGC_3330, nGC_3330,      &
      nGC_3330])

      call avR2(1201, 4, 86, 1, 0, VVVV0, 0, [3, 1], [nGC_3331, nGC_3331,      &
      nGC_3331])

      call avR2(1201, 5, 83, 1, 0, VVVV0, 0, [3, 1], [nGC_3330, nGC_3330,      &
      nGC_3330])

      allocate(vertices(275)%branchR2(0:0))
      call avR2(275, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_3266])

      allocate(vertices(36)%branchR2(0:0))
      call avR2(36, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3302])

      allocate(vertices(1002)%branchR2(0:20))
      call avR2(1002, 0, 96, 1, 0, VVVV0, 0, [4, 0], [nGC_3334, nGC_3334,      &
      nGC_3334])

      call avR2(1002, 1, 94, 1, 0, VVVV0, 0, [4, 0], [nGC_3335, nGC_3335,      &
      nGC_3335])

      call avR2(1002, 2, 91, 1, 0, VVVV0, 0, [4, 0], [nGC_3335, nGC_3335,      &
      nGC_3335])

      call avR2(1002, 3, 3, 1, 0, VVVV0, 0, [4, 0], [nGC_9382, nGC_9382,       &
      nGC_3333])

      call avR2(1002, 4, 90, 1, 0, VVVV0, 0, [4, 0], [nGC_3334, nGC_3334,      &
      nGC_3334])

      call avR2(1002, 5, 103, 1, 0, VVVV0, 0, [4, 0], [nGC_3334, nGC_3334,     &
      nGC_3334])

      call avR2(1002, 6, 89, 1, 0, VVVV0, 0, [4, 0], [nGC_3334, nGC_3334,      &
      nGC_3334])

      call avR2(1002, 7, 100, 1, 0, VVVV0, 0, [4, 0], [nGC_3334, nGC_3334,     &
      nGC_3334])

      call avR2(1002, 8, 102, 1, 0, VVVV0, 0, [4, 0], [nGC_3334, nGC_3334,     &
      nGC_3334])

      call avR2(1002, 9, 7, 1, 0, VVVV0, 0, [4, 0], [nGC_3337, nGC_9389,       &
      nGC_3337])

      call avR2(1002, 10, 98, 1, 0, VVVV0, 0, [4, 0], [nGC_3335, nGC_3335,     &
      nGC_3335])

      call avR2(1002, 11, 93, 1, 0, VVVV0, 0, [4, 0], [nGC_3335, nGC_3335,     &
      nGC_3335])

      call avR2(1002, 12, 92, 1, 0, VVVV0, 0, [4, 0], [nGC_3334, nGC_3334,     &
      nGC_3334])

      call avR2(1002, 13, 2, 1, 0, VVVV0, 0, [4, 0], [nGC_9382, nGC_9382,      &
      nGC_3333])

      call avR2(1002, 14, 5, 1, 0, VVVV0, 0, [4, 0], [nGC_3337, nGC_9389,      &
      nGC_3337])

      call avR2(1002, 15, 6, 1, 0, VVVV0, 0, [4, 0], [nGC_9389, nGC_3337,      &
      nGC_3337])

      call avR2(1002, 16, 101, 1, 0, VVVV0, 0, [4, 0], [nGC_3334, nGC_3334,    &
      nGC_3334])

      call avR2(1002, 17, 4, 1, 0, VVVV0, 0, [4, 0], [nGC_9389, nGC_3337,      &
      nGC_3337])

      call avR2(1002, 18, 97, 1, 0, VVVV0, 0, [4, 0], [nGC_3335, nGC_3335,     &
      nGC_3335])

      call avR2(1002, 19, 99, 1, 0, VVVV0, 0, [4, 0], [nGC_3335, nGC_3335,     &
      nGC_3335])

      call avR2(1002, 20, 95, 1, 0, VVVV0, 0, [4, 0], [nGC_3336, nGC_3336,     &
      nGC_3336])

      allocate(vertices(154)%branchR2(0:0))
      call avR2(154, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_9160])

      allocate(vertices(831)%branchR2(0:0))
      call avR2(831, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3284])

      allocate(vertices(979)%branchR2(0:0))
      call avR2(979, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_9297])

      allocate(vertices(386)%branchR2(0:0))
      call avR2(386, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3298])

      allocate(vertices(164)%branchR2(0:0))
      call avR2(164, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3284])

      allocate(vertices(171)%branchR2(0:0))
      call avR2(171, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3281])

      allocate(vertices(474)%branchR2(0:0))
      call avR2(474, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3264])

      allocate(vertices(294)%branchR2(0:0))
      call avR2(294, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3315])

      allocate(vertices(468)%branchR2(0:0))
      call avR2(468, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3307])

      allocate(vertices(1202)%branchR2(0:0))
      call avR2(1202, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3301, nGC_3301,       &
      nGC_3301])

      allocate(vertices(1087)%branchR2(0:0))
      call avR2(1087, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3293])

      allocate(vertices(958)%branchR2(0:0))
      call avR2(958, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3315])

      allocate(vertices(916)%branchR2(0:0))
      call avR2(916, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3255])

      allocate(vertices(935)%branchR2(0:0))
      call avR2(935, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3298])

      allocate(vertices(1203)%branchR2(0:1))
      call avR2(1203, 0, 59, 1, 0, VVSS0, 0, [2, 2], [nGC_3304])

      call avR2(1203, 1, 60, 1, 0, VVSS0, 0, [2, 2], [nGC_3305])

      allocate(vertices(74)%branchR2(0:0))
      call avR2(74, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3295])

      allocate(vertices(645)%branchR2(0:0))
      call avR2(645, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3284])

      allocate(vertices(691)%branchR2(0:0))
      call avR2(691, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3313, nGC_3314,        &
      nGC_3314])

      allocate(vertices(992)%branchR2(0:0))
      call avR2(992, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_3268])

      allocate(vertices(409)%branchR2(0:0))
      call avR2(409, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3284])

      allocate(vertices(455)%branchR2(0:0))
      call avR2(455, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3298])

      allocate(vertices(878)%branchR2(0:0))
      call avR2(878, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3298])

      allocate(vertices(864)%branchR2(0:0))
      call avR2(864, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3284])

      allocate(vertices(309)%branchR2(0:0))
      call avR2(309, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3299])

      allocate(vertices(488)%branchR2(0:0))
      call avR2(488, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3300])

      allocate(vertices(1021)%branchR2(0:0))
      call avR2(1021, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3285])

      allocate(vertices(1204)%branchR2(0:1))
      call avR2(1204, 0, 48, 1, 0, VSV0, 0, [2, 1], [nGC_3273])

      call avR2(1204, 1, 47, 1, 0, VSV0, 0, [2, 1], [nGC_3272])

      allocate(vertices(638)%branchR2(0:0))
      call avR2(638, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3284])

      allocate(vertices(518)%branchR2(0:0))
      call avR2(518, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3284])

      allocate(vertices(351)%branchR2(0:0))
      call avR2(351, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3280])

      allocate(vertices(274)%branchR2(0:0))
      call avR2(274, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_3260])

      allocate(vertices(789)%branchR2(0:0))
      call avR2(789, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3255])

      allocate(vertices(938)%branchR2(0:0))
      call avR2(938, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3255])

      allocate(vertices(1068)%branchR2(0:0))
      call avR2(1068, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3293])

      allocate(vertices(92)%branchR2(0:0))
      call avR2(92, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3298])

      allocate(vertices(1053)%branchR2(0:0))
      call avR2(1053, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_3240, nGC_3239])

      allocate(vertices(978)%branchR2(0:0))
      call avR2(978, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3298])

      allocate(vertices(757)%branchR2(0:0))
      call avR2(757, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3284])

      allocate(vertices(272)%branchR2(0:0))
      call avR2(272, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3300])

      allocate(vertices(341)%branchR2(0:0))
      call avR2(341, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3298])

      allocate(vertices(1083)%branchR2(0:0))
      call avR2(1083, 0, 13, 1, 0, SS2, 0, [0, 2], [nGC_3238, nGC_3237])

      allocate(vertices(892)%branchR2(0:0))
      call avR2(892, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3284])

      allocate(vertices(533)%branchR2(0:0))
      call avR2(533, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3280])

      allocate(vertices(590)%branchR2(0:0))
      call avR2(590, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_3261])

      allocate(vertices(987)%branchR2(0:0))
      call avR2(987, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3298])

      allocate(vertices(704)%branchR2(0:0))
      call avR2(704, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3298])

      allocate(vertices(642)%branchR2(0:0))
      call avR2(642, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3315])

      allocate(vertices(129)%branchR2(0:0))
      call avR2(129, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3279])

      allocate(vertices(537)%branchR2(0:0))
      call avR2(537, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_3260])

      allocate(vertices(95)%branchR2(0:0))
      call avR2(95, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3300])

      allocate(vertices(871)%branchR2(0:0))
      call avR2(871, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_3274])

      allocate(vertices(910)%branchR2(0:0))
      call avR2(910, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3297])

      allocate(vertices(1205)%branchR2(0:5))
      call avR2(1205, 0, 70, 1, 0, VVVV0, 0, [3, 1], [nGC_3330, nGC_3330,      &
      nGC_3330])

      call avR2(1205, 1, 67, 1, 0, VVVV0, 0, [3, 1], [nGC_3331, nGC_3331,      &
      nGC_3331])

      call avR2(1205, 2, 66, 1, 0, VVVV0, 0, [3, 1], [nGC_3331, nGC_3331,      &
      nGC_3331])

      call avR2(1205, 3, 69, 1, 0, VVVV0, 0, [3, 1], [nGC_3331, nGC_3331,      &
      nGC_3331])

      call avR2(1205, 4, 68, 1, 0, VVVV0, 0, [3, 1], [nGC_3332, nGC_3332,      &
      nGC_3332])

      call avR2(1205, 5, 65, 1, 0, VVVV0, 0, [3, 1], [nGC_3330, nGC_3330,      &
      nGC_3330])

      allocate(vertices(454)%branchR2(0:0))
      call avR2(454, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3284])

      allocate(vertices(791)%branchR2(0:0))
      call avR2(791, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3281])

      allocate(vertices(620)%branchR2(0:0))
      call avR2(620, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3307])

      allocate(vertices(343)%branchR2(0:0))
      call avR2(343, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3287, nGC_3286,        &
      nGC_3287])

      allocate(vertices(147)%branchR2(0:0))
      call avR2(147, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_3256])

      allocate(vertices(1206)%branchR2(0:1))
      call avR2(1206, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_3321, nGC_3321,      &
      nGC_3321])

      call avR2(1206, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_3320, nGC_3320,      &
      nGC_3320])

      allocate(vertices(884)%branchR2(0:0))
      call avR2(884, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3291])

      allocate(vertices(761)%branchR2(0:0))
      call avR2(761, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3280])

      allocate(vertices(751)%branchR2(0:0))
      call avR2(751, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3297])

      allocate(vertices(73)%branchR2(0:0))
      call avR2(73, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3298])

      allocate(vertices(969)%branchR2(0:0))
      call avR2(969, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3281])

      allocate(vertices(930)%branchR2(0:0))
      call avR2(930, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3307])

      allocate(vertices(1082)%branchR2(0:0))
      call avR2(1082, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3292])

      allocate(vertices(1207)%branchR2(0:1))
      call avR2(1207, 0, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_3325, nGC_3325,      &
      nGC_3325])

      call avR2(1207, 1, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_3326, nGC_3326,      &
      nGC_3326])

      allocate(vertices(1208)%branchR2(0:1))
      call avR2(1208, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_3304])

      call avR2(1208, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_3305])

      allocate(vertices(1209)%branchR2(0:1))
      call avR2(1209, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_3304])

      call avR2(1209, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_3305])

      allocate(vertices(276)%branchR2(0:0))
      call avR2(276, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3287, nGC_3286,        &
      nGC_3287])

      allocate(vertices(435)%branchR2(0:0))
      call avR2(435, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3298])

      allocate(vertices(32)%branchR2(0:0))
      call avR2(32, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3298])

      allocate(vertices(100)%branchR2(0:0))
      call avR2(100, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3297])

      allocate(vertices(1092)%branchR2(0:0))
      call avR2(1092, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3292])

      allocate(vertices(155)%branchR2(0:0))
      call avR2(155, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3297])

      allocate(vertices(476)%branchR2(0:0))
      call avR2(476, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3280])

      allocate(vertices(995)%branchR2(0:0))
      call avR2(995, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3284])

      allocate(vertices(942)%branchR2(0:0))
      call avR2(942, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3298])

      allocate(vertices(1124)%branchR2(0:0))
      call avR2(1124, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3258])

      allocate(vertices(808)%branchR2(0:0))
      call avR2(808, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3281])

      allocate(vertices(135)%branchR2(0:0))
      call avR2(135, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3285])

      allocate(vertices(15)%branchR2(0:0))
      call avR2(15, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3284])

      allocate(vertices(251)%branchR2(0:0))
      call avR2(251, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3278, nGC_3278,        &
      nGC_3277])

      allocate(vertices(746)%branchR2(0:0))
      call avR2(746, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3298])

      allocate(vertices(1114)%branchR2(0:0))
      call avR2(1114, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3258])

      allocate(vertices(955)%branchR2(0:0))
      call avR2(955, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3310])

      allocate(vertices(815)%branchR2(0:0))
      call avR2(815, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3279])

      allocate(vertices(1210)%branchR2(0:5))
      call avR2(1210, 0, 76, 1, 0, VVVV0, 0, [3, 1], [nGC_3330, nGC_3330,      &
      nGC_3330])

      call avR2(1210, 1, 73, 1, 0, VVVV0, 0, [3, 1], [nGC_3331, nGC_3331,      &
      nGC_3331])

      call avR2(1210, 2, 71, 1, 0, VVVV0, 0, [3, 1], [nGC_3330, nGC_3330,      &
      nGC_3330])

      call avR2(1210, 3, 72, 1, 0, VVVV0, 0, [3, 1], [nGC_3331, nGC_3331,      &
      nGC_3331])

      call avR2(1210, 4, 75, 1, 0, VVVV0, 0, [3, 1], [nGC_3332, nGC_3332,      &
      nGC_3332])

      call avR2(1210, 5, 74, 1, 0, VVVV0, 0, [3, 1], [nGC_3331, nGC_3331,      &
      nGC_3331])

      allocate(vertices(812)%branchR2(0:0))
      call avR2(812, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3291])

      allocate(vertices(480)%branchR2(0:0))
      call avR2(480, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3300])

      allocate(vertices(689)%branchR2(0:0))
      call avR2(689, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3264])

      allocate(vertices(1098)%branchR2(0:0))
      call avR2(1098, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3292])

      allocate(vertices(477)%branchR2(0:0))
      call avR2(477, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3295])

      allocate(vertices(94)%branchR2(0:0))
      call avR2(94, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3296])

      allocate(vertices(265)%branchR2(0:0))
      call avR2(265, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3297])

      allocate(vertices(838)%branchR2(0:0))
      call avR2(838, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3294])

      allocate(vertices(1211)%branchR2(0:1))
      call avR2(1211, 0, 64, 1, 0, VSVS0, 0, [2, 2], [nGC_3305])

      call avR2(1211, 1, 63, 1, 0, VSVS0, 0, [2, 2], [nGC_3304])

      allocate(vertices(697)%branchR2(0:0))
      call avR2(697, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3297])

      allocate(vertices(1212)%branchR2(0:1))
      call avR2(1212, 0, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_3320, nGC_3320,      &
      nGC_3320])

      call avR2(1212, 1, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_3321, nGC_3321,      &
      nGC_3321])

      allocate(vertices(1139)%branchR2(0:0))
      call avR2(1139, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3293])

      allocate(vertices(550)%branchR2(0:0))
      call avR2(550, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3285])

      allocate(vertices(738)%branchR2(0:0))
      call avR2(738, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_9121])

      allocate(vertices(122)%branchR2(0:0))
      call avR2(122, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3310])

      allocate(vertices(1213)%branchR2(0:1))
      call avR2(1213, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_3304])

      call avR2(1213, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_3305])

      allocate(vertices(83)%branchR2(0:0))
      call avR2(83, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3264])

      allocate(vertices(1214)%branchR2(0:1))
      call avR2(1214, 0, 64, 1, 0, VSVS0, 0, [2, 2], [nGC_3318])

      call avR2(1214, 1, 63, 1, 0, VSVS0, 0, [2, 2], [nGC_3319])

      allocate(vertices(597)%branchR2(0:0))
      call avR2(597, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3297])

      allocate(vertices(1113)%branchR2(0:0))
      call avR2(1113, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3293])

      allocate(vertices(170)%branchR2(0:0))
      call avR2(170, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3284])

      allocate(vertices(1054)%branchR2(0:0))
      call avR2(1054, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3293])

      allocate(vertices(256)%branchR2(0:0))
      call avR2(256, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3294])

      allocate(vertices(239)%branchR2(0:0))
      call avR2(239, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3296])

      allocate(vertices(888)%branchR2(0:0))
      call avR2(888, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3285])

      allocate(vertices(823)%branchR2(0:0))
      call avR2(823, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3284])

      allocate(vertices(352)%branchR2(0:0))
      call avR2(352, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3302])

      allocate(vertices(842)%branchR2(0:0))
      call avR2(842, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_8950, nGC_8950,        &
      nGC_3309])

      allocate(vertices(227)%branchR2(0:0))
      call avR2(227, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3285])

      allocate(vertices(788)%branchR2(0:0))
      call avR2(788, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3297])

      allocate(vertices(926)%branchR2(0:0))
      call avR2(926, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_3256])

      allocate(vertices(1115)%branchR2(0:0))
      call avR2(1115, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3293])

      allocate(vertices(1215)%branchR2(0:1))
      call avR2(1215, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_3316, nGC_3316,      &
      nGC_3316])

      call avR2(1215, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_3317, nGC_3317,      &
      nGC_3317])

      allocate(vertices(1216)%branchR2(0:1))
      call avR2(1216, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_3323])

      call avR2(1216, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_3322])

      allocate(vertices(473)%branchR2(0:1))
      call avR2(473, 0, 0, 1, 0, VVV0, 0, [3, 0], [nGC_9552])

      call avR2(473, 1, 1, 1, 0, VVV0, 0, [3, 0], [nGC_9554])

      allocate(vertices(130)%branchR2(0:0))
      call avR2(130, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3284])

      allocate(vertices(1217)%branchR2(0:0))
      call avR2(1217, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3289, nGC_3289,       &
      nGC_3289])

      allocate(vertices(1106)%branchR2(0:0))
      call avR2(1106, 0, 13, 1, 0, VV4, 0, [0, 2], [nGC_3249, nGC_3250])

      allocate(vertices(415)%branchR2(0:0))
      call avR2(415, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3279])

      allocate(vertices(944)%branchR2(0:0))
      call avR2(944, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3295])

      allocate(vertices(827)%branchR2(0:0))
      call avR2(827, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3287, nGC_3286,        &
      nGC_3287])

      allocate(vertices(560)%branchR2(0:0))
      call avR2(560, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_9156])

      allocate(vertices(160)%branchR2(0:0))
      call avR2(160, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_3257])

      allocate(vertices(819)%branchR2(0:0))
      call avR2(819, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3298])

      allocate(vertices(266)%branchR2(0:0))
      call avR2(266, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_9247])

      allocate(vertices(722)%branchR2(0:0))
      call avR2(722, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3298])

      allocate(vertices(166)%branchR2(0:0))
      call avR2(166, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3285])

      allocate(vertices(1218)%branchR2(0:1))
      call avR2(1218, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_3304])

      call avR2(1218, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_3305])

      allocate(vertices(740)%branchR2(0:0))
      call avR2(740, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3300])

      allocate(vertices(1219)%branchR2(0:0))
      call avR2(1219, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3301, nGC_3301,       &
      nGC_3301])

      allocate(vertices(561)%branchR2(0:0))
      call avR2(561, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_9574])

      allocate(vertices(1220)%branchR2(0:5))
      call avR2(1220, 0, 70, 1, 0, VVVV0, 0, [3, 1], [nGC_3327, nGC_3327,      &
      nGC_3327])

      call avR2(1220, 1, 67, 1, 0, VVVV0, 0, [3, 1], [nGC_3328, nGC_3328,      &
      nGC_3328])

      call avR2(1220, 2, 66, 1, 0, VVVV0, 0, [3, 1], [nGC_3328, nGC_3328,      &
      nGC_3328])

      call avR2(1220, 3, 69, 1, 0, VVVV0, 0, [3, 1], [nGC_3328, nGC_3328,      &
      nGC_3328])

      call avR2(1220, 4, 68, 1, 0, VVVV0, 0, [3, 1], [nGC_3329, nGC_3329,      &
      nGC_3329])

      call avR2(1220, 5, 65, 1, 0, VVVV0, 0, [3, 1], [nGC_3327, nGC_3327,      &
      nGC_3327])

      allocate(vertices(874)%branchR2(0:0))
      call avR2(874, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3302])

      allocate(vertices(291)%branchR2(0:0))
      call avR2(291, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3314, nGC_3313,        &
      nGC_3314])

      allocate(vertices(523)%branchR2(0:0))
      call avR2(523, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3302])

      allocate(vertices(516)%branchR2(0:0))
      call avR2(516, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3300])

      allocate(vertices(556)%branchR2(0:0))
      call avR2(556, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_3266])

      allocate(vertices(553)%branchR2(0:0))
      call avR2(553, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3294])

      allocate(vertices(185)%branchR2(0:0))
      call avR2(185, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3300])

      allocate(vertices(707)%branchR2(0:0))
      call avR2(707, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3285])

      allocate(vertices(1221)%branchR2(0:5))
      call avR2(1221, 0, 77, 1, 0, VVVV0, 0, [3, 1], [nGC_3327, nGC_3327,      &
      nGC_3327])

      call avR2(1221, 1, 81, 1, 0, VVVV0, 0, [3, 1], [nGC_3329, nGC_3329,      &
      nGC_3329])

      call avR2(1221, 2, 79, 1, 0, VVVV0, 0, [3, 1], [nGC_3328, nGC_3328,      &
      nGC_3328])

      call avR2(1221, 3, 80, 1, 0, VVVV0, 0, [3, 1], [nGC_3328, nGC_3328,      &
      nGC_3328])

      call avR2(1221, 4, 78, 1, 0, VVVV0, 0, [3, 1], [nGC_3328, nGC_3328,      &
      nGC_3328])

      call avR2(1221, 5, 82, 1, 0, VVVV0, 0, [3, 1], [nGC_3327, nGC_3327,      &
      nGC_3327])

      allocate(vertices(209)%branchR2(0:0))
      call avR2(209, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3300])

      allocate(vertices(586)%branchR2(0:0))
      call avR2(586, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3295])

      allocate(vertices(1125)%branchR2(0:0))
      call avR2(1125, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3293])

      allocate(vertices(715)%branchR2(0:0))
      call avR2(715, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_3268])

      allocate(vertices(121)%branchR2(0:0))
      call avR2(121, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3281])

      allocate(vertices(249)%branchR2(0:0))
      call avR2(249, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3279])

      allocate(vertices(188)%branchR2(0:0))
      call avR2(188, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3281])

      allocate(vertices(869)%branchR2(0:0))
      call avR2(869, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3285])

      allocate(vertices(290)%branchR2(0:0))
      call avR2(290, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3281])

      allocate(vertices(674)%branchR2(0:0))
      call avR2(674, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3280])

      allocate(vertices(1222)%branchR2(0:1))
      call avR2(1222, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_3316, nGC_3316,      &
      nGC_3316])

      call avR2(1222, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_3317, nGC_3317,      &
      nGC_3317])

      allocate(vertices(1223)%branchR2(0:0))
      call avR2(1223, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3290, nGC_3290,       &
      nGC_3290])

      allocate(vertices(858)%branchR2(0:0))
      call avR2(858, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3291])

      allocate(vertices(1224)%branchR2(0:0))
      call avR2(1224, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3282])

      allocate(vertices(895)%branchR2(0:0))
      call avR2(895, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_8950, nGC_8950,        &
      nGC_3309])

      allocate(vertices(323)%branchR2(0:0))
      call avR2(323, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_3267])

      allocate(vertices(229)%branchR2(0:0))
      call avR2(229, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3314, nGC_3314,        &
      nGC_3313])

      allocate(vertices(1225)%branchR2(0:0))
      call avR2(1225, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3301, nGC_3301,       &
      nGC_3301])

      allocate(vertices(494)%branchR2(0:0))
      call avR2(494, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_3265])

      allocate(vertices(856)%branchR2(0:0))
      call avR2(856, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3309, nGC_8950,        &
      nGC_8950])

      allocate(vertices(139)%branchR2(0:0))
      call avR2(139, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_9297])

      allocate(vertices(640)%branchR2(0:0))
      call avR2(640, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3294])

      allocate(vertices(56)%branchR2(0:0))
      call avR2(56, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3269])

      allocate(vertices(624)%branchR2(0:0))
      call avR2(624, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3295])

      allocate(vertices(587)%branchR2(0:0))
      call avR2(587, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3307])

      allocate(vertices(79)%branchR2(0:0))
      call avR2(79, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3285])

      allocate(vertices(223)%branchR2(0:0))
      call avR2(223, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3315])

      allocate(vertices(734)%branchR2(0:0))
      call avR2(734, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3295])

      allocate(vertices(211)%branchR2(0:0))
      call avR2(211, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3280])

      allocate(vertices(371)%branchR2(0:0))
      call avR2(371, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3307])

      allocate(vertices(1032)%branchR2(0:0))
      call avR2(1032, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3281])

      allocate(vertices(753)%branchR2(0:0))
      call avR2(753, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3298])

      allocate(vertices(592)%branchR2(0:0))
      call avR2(592, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_3265])

      allocate(vertices(463)%branchR2(0:0))
      call avR2(463, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3298])

      allocate(vertices(267)%branchR2(0:0))
      call avR2(267, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3287, nGC_3287,        &
      nGC_3286])

      allocate(vertices(504)%branchR2(0:0))
      call avR2(504, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3287, nGC_3286,        &
      nGC_3287])

      allocate(vertices(635)%branchR2(0:0))
      call avR2(635, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3285])

      allocate(vertices(929)%branchR2(0:0))
      call avR2(929, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_3260])

      allocate(vertices(784)%branchR2(0:0))
      call avR2(784, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3284])

      allocate(vertices(767)%branchR2(0:0))
      call avR2(767, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_3257])

      allocate(vertices(241)%branchR2(0:0))
      call avR2(241, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3315])

      allocate(vertices(1135)%branchR2(0:0))
      call avR2(1135, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3292])

      allocate(vertices(1226)%branchR2(0:1))
      call avR2(1226, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_3316, nGC_3316,      &
      nGC_3316])

      call avR2(1226, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_3317, nGC_3317,      &
      nGC_3317])

      allocate(vertices(304)%branchR2(0:0))
      call avR2(304, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3281])

      allocate(vertices(940)%branchR2(0:0))
      call avR2(940, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3296])

      allocate(vertices(302)%branchR2(0:0))
      call avR2(302, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3300])

      allocate(vertices(509)%branchR2(0:0))
      call avR2(509, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3280])

      allocate(vertices(132)%branchR2(0:0))
      call avR2(132, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3284])

      allocate(vertices(1227)%branchR2(0:0))
      call avR2(1227, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3289, nGC_3289,       &
      nGC_3289])

      allocate(vertices(1228)%branchR2(0:1))
      call avR2(1228, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_3316, nGC_3316,      &
      nGC_3316])

      call avR2(1228, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_3317, nGC_3317,      &
      nGC_3317])

      allocate(vertices(1229)%branchR2(0:1))
      call avR2(1229, 0, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_3320, nGC_3320,      &
      nGC_3320])

      call avR2(1229, 1, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_3321, nGC_3321,      &
      nGC_3321])

      allocate(vertices(4)%branchR2(0:0))
      call avR2(4, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_9247])

      allocate(vertices(1230)%branchR2(0:0))
      call avR2(1230, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3283])

      allocate(vertices(914)%branchR2(0:0))
      call avR2(914, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_9121])

      allocate(vertices(1129)%branchR2(0:0))
      call avR2(1129, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3292])

      allocate(vertices(1231)%branchR2(0:0))
      call avR2(1231, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3282])

      allocate(vertices(255)%branchR2(0:0))
      call avR2(255, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_3262])

      allocate(vertices(339)%branchR2(0:0))
      call avR2(339, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3285])

      allocate(vertices(388)%branchR2(0:0))
      call avR2(388, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3278, nGC_3278,        &
      nGC_3277])

      allocate(vertices(418)%branchR2(0:0))
      call avR2(418, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3284])

      allocate(vertices(596)%branchR2(0:0))
      call avR2(596, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3295])

      allocate(vertices(123)%branchR2(0:0))
      call avR2(123, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_3257])

      allocate(vertices(1141)%branchR2(0:0))
      call avR2(1141, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3292])

      allocate(vertices(438)%branchR2(0:0))
      call avR2(438, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3281])

      allocate(vertices(633)%branchR2(0:0))
      call avR2(633, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3300])

      allocate(vertices(1232)%branchR2(0:1))
      call avR2(1232, 0, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_3317, nGC_3317,      &
      nGC_3317])

      call avR2(1232, 1, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_3316, nGC_3316,      &
      nGC_3316])

      allocate(vertices(600)%branchR2(0:0))
      call avR2(600, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_9574])

      allocate(vertices(46)%branchR2(0:0))
      call avR2(46, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3281])

      allocate(vertices(708)%branchR2(0:0))
      call avR2(708, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3307])

      allocate(vertices(939)%branchR2(0:0))
      call avR2(939, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3298])

      allocate(vertices(576)%branchR2(0:0))
      call avR2(576, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_3262])

      allocate(vertices(469)%branchR2(0:0))
      call avR2(469, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3295])

      allocate(vertices(1081)%branchR2(0:0))
      call avR2(1081, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3293])

      allocate(vertices(965)%branchR2(0:0))
      call avR2(965, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3297])

      allocate(vertices(1046)%branchR2(0:0))
      call avR2(1046, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3285])

      allocate(vertices(1233)%branchR2(0:1))
      call avR2(1233, 0, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_3318])

      call avR2(1233, 1, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_3319])

      allocate(vertices(300)%branchR2(0:0))
      call avR2(300, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_9015])

      allocate(vertices(1074)%branchR2(0:0))
      call avR2(1074, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3292])

      allocate(vertices(1234)%branchR2(0:1))
      call avR2(1234, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_3312, nGC_3312,      &
      nGC_3312])

      call avR2(1234, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_3311, nGC_3311,      &
      nGC_3311])

      allocate(vertices(927)%branchR2(0:0))
      call avR2(927, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3307])

      allocate(vertices(379)%branchR2(0:0))
      call avR2(379, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3286, nGC_3287,        &
      nGC_3287])

      allocate(vertices(17)%branchR2(0:0))
      call avR2(17, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3284])

      allocate(vertices(1038)%branchR2(0:0))
      call avR2(1038, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3291])

      allocate(vertices(696)%branchR2(0:0))
      call avR2(696, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3294])

      allocate(vertices(1012)%branchR2(0:0))
      call avR2(1012, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3297])

      allocate(vertices(1080)%branchR2(0:0))
      call avR2(1080, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3258])

      allocate(vertices(613)%branchR2(0:0))
      call avR2(613, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3284])

      allocate(vertices(690)%branchR2(0:0))
      call avR2(690, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_3270])

      allocate(vertices(1235)%branchR2(0:1))
      call avR2(1235, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_3321, nGC_3321,      &
      nGC_3321])

      call avR2(1235, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_3320, nGC_3320,      &
      nGC_3320])

      allocate(vertices(150)%branchR2(0:0))
      call avR2(150, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_9574])

      allocate(vertices(144)%branchR2(0:0))
      call avR2(144, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3300])

      allocate(vertices(618)%branchR2(0:0))
      call avR2(618, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3306])

      allocate(vertices(963)%branchR2(0:0))
      call avR2(963, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3314, nGC_3313,        &
      nGC_3314])

      allocate(vertices(1025)%branchR2(0:0))
      call avR2(1025, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3277, nGC_3278,       &
      nGC_3278])

      allocate(vertices(1236)%branchR2(0:0))
      call avR2(1236, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3282])

      allocate(vertices(1237)%branchR2(0:0))
      call avR2(1237, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3290, nGC_3290,       &
      nGC_3290])

      allocate(vertices(517)%branchR2(0:0))
      call avR2(517, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_3261])

      allocate(vertices(857)%branchR2(0:0))
      call avR2(857, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_9015])

      allocate(vertices(866)%branchR2(0:0))
      call avR2(866, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3284])

      allocate(vertices(180)%branchR2(0:0))
      call avR2(180, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3278, nGC_3278,        &
      nGC_3277])

      allocate(vertices(694)%branchR2(0:0))
      call avR2(694, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_3260])

      allocate(vertices(103)%branchR2(0:0))
      call avR2(103, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3291])

      allocate(vertices(1238)%branchR2(0:1))
      call avR2(1238, 0, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_3305])

      call avR2(1238, 1, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_3304])

      allocate(vertices(1239)%branchR2(0:0))
      call avR2(1239, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3259])

      allocate(vertices(1240)%branchR2(0:1))
      call avR2(1240, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_3323])

      call avR2(1240, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_3322])

      allocate(vertices(404)%branchR2(0:0))
      call avR2(404, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3302])

      allocate(vertices(654)%branchR2(0:0))
      call avR2(654, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3285])

      allocate(vertices(69)%branchR2(0:0))
      call avR2(69, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3287, nGC_3286, nGC_3287&
      ])

      allocate(vertices(1001)%branchR2(0:0))
      call avR2(1001, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3298])

      allocate(vertices(527)%branchR2(0:0))
      call avR2(527, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3284])

      allocate(vertices(712)%branchR2(0:0))
      call avR2(712, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3285])

      allocate(vertices(1241)%branchR2(0:0))
      call avR2(1241, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3289, nGC_3289,       &
      nGC_3289])

      allocate(vertices(360)%branchR2(0:0))
      call avR2(360, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_3263])

      allocate(vertices(665)%branchR2(0:0))
      call avR2(665, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3300])

      allocate(vertices(794)%branchR2(0:0))
      call avR2(794, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3299])

      allocate(vertices(1242)%branchR2(0:5))
      call avR2(1242, 0, 85, 1, 0, VVVV0, 0, [3, 1], [nGC_3328, nGC_3328,      &
      nGC_3328])

      call avR2(1242, 1, 84, 1, 0, VVVV0, 0, [3, 1], [nGC_3328, nGC_3328,      &
      nGC_3328])

      call avR2(1242, 2, 87, 1, 0, VVVV0, 0, [3, 1], [nGC_3329, nGC_3329,      &
      nGC_3329])

      call avR2(1242, 3, 88, 1, 0, VVVV0, 0, [3, 1], [nGC_3327, nGC_3327,      &
      nGC_3327])

      call avR2(1242, 4, 86, 1, 0, VVVV0, 0, [3, 1], [nGC_3328, nGC_3328,      &
      nGC_3328])

      call avR2(1242, 5, 83, 1, 0, VVVV0, 0, [3, 1], [nGC_3327, nGC_3327,      &
      nGC_3327])

      allocate(vertices(278)%branchR2(0:0))
      call avR2(278, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3298])

      allocate(vertices(562)%branchR2(0:0))
      call avR2(562, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3313, nGC_3314,        &
      nGC_3314])

      allocate(vertices(235)%branchR2(0:0))
      call avR2(235, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3284])

      allocate(vertices(484)%branchR2(0:0))
      call avR2(484, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3307])

      allocate(vertices(825)%branchR2(0:0))
      call avR2(825, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3284])

      allocate(vertices(983)%branchR2(0:0))
      call avR2(983, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3296])

      allocate(vertices(368)%branchR2(0:0))
      call avR2(368, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3291])

      allocate(vertices(403)%branchR2(0:0))
      call avR2(403, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3298])

      allocate(vertices(889)%branchR2(0:0))
      call avR2(889, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3297])

      allocate(vertices(337)%branchR2(0:0))
      call avR2(337, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3300])

      allocate(vertices(1243)%branchR2(0:1))
      call avR2(1243, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_3316, nGC_3316,      &
      nGC_3316])

      call avR2(1243, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_3317, nGC_3317,      &
      nGC_3317])

      allocate(vertices(306)%branchR2(0:0))
      call avR2(306, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3306])

      allocate(vertices(543)%branchR2(0:0))
      call avR2(543, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3284])

      allocate(vertices(259)%branchR2(0:0))
      call avR2(259, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3279])

      allocate(vertices(821)%branchR2(0:0))
      call avR2(821, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_9084])

      allocate(vertices(24)%branchR2(0:0))
      call avR2(24, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3308])

      allocate(vertices(1244)%branchR2(0:0))
      call avR2(1244, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3283])

      allocate(vertices(1245)%branchR2(0:1))
      call avR2(1245, 0, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_3317, nGC_3317,      &
      nGC_3317])

      call avR2(1245, 1, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_3316, nGC_3316,      &
      nGC_3316])

      allocate(vertices(82)%branchR2(0:0))
      call avR2(82, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3269])

      allocate(vertices(773)%branchR2(0:0))
      call avR2(773, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3280])

      allocate(vertices(347)%branchR2(0:0))
      call avR2(347, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3300])

      allocate(vertices(843)%branchR2(0:0))
      call avR2(843, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3299])

      allocate(vertices(952)%branchR2(0:0))
      call avR2(952, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3269])

      allocate(vertices(971)%branchR2(0:0))
      call avR2(971, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3286, nGC_3287,        &
      nGC_3287])

      allocate(vertices(1017)%branchR2(0:0))
      call avR2(1017, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3286, nGC_3287,       &
      nGC_3287])

      allocate(vertices(487)%branchR2(0:0))
      call avR2(487, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3298])

      allocate(vertices(332)%branchR2(0:0))
      call avR2(332, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3284])

      allocate(vertices(1014)%branchR2(0:0))
      call avR2(1014, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3279])

      allocate(vertices(1056)%branchR2(0:0))
      call avR2(1056, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_3242, nGC_3241])

      allocate(vertices(1246)%branchR2(0:1))
      call avR2(1246, 0, 59, 1, 0, VVSS0, 0, [2, 2], [nGC_3319])

      call avR2(1246, 1, 60, 1, 0, VVSS0, 0, [2, 2], [nGC_3318])

      allocate(vertices(627)%branchR2(0:0))
      call avR2(627, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3298])

      allocate(vertices(879)%branchR2(0:0))
      call avR2(879, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3298])

      allocate(vertices(98)%branchR2(0:0))
      call avR2(98, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3295])

      allocate(vertices(440)%branchR2(0:0))
      call avR2(440, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3280])

      allocate(vertices(899)%branchR2(0:0))
      call avR2(899, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3264])

      allocate(vertices(574)%branchR2(0:0))
      call avR2(574, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3307])

      allocate(vertices(1247)%branchR2(0:0))
      call avR2(1247, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3288, nGC_3288,       &
      nGC_3288])

    end subroutine fill_vertices_mdl4
end module vertices_info4
