!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-28 19:55             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl2()
      coupl(nGC_3262) = (Nc*coupl(nGC_34)*coupl(nGC_53)**2d0 + Nc*coupl(nGC_34 &
                        )*coupl(nGC_61)**2d0 + Nc*coupl(nGC_34)*coupl(nGC_73)**&
                        2d0 - Nc*coupl(nGC_35)*coupl(nGC_57)**2d0 - Nc*coupl(  &
                        nGC_35)*coupl(nGC_77)**2d0 - Nc*coupl(nGC_35)*coupl(   &
                        nGC_85)**2d0 + Nc*coupl(nGC_38)*coupl(nGC_57)**2d0 + Nc&
                        *coupl(nGC_38)*coupl(nGC_77)**2d0 + Nc*coupl(nGC_38)*  &
                        coupl(nGC_85)**2d0 - Nc*coupl(nGC_39)*coupl(nGC_53)**  &
                        2d0 - Nc*coupl(nGC_39)*coupl(nGC_61)**2d0 - Nc*coupl(  &
                        nGC_39)*coupl(nGC_73)**2d0 + coupl(nGC_36)*coupl(nGC_65&
                        )**2d0 + coupl(nGC_36)*coupl(nGC_69)**2d0 + coupl(     &
                        nGC_36)*coupl(nGC_81)**2d0 - coupl(nGC_41)*coupl(nGC_65&
                        )**2d0 - coupl(nGC_41)*coupl(nGC_69)**2d0 - coupl(     &
                        nGC_41)*coupl(nGC_81)**2d0)/(24d0*pi**2d0)
      coupl(nGC_3261) = coupl(nGC_23)*(-Nc*coupl(nGC_53)*coupl(nGC_54) + Nc*   &
                        coupl(nGC_57)*coupl(nGC_58) - Nc*coupl(nGC_61)*coupl(  &
                        nGC_62) - Nc*coupl(nGC_73)*coupl(nGC_74) + Nc*coupl(   &
                        nGC_77)*coupl(nGC_78) + Nc*coupl(nGC_85)*coupl(nGC_86  &
                        ) - coupl(nGC_65)*coupl(nGC_66) - coupl(nGC_69)*coupl( &
                        nGC_70) - coupl(nGC_81)*coupl(nGC_82))/(24d0*pi**2d0)
      coupl(nGC_3260) = (Nc*cMB*coupl(nGC_53)**2d0*coupl(nGC_55) + Nc*cMB*coupl&
                        (nGC_53)*coupl(nGC_77)*coupl(nGC_79) + Nc*cMB*coupl(   &
                        nGC_55)*coupl(nGC_77)**2d0 + Nc*cMC*coupl(nGC_57)**2d0*&
                        coupl(nGC_59) + Nc*cMC*coupl(nGC_57)*coupl(nGC_73)*    &
                        coupl(nGC_75) + Nc*cMC*coupl(nGC_59)*coupl(nGC_73)**2d0&
                         + Nc*cMD*coupl(nGC_61)**2d0*coupl(nGC_63) + Nc*cMD*   &
                        coupl(nGC_61)*coupl(nGC_85)*coupl(nGC_87) + Nc*cMD*    &
                        coupl(nGC_63)*coupl(nGC_85)**2d0 + Nc*cMS*coupl(nGC_57 &
                        )**2d0*coupl(nGC_75) + Nc*cMS*coupl(nGC_57)*coupl(     &
                        nGC_59)*coupl(nGC_73) + Nc*cMS*coupl(nGC_73)**2d0*coupl&
                        (nGC_75) + Nc*cMT*coupl(nGC_53)**2d0*coupl(nGC_79) + Nc&
                        *cMT*coupl(nGC_53)*coupl(nGC_55)*coupl(nGC_77) + Nc*cMT&
                        *coupl(nGC_77)**2d0*coupl(nGC_79) + Nc*cMU*coupl(nGC_61&
                        )**2d0*coupl(nGC_87) + Nc*cMU*coupl(nGC_61)*coupl(     &
                        nGC_63)*coupl(nGC_85) + Nc*cMU*coupl(nGC_85)**2d0*coupl&
                        (nGC_87) + cME*coupl(nGC_65)**2d0*coupl(nGC_67) + cMM* &
                        coupl(nGC_69)**2d0*coupl(nGC_71) + cMTA*coupl(nGC_81)**&
                        2d0*coupl(nGC_83))/(8d0*pi**2d0)
      coupl(nGC_3267) = (Nc*cMB*coupl(nGC_54)**2d0*coupl(nGC_55) + 4d0*Nc*cMB* &
                        coupl(nGC_54)*coupl(nGC_55)*coupl(nGC_56) + Nc*cMB*    &
                        coupl(nGC_55)*coupl(nGC_56)**2d0 + Nc*cMC*coupl(nGC_58 &
                        )**2d0*coupl(nGC_59) + 4d0*Nc*cMC*coupl(nGC_58)*coupl( &
                        nGC_59)*coupl(nGC_60) + Nc*cMC*coupl(nGC_59)*coupl(    &
                        nGC_60)**2d0 + Nc*cMD*coupl(nGC_62)**2d0*coupl(nGC_63  &
                        ) + 4d0*Nc*cMD*coupl(nGC_62)*coupl(nGC_63)*coupl(nGC_64&
                        ) + Nc*cMD*coupl(nGC_63)*coupl(nGC_64)**2d0 + Nc*cMS*  &
                        coupl(nGC_74)**2d0*coupl(nGC_75) + 4d0*Nc*cMS*coupl(   &
                        nGC_74)*coupl(nGC_75)*coupl(nGC_76) + Nc*cMS*coupl(    &
                        nGC_75)*coupl(nGC_76)**2d0 + Nc*cMT*coupl(nGC_78)**2d0*&
                        coupl(nGC_79) + 4d0*Nc*cMT*coupl(nGC_78)*coupl(nGC_79)*&
                        coupl(nGC_80) + Nc*cMT*coupl(nGC_79)*coupl(nGC_80)**2d0&
                         + Nc*cMU*coupl(nGC_86)**2d0*coupl(nGC_87) + 4d0*Nc*cMU&
                        *coupl(nGC_86)*coupl(nGC_87)*coupl(nGC_88) + Nc*cMU*   &
                        coupl(nGC_87)*coupl(nGC_88)**2d0 + cME*coupl(nGC_66)** &
                        2d0*coupl(nGC_67) + 4d0*cME*coupl(nGC_66)*coupl(nGC_67 &
                        )*coupl(nGC_68) + cME*coupl(nGC_67)*coupl(nGC_68)**2d0 &
                         + cMM*coupl(nGC_70)**2d0*coupl(nGC_71) + 4d0*cMM*coupl&
                        (nGC_70)*coupl(nGC_71)*coupl(nGC_72) + cMM*coupl(nGC_71&
                        )*coupl(nGC_72)**2d0 + cMTA*coupl(nGC_82)**2d0*coupl(  &
                        nGC_83) + 4d0*cMTA*coupl(nGC_82)*coupl(nGC_83)*coupl(  &
                        nGC_84) + cMTA*coupl(nGC_83)*coupl(nGC_84)**2d0)/(8d0* &
                        pi**2d0)
      coupl(nGC_3266) = coupl(nGC_23)*(Nc*coupl(nGC_53)*coupl(nGC_56) - Nc*    &
                        coupl(nGC_57)*coupl(nGC_60) + Nc*coupl(nGC_61)*coupl(  &
                        nGC_64) + Nc*coupl(nGC_73)*coupl(nGC_76) - Nc*coupl(   &
                        nGC_77)*coupl(nGC_80) - Nc*coupl(nGC_85)*coupl(nGC_88  &
                        ) + coupl(nGC_65)*coupl(nGC_68) + coupl(nGC_69)*coupl( &
                        nGC_72) + coupl(nGC_81)*coupl(nGC_84))/(24d0*pi**2d0)
      coupl(nGC_3265) = coupl(nGC_23)*(Nc*coupl(nGC_53)*coupl(nGC_55) - Nc*    &
                        coupl(nGC_57)*coupl(nGC_59) + Nc*coupl(nGC_61)*coupl(  &
                        nGC_63) + Nc*coupl(nGC_73)*coupl(nGC_75) - Nc*coupl(   &
                        nGC_77)*coupl(nGC_79) - Nc*coupl(nGC_85)*coupl(nGC_87  &
                        ) + coupl(nGC_65)*coupl(nGC_67) + coupl(nGC_69)*coupl( &
                        nGC_71) + coupl(nGC_81)*coupl(nGC_83))/(24d0*pi**2d0)
      coupl(nGC_3264) = coupl(nGC_23)*(Nc*cMB*coupl(nGC_34)*coupl(nGC_53) - Nc*&
                        cMB*coupl(nGC_38)*coupl(nGC_53) - Nc*cMB*coupl(nGC_39)*&
                        coupl(nGC_53) + Nc*cMC*coupl(nGC_35)*coupl(nGC_57) - Nc&
                        *cMC*coupl(nGC_38)*coupl(nGC_57) - Nc*cMC*coupl(nGC_39 &
                        )*coupl(nGC_57) + Nc*cMD*coupl(nGC_34)*coupl(nGC_61) - &
                        Nc*cMD*coupl(nGC_38)*coupl(nGC_61) - Nc*cMD*coupl(     &
                        nGC_39)*coupl(nGC_61) + Nc*cMS*coupl(nGC_34)*coupl(    &
                        nGC_73) - Nc*cMS*coupl(nGC_38)*coupl(nGC_73) - Nc*cMS* &
                        coupl(nGC_39)*coupl(nGC_73) + Nc*cMT*coupl(nGC_35)*    &
                        coupl(nGC_77) - Nc*cMT*coupl(nGC_38)*coupl(nGC_77) - Nc&
                        *cMT*coupl(nGC_39)*coupl(nGC_77) + Nc*cMU*coupl(nGC_35 &
                        )*coupl(nGC_85) - Nc*cMU*coupl(nGC_38)*coupl(nGC_85) - &
                        Nc*cMU*coupl(nGC_39)*coupl(nGC_85) + cME*coupl(nGC_36)*&
                        coupl(nGC_65) - cME*coupl(nGC_40)*coupl(nGC_65) - cME* &
                        coupl(nGC_41)*coupl(nGC_65) + cMM*coupl(nGC_36)*coupl( &
                        nGC_69) - cMM*coupl(nGC_40)*coupl(nGC_69) - cMM*coupl( &
                        nGC_41)*coupl(nGC_69) + cMTA*coupl(nGC_36)*coupl(nGC_81&
                        ) - cMTA*coupl(nGC_40)*coupl(nGC_81) - cMTA*coupl(     &
                        nGC_41)*coupl(nGC_81))/(16d0*pi**2d0)
      coupl(nGC_3269) = coupl(nGC_23)**2d0*(-Nc*cMB*coupl(nGC_55) - Nc*cMC*    &
                        coupl(nGC_59) - Nc*cMD*coupl(nGC_63) - Nc*cMS*coupl(   &
                        nGC_75) - Nc*cMT*coupl(nGC_79) - Nc*cMU*coupl(nGC_87   &
                        ) - cME*coupl(nGC_67) - cMM*coupl(nGC_71) - cMTA*coupl(&
                        nGC_83))/(8d0*pi**2d0)
      coupl(nGC_3268) = (-Nc*coupl(nGC_34)*coupl(nGC_54)*coupl(nGC_55) + Nc*   &
                        coupl(nGC_34)*coupl(nGC_55)*coupl(nGC_56) - Nc*coupl(  &
                        nGC_34)*coupl(nGC_62)*coupl(nGC_63) + Nc*coupl(nGC_34)*&
                        coupl(nGC_63)*coupl(nGC_64) - Nc*coupl(nGC_34)*coupl(  &
                        nGC_74)*coupl(nGC_75) + Nc*coupl(nGC_34)*coupl(nGC_75)*&
                        coupl(nGC_76) + Nc*coupl(nGC_35)*coupl(nGC_58)*coupl(  &
                        nGC_59) - Nc*coupl(nGC_35)*coupl(nGC_59)*coupl(nGC_60  &
                        ) + Nc*coupl(nGC_35)*coupl(nGC_78)*coupl(nGC_79) - Nc* &
                        coupl(nGC_35)*coupl(nGC_79)*coupl(nGC_80) + Nc*coupl(  &
                        nGC_35)*coupl(nGC_86)*coupl(nGC_87) - Nc*coupl(nGC_35)*&
                        coupl(nGC_87)*coupl(nGC_88) + Nc*coupl(nGC_38)*coupl(  &
                        nGC_54)*coupl(nGC_55) - Nc*coupl(nGC_38)*coupl(nGC_55)*&
                        coupl(nGC_56) + Nc*coupl(nGC_38)*coupl(nGC_62)*coupl(  &
                        nGC_63) - Nc*coupl(nGC_38)*coupl(nGC_63)*coupl(nGC_64  &
                        ) + Nc*coupl(nGC_38)*coupl(nGC_74)*coupl(nGC_75) - Nc* &
                        coupl(nGC_38)*coupl(nGC_75)*coupl(nGC_76) - Nc*coupl(  &
                        nGC_39)*coupl(nGC_58)*coupl(nGC_59) + Nc*coupl(nGC_39)*&
                        coupl(nGC_59)*coupl(nGC_60) - Nc*coupl(nGC_39)*coupl(  &
                        nGC_78)*coupl(nGC_79) + Nc*coupl(nGC_39)*coupl(nGC_79)*&
                        coupl(nGC_80) - Nc*coupl(nGC_39)*coupl(nGC_86)*coupl(  &
                        nGC_87) + Nc*coupl(nGC_39)*coupl(nGC_87)*coupl(nGC_88  &
                        ) - coupl(nGC_36)*coupl(nGC_66)*coupl(nGC_67) + coupl( &
                        nGC_36)*coupl(nGC_67)*coupl(nGC_68) - coupl(nGC_36)*   &
                        coupl(nGC_70)*coupl(nGC_71) + coupl(nGC_36)*coupl(     &
                        nGC_71)*coupl(nGC_72) - coupl(nGC_36)*coupl(nGC_82)*   &
                        coupl(nGC_83) + coupl(nGC_36)*coupl(nGC_83)*coupl(     &
                        nGC_84) + coupl(nGC_40)*coupl(nGC_66)*coupl(nGC_67) -  &
                        coupl(nGC_40)*coupl(nGC_67)*coupl(nGC_68) + coupl(     &
                        nGC_40)*coupl(nGC_70)*coupl(nGC_71) - coupl(nGC_40)*   &
                        coupl(nGC_71)*coupl(nGC_72) + coupl(nGC_40)*coupl(     &
                        nGC_82)*coupl(nGC_83) - coupl(nGC_40)*coupl(nGC_83)*   &
                        coupl(nGC_84))/(24d0*pi**2d0)
      coupl(nGC_3319) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_54)*coupl( &
                        nGC_56) + coupl(nGC_58)*coupl(nGC_60) + coupl(nGC_62)* &
                        coupl(nGC_64) + coupl(nGC_74)*coupl(nGC_76) + coupl(   &
                        nGC_78)*coupl(nGC_80) + coupl(nGC_86)*coupl(nGC_88))/( &
                        16d0*pi**2d0*Nc)
      coupl(nGC_5301) = coupl(nGC_25)*dZZA_QED2/2d0 + coupl(nGC_3)*dZA_QED2/2d0&
                         + coupl(nGC_3)*dZWMinus_QED2 + coupl(nGC_3340)
      coupl(nGC_9389) = -5d0*coupl(nGC_3337)/3d0
      coupl(nGC_4746) = coupl(nGC_27)*dZA_QED2/2d0 + coupl(nGC_27)*dZH_QED2/2d0&
                         + coupl(nGC_27)*dZWMinus_QED2/2d0 + coupl(nGC_3362) + &
                        coupl(nGC_8)*dZZA_QED2/2d0
      coupl(nGC_4740) = coupl(nGC_29)*dZA_QED2/2d0 + coupl(nGC_29)*            &
                        dZWMinus_QED2 + coupl(nGC_29)*dZZ_QED2/2d0 + coupl(    &
                        nGC_3344)
      coupl(nGC_4742) = coupl(nGC_4739) - coupl(nGC_4740)/2d0
      coupl(nGC_5276) = coupl(nGC_MC)*(dZcL + dZcR)/2d0
      coupl(nGC_5275) = coupl(nGC_MI)*dZcL
      coupl(nGC_4880) = coupl(nGC_3384) + coupl(nGC_35)*dZZ_QED2/2d0
      coupl(nGC_4881) = coupl(nGC_3385) + coupl(nGC_39)*dZZ_QED2/2d0
      coupl(nGC_5278) = coupl(nGC_MI)*dZcR
      coupl(nGC_5279) = coupl(nGC_3469) + coupl(nGC_5276)
      coupl(nGC_6304) = coupl(nGC_11)*dZcR
      coupl(nGC_6303) = coupl(nGC_11)*dZcL
      coupl(nGC_3325) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_34)**2d0 + &
                        coupl(nGC_35)**2d0 + coupl(nGC_38)**2d0 + coupl(nGC_39 &
                        )**2d0)/(32d0*pi**2d0)
      coupl(nGC_4971) = coupl(nGC_21)*dZH_QED2/2d0 + coupl(nGC_21)*            &
                        dZWMinus_QED2/2d0 + coupl(nGC_3365)
      coupl(nGC_9247) = -coupl(nGC_3263)
      coupl(nGC_9084) = -coupl(nGC_3268)
      coupl(nGC_4879) = coupl(nGC_39)*dZcL
      coupl(nGC_4870) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_3381)
      coupl(nGC_4876) = coupl(nGC_35)*dZcR
      coupl(nGC_3238) = cima*(-Nc*cMB**2d0*coupl(nGC_53)**2d0 - Nc*cMB**2d0*   &
                        coupl(nGC_77)**2d0 - Nc*cMC**2d0*coupl(nGC_57)**2d0 -  &
                        Nc*cMC**2d0*coupl(nGC_73)**2d0 - Nc*cMD**2d0*coupl(    &
                        nGC_61)**2d0 - Nc*cMD**2d0*coupl(nGC_85)**2d0 - Nc*cMS &
                        **2d0*coupl(nGC_57)**2d0 - Nc*cMS**2d0*coupl(nGC_73)** &
                        2d0 - Nc*cMT**2d0*coupl(nGC_53)**2d0 - Nc*cMT**2d0*    &
                        coupl(nGC_77)**2d0 - Nc*cMU**2d0*coupl(nGC_61)**2d0 -  &
                        Nc*cMU**2d0*coupl(nGC_85)**2d0 - cME**2d0*coupl(nGC_65 &
                        )**2d0 - cMM**2d0*coupl(nGC_69)**2d0 - cMTA**2d0*coupl(&
                        nGC_81)**2d0)/(16d0*pi**2d0)
      coupl(nGC_3239) = cima*(Nc*coupl(nGC_54)*coupl(nGC_56) + Nc*coupl(nGC_58 &
                        )*coupl(nGC_60) + Nc*coupl(nGC_62)*coupl(nGC_64) + Nc* &
                        coupl(nGC_74)*coupl(nGC_76) + Nc*coupl(nGC_78)*coupl(  &
                        nGC_80) + Nc*coupl(nGC_86)*coupl(nGC_88) + coupl(nGC_66&
                        )*coupl(nGC_68) + coupl(nGC_70)*coupl(nGC_72) + coupl( &
                        nGC_82)*coupl(nGC_84))/(24d0*pi**2d0)
      coupl(nGC_3237) = cima*(Nc*coupl(nGC_53)**2d0 + Nc*coupl(nGC_57)**2d0 +  &
                        Nc*coupl(nGC_61)**2d0 + Nc*coupl(nGC_73)**2d0 + Nc*    &
                        coupl(nGC_77)**2d0 + Nc*coupl(nGC_85)**2d0 + coupl(    &
                        nGC_65)**2d0 + coupl(nGC_69)**2d0 + coupl(nGC_81)**2d0 &
                        )/(48d0*pi**2d0)
      coupl(nGC_6990) = coupl(nGC_MI)*dZmuMinusR
      coupl(nGC_6991) = coupl(nGC_3466) + coupl(nGC_6989)
      coupl(nGC_7537) = coupl(nGC_MI)*dZnu_tauL
      coupl(nGC_7538) = coupl(nGC_MI)*dZnu_tauR
      coupl(nGC_5087) = coupl(nGC_36)*dZtauMinusR
      coupl(nGC_5698) = coupl(nGC_11)*dZdL
      coupl(nGC_5697) = coupl(nGC_11)*dZdR
      coupl(nGC_4907) = coupl(nGC_34)*dZbR
      coupl(nGC_3301) = cima*(Nc*coupl(nGC_1)*coupl(nGC_34)**3d0 + Nc*coupl(   &
                        nGC_1)*coupl(nGC_38)**3d0 + Nc*coupl(nGC_2)*coupl(     &
                        nGC_35)**3d0 + Nc*coupl(nGC_2)*coupl(nGC_39)**3d0 +    &
                        coupl(nGC_36)**3d0*coupl(nGC_4) + coupl(nGC_4)*coupl(  &
                        nGC_40)**3d0)/(8d0*pi**2d0)
      coupl(nGC_3302) = cima*coupl(nGC_23)**2d0*(-Nc*coupl(nGC_54)*coupl(nGC_56&
                        ) - Nc*coupl(nGC_58)*coupl(nGC_60) - Nc*coupl(nGC_62)* &
                        coupl(nGC_64) - Nc*coupl(nGC_74)*coupl(nGC_76) - Nc*   &
                        coupl(nGC_78)*coupl(nGC_80) - Nc*coupl(nGC_86)*coupl(  &
                        nGC_88) - coupl(nGC_66)*coupl(nGC_68) - coupl(nGC_70)* &
                        coupl(nGC_72) - coupl(nGC_82)*coupl(nGC_84))/(6d0*pi** &
                        2d0)
      coupl(nGC_3303) = 5d0*cima*(Nc*coupl(nGC_54)**2d0*coupl(nGC_56)**2d0 + Nc&
                        *coupl(nGC_58)**2d0*coupl(nGC_60)**2d0 + Nc*coupl(     &
                        nGC_62)**2d0*coupl(nGC_64)**2d0 + Nc*coupl(nGC_74)**2d0&
                        *coupl(nGC_76)**2d0 + Nc*coupl(nGC_78)**2d0*coupl(     &
                        nGC_80)**2d0 + Nc*coupl(nGC_86)**2d0*coupl(nGC_88)**2d0&
                         + coupl(nGC_66)**2d0*coupl(nGC_68)**2d0 + coupl(nGC_70&
                        )**2d0*coupl(nGC_72)**2d0 + coupl(nGC_82)**2d0*coupl(  &
                        nGC_84)**2d0)/(4d0*pi**2d0)
      coupl(nGC_3304) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_53)**2d0 + &
                        coupl(nGC_57)**2d0 + coupl(nGC_61)**2d0 + coupl(nGC_73 &
                        )**2d0 + coupl(nGC_77)**2d0 + coupl(nGC_85)**2d0)/(32d0&
                        *pi**2d0*Nc)
      coupl(nGC_3305) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_53)**2d0  &
                         - coupl(nGC_57)**2d0 - coupl(nGC_61)**2d0 - coupl(    &
                        nGC_73)**2d0 - coupl(nGC_77)**2d0 - coupl(nGC_85)**2d0 &
                        )/(32d0*pi**2d0)
      coupl(nGC_3306) = 5d0*cima*(Nc*coupl(nGC_54)**2d0*coupl(nGC_55)**2d0 +   &
                        4d0*Nc*coupl(nGC_54)*coupl(nGC_55)**2d0*coupl(nGC_56   &
                        ) + Nc*coupl(nGC_55)**2d0*coupl(nGC_56)**2d0 + Nc*coupl&
                        (nGC_58)**2d0*coupl(nGC_59)**2d0 + 4d0*Nc*coupl(nGC_58 &
                        )*coupl(nGC_59)**2d0*coupl(nGC_60) + Nc*coupl(nGC_59)**&
                        2d0*coupl(nGC_60)**2d0 + Nc*coupl(nGC_62)**2d0*coupl(  &
                        nGC_63)**2d0 + 4d0*Nc*coupl(nGC_62)*coupl(nGC_63)**2d0*&
                        coupl(nGC_64) + Nc*coupl(nGC_63)**2d0*coupl(nGC_64)**  &
                        2d0 + Nc*coupl(nGC_74)**2d0*coupl(nGC_75)**2d0 + 4d0*Nc&
                        *coupl(nGC_74)*coupl(nGC_75)**2d0*coupl(nGC_76) + Nc*  &
                        coupl(nGC_75)**2d0*coupl(nGC_76)**2d0 + Nc*coupl(nGC_78&
                        )**2d0*coupl(nGC_79)**2d0 + 4d0*Nc*coupl(nGC_78)*coupl(&
                        nGC_79)**2d0*coupl(nGC_80) + Nc*coupl(nGC_79)**2d0*    &
                        coupl(nGC_80)**2d0 + Nc*coupl(nGC_86)**2d0*coupl(nGC_87&
                        )**2d0 + 4d0*Nc*coupl(nGC_86)*coupl(nGC_87)**2d0*coupl(&
                        nGC_88) + Nc*coupl(nGC_87)**2d0*coupl(nGC_88)**2d0 +   &
                        coupl(nGC_66)**2d0*coupl(nGC_67)**2d0 + 4d0*coupl(     &
                        nGC_66)*coupl(nGC_67)**2d0*coupl(nGC_68) + coupl(nGC_67&
                        )**2d0*coupl(nGC_68)**2d0 + coupl(nGC_70)**2d0*coupl(  &
                        nGC_71)**2d0 + 4d0*coupl(nGC_70)*coupl(nGC_71)**2d0*   &
                        coupl(nGC_72) + coupl(nGC_71)**2d0*coupl(nGC_72)**2d0  &
                         + coupl(nGC_82)**2d0*coupl(nGC_83)**2d0 + 4d0*coupl(  &
                        nGC_82)*coupl(nGC_83)**2d0*coupl(nGC_84) + coupl(nGC_83&
                        )**2d0*coupl(nGC_84)**2d0)/(24d0*pi**2d0)
      coupl(nGC_3307) = cima*coupl(nGC_23)**2d0*(-Nc*coupl(nGC_55)**2d0 - Nc*  &
                        coupl(nGC_59)**2d0 - Nc*coupl(nGC_63)**2d0 - Nc*coupl( &
                        nGC_75)**2d0 - Nc*coupl(nGC_79)**2d0 - Nc*coupl(nGC_87 &
                        )**2d0 - coupl(nGC_67)**2d0 - coupl(nGC_71)**2d0 -     &
                        coupl(nGC_83)**2d0)/(6d0*pi**2d0)
      coupl(nGC_3308) = 5d0*cima*(Nc*coupl(nGC_55)**4d0 + Nc*coupl(nGC_59)**4d0&
                         + Nc*coupl(nGC_63)**4d0 + Nc*coupl(nGC_75)**4d0 + Nc* &
                        coupl(nGC_79)**4d0 + Nc*coupl(nGC_87)**4d0 + coupl(    &
                        nGC_67)**4d0 + coupl(nGC_71)**4d0 + coupl(nGC_83)**4d0 &
                        )/(4d0*pi**2d0)
      coupl(nGC_5453) = coupl(nGC_3456) + coupl(nGC_87)*dZH_QED2/2d0
      coupl(nGC_3281) = cima*(-8d0*Nc*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_53  &
                        )**2d0 - 8d0*Nc*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_61&
                        )**2d0 - 8d0*Nc*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_73&
                        )**2d0 + 5d0*Nc*coupl(nGC_1)*coupl(nGC_35)*coupl(nGC_57&
                        )**2d0 + 5d0*Nc*coupl(nGC_1)*coupl(nGC_35)*coupl(nGC_77&
                        )**2d0 + 5d0*Nc*coupl(nGC_1)*coupl(nGC_35)*coupl(nGC_85&
                        )**2d0 - 8d0*Nc*coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_57&
                        )**2d0 - 8d0*Nc*coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_77&
                        )**2d0 - 8d0*Nc*coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_85&
                        )**2d0 + 5d0*Nc*coupl(nGC_1)*coupl(nGC_39)*coupl(nGC_53&
                        )**2d0 + 5d0*Nc*coupl(nGC_1)*coupl(nGC_39)*coupl(nGC_61&
                        )**2d0 + 5d0*Nc*coupl(nGC_1)*coupl(nGC_39)*coupl(nGC_73&
                        )**2d0 + 5d0*Nc*coupl(nGC_2)*coupl(nGC_34)*coupl(nGC_53&
                        )**2d0 + 5d0*Nc*coupl(nGC_2)*coupl(nGC_34)*coupl(nGC_61&
                        )**2d0 + 5d0*Nc*coupl(nGC_2)*coupl(nGC_34)*coupl(nGC_73&
                        )**2d0 - 8d0*Nc*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_57&
                        )**2d0 - 8d0*Nc*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_77&
                        )**2d0 - 8d0*Nc*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_85&
                        )**2d0 + 5d0*Nc*coupl(nGC_2)*coupl(nGC_38)*coupl(nGC_57&
                        )**2d0 + 5d0*Nc*coupl(nGC_2)*coupl(nGC_38)*coupl(nGC_77&
                        )**2d0 + 5d0*Nc*coupl(nGC_2)*coupl(nGC_38)*coupl(nGC_85&
                        )**2d0 - 8d0*Nc*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_53&
                        )**2d0 - 8d0*Nc*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_61&
                        )**2d0 - 8d0*Nc*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_73&
                        )**2d0 - 8d0*coupl(nGC_36)*coupl(nGC_4)*coupl(nGC_65)**&
                        2d0 - 8d0*coupl(nGC_36)*coupl(nGC_4)*coupl(nGC_69)**2d0&
                         - 8d0*coupl(nGC_36)*coupl(nGC_4)*coupl(nGC_81)**2d0 + &
                        5d0*coupl(nGC_4)*coupl(nGC_41)*coupl(nGC_65)**2d0 + 5d0&
                        *coupl(nGC_4)*coupl(nGC_41)*coupl(nGC_69)**2d0 + 5d0*  &
                        coupl(nGC_4)*coupl(nGC_41)*coupl(nGC_81)**2d0)/(48d0*pi&
                        **2d0)
      coupl(nGC_3280) = cima*coupl(nGC_23)*(Nc*coupl(nGC_1)*coupl(nGC_53)*coupl&
                        (nGC_54) - 4d0*Nc*coupl(nGC_1)*coupl(nGC_57)*coupl(    &
                        nGC_58) + Nc*coupl(nGC_1)*coupl(nGC_61)*coupl(nGC_62   &
                        ) + Nc*coupl(nGC_1)*coupl(nGC_73)*coupl(nGC_74) - 4d0* &
                        Nc*coupl(nGC_1)*coupl(nGC_77)*coupl(nGC_78) - 4d0*Nc*  &
                        coupl(nGC_1)*coupl(nGC_85)*coupl(nGC_86) - 4d0*Nc*coupl&
                        (nGC_2)*coupl(nGC_53)*coupl(nGC_54) + Nc*coupl(nGC_2)* &
                        coupl(nGC_57)*coupl(nGC_58) - 4d0*Nc*coupl(nGC_2)*coupl&
                        (nGC_61)*coupl(nGC_62) - 4d0*Nc*coupl(nGC_2)*coupl(    &
                        nGC_73)*coupl(nGC_74) + Nc*coupl(nGC_2)*coupl(nGC_77)* &
                        coupl(nGC_78) + Nc*coupl(nGC_2)*coupl(nGC_85)*coupl(   &
                        nGC_86) + coupl(nGC_4)*coupl(nGC_65)*coupl(nGC_66) +   &
                        coupl(nGC_4)*coupl(nGC_69)*coupl(nGC_70) + coupl(nGC_4 &
                        )*coupl(nGC_81)*coupl(nGC_82))/(48d0*pi**2d0)
      coupl(nGC_3283) = cima*(-Nc*coupl(nGC_1)**2d0*coupl(nGC_55)**2d0 - Nc*   &
                        coupl(nGC_1)**2d0*coupl(nGC_63)**2d0 - Nc*coupl(nGC_1  &
                        )**2d0*coupl(nGC_75)**2d0 - Nc*coupl(nGC_2)**2d0*coupl(&
                        nGC_59)**2d0 - Nc*coupl(nGC_2)**2d0*coupl(nGC_79)**2d0 &
                         - Nc*coupl(nGC_2)**2d0*coupl(nGC_87)**2d0 - coupl(    &
                        nGC_4)**2d0*coupl(nGC_67)**2d0 - coupl(nGC_4)**2d0*    &
                        coupl(nGC_71)**2d0 - coupl(nGC_4)**2d0*coupl(nGC_83)** &
                        2d0)/(4d0*pi**2d0)
      coupl(nGC_3282) = cima*(-Nc*coupl(nGC_1)**2d0*coupl(nGC_54)*coupl(nGC_56 &
                        ) - Nc*coupl(nGC_1)**2d0*coupl(nGC_62)*coupl(nGC_64) - &
                        Nc*coupl(nGC_1)**2d0*coupl(nGC_74)*coupl(nGC_76) - Nc* &
                        coupl(nGC_2)**2d0*coupl(nGC_58)*coupl(nGC_60) - Nc*    &
                        coupl(nGC_2)**2d0*coupl(nGC_78)*coupl(nGC_80) - Nc*    &
                        coupl(nGC_2)**2d0*coupl(nGC_86)*coupl(nGC_88) - coupl( &
                        nGC_4)**2d0*coupl(nGC_66)*coupl(nGC_68) - coupl(nGC_4  &
                        )**2d0*coupl(nGC_70)*coupl(nGC_72) - coupl(nGC_4)**2d0*&
                        coupl(nGC_82)*coupl(nGC_84))/(4d0*pi**2d0)
      coupl(nGC_3285) = cima*coupl(nGC_23)*(Nc*coupl(nGC_1)*coupl(nGC_53)*coupl&
                        (nGC_56) - 4d0*Nc*coupl(nGC_1)*coupl(nGC_57)*coupl(    &
                        nGC_60) + Nc*coupl(nGC_1)*coupl(nGC_61)*coupl(nGC_64   &
                        ) + Nc*coupl(nGC_1)*coupl(nGC_73)*coupl(nGC_76) - 4d0* &
                        Nc*coupl(nGC_1)*coupl(nGC_77)*coupl(nGC_80) - 4d0*Nc*  &
                        coupl(nGC_1)*coupl(nGC_85)*coupl(nGC_88) - 4d0*Nc*coupl&
                        (nGC_2)*coupl(nGC_53)*coupl(nGC_56) + Nc*coupl(nGC_2)* &
                        coupl(nGC_57)*coupl(nGC_60) - 4d0*Nc*coupl(nGC_2)*coupl&
                        (nGC_61)*coupl(nGC_64) - 4d0*Nc*coupl(nGC_2)*coupl(    &
                        nGC_73)*coupl(nGC_76) + Nc*coupl(nGC_2)*coupl(nGC_77)* &
                        coupl(nGC_80) + Nc*coupl(nGC_2)*coupl(nGC_85)*coupl(   &
                        nGC_88) + coupl(nGC_4)*coupl(nGC_65)*coupl(nGC_68) +   &
                        coupl(nGC_4)*coupl(nGC_69)*coupl(nGC_72) + coupl(nGC_4 &
                        )*coupl(nGC_81)*coupl(nGC_84))/(48d0*pi**2d0)
      coupl(nGC_3284) = cima*coupl(nGC_23)*(Nc*coupl(nGC_1)*coupl(nGC_53)*coupl&
                        (nGC_55) - 4d0*Nc*coupl(nGC_1)*coupl(nGC_57)*coupl(    &
                        nGC_59) + Nc*coupl(nGC_1)*coupl(nGC_61)*coupl(nGC_63   &
                        ) + Nc*coupl(nGC_1)*coupl(nGC_73)*coupl(nGC_75) - 4d0* &
                        Nc*coupl(nGC_1)*coupl(nGC_77)*coupl(nGC_79) - 4d0*Nc*  &
                        coupl(nGC_1)*coupl(nGC_85)*coupl(nGC_87) - 4d0*Nc*coupl&
                        (nGC_2)*coupl(nGC_53)*coupl(nGC_55) + Nc*coupl(nGC_2)* &
                        coupl(nGC_57)*coupl(nGC_59) - 4d0*Nc*coupl(nGC_2)*coupl&
                        (nGC_61)*coupl(nGC_63) - 4d0*Nc*coupl(nGC_2)*coupl(    &
                        nGC_73)*coupl(nGC_75) + Nc*coupl(nGC_2)*coupl(nGC_77)* &
                        coupl(nGC_79) + Nc*coupl(nGC_2)*coupl(nGC_85)*coupl(   &
                        nGC_87) + coupl(nGC_4)*coupl(nGC_65)*coupl(nGC_67) +   &
                        coupl(nGC_4)*coupl(nGC_69)*coupl(nGC_71) + coupl(nGC_4 &
                        )*coupl(nGC_81)*coupl(nGC_83))/(48d0*pi**2d0)
      coupl(nGC_3287) = cima*coupl(nGC_23)**2d0*(-2d0*Nc*coupl(nGC_1)*coupl(   &
                        nGC_38) + 3d0*Nc*coupl(nGC_1)*coupl(nGC_39) + 3d0*Nc*  &
                        coupl(nGC_2)*coupl(nGC_38) - 2d0*Nc*coupl(nGC_2)*coupl(&
                        nGC_39) - 2d0*coupl(nGC_4)*coupl(nGC_40) + 3d0*coupl(  &
                        nGC_4)*coupl(nGC_41))/(16d0*pi**2d0)
      coupl(nGC_3286) = cima*coupl(nGC_23)**2d0*(6d0*Nc*coupl(nGC_1)*coupl(    &
                        nGC_38) - 5d0*Nc*coupl(nGC_1)*coupl(nGC_39) - 5d0*Nc*  &
                        coupl(nGC_2)*coupl(nGC_38) + 6d0*Nc*coupl(nGC_2)*coupl(&
                        nGC_39) + 6d0*coupl(nGC_4)*coupl(nGC_40) - 5d0*coupl(  &
                        nGC_4)*coupl(nGC_41))/(16d0*pi**2d0)
      coupl(nGC_3289) = cima*(Nc*coupl(nGC_1)**2d0*coupl(nGC_34)**2d0 + Nc*    &
                        coupl(nGC_1)**2d0*coupl(nGC_38)**2d0 + Nc*coupl(nGC_2  &
                        )**2d0*coupl(nGC_35)**2d0 + Nc*coupl(nGC_2)**2d0*coupl(&
                        nGC_39)**2d0 + coupl(nGC_36)**2d0*coupl(nGC_4)**2d0 +  &
                        coupl(nGC_4)**2d0*coupl(nGC_40)**2d0)/(8d0*pi**2d0)
      coupl(nGC_8369) = coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_5155) = coupl(nGC_3)*dZWMinus_QED2/2d0 + coupl(nGC_3340)
      coupl(nGC_5012) = coupl(nGC_63)*(dZdL + dZdR)/2d0
      coupl(nGC_3318) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_54)*coupl(&
                        nGC_56) - coupl(nGC_58)*coupl(nGC_60) - coupl(nGC_62)* &
                        coupl(nGC_64) - coupl(nGC_74)*coupl(nGC_76) - coupl(   &
                        nGC_78)*coupl(nGC_80) - coupl(nGC_86)*coupl(nGC_88))/( &
                        16d0*pi**2d0)
      coupl(nGC_5337) = coupl(nGC_35)*dZuR
      coupl(nGC_5232) = coupl(nGC_MI)*dZtauMinusR
      coupl(nGC_5230) = coupl(nGC_MTA)*(dZtauMinusL + dZtauMinusR)/2d0
      coupl(nGC_7199) = coupl(nGC_MU)*(dZuL + dZuR)/2d0
      coupl(nGC_7198) = coupl(nGC_MI)*dZuL
      coupl(nGC_7688) = coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_6619) = coupl(nGC_MI)*dZsR
      coupl(nGC_6617) = coupl(nGC_MS)*(dZsL + dZsR)/2d0
      coupl(nGC_6616) = coupl(nGC_MI)*dZsL
      coupl(nGC_5248) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_3382)
      coupl(nGC_3379) = coupl(nGC_3209)*dsw_QED2 + coupl(nGC_3210)*dZee_QED2 + &
                        coupl(nGC_3211)*dcw_QED2 + coupl(nGC_3212)*dvev_QED1
      coupl(nGC_3378) = coupl(nGC_3190)*dZee_QED2 + coupl(nGC_3191)*dsw_QED2 + &
                        coupl(nGC_3192)*dcw_QED2
      coupl(nGC_3373) = coupl(nGC_3104)*dZee_QED2 + coupl(nGC_3105)*dcw_QED2
      coupl(nGC_3372) = coupl(nGC_3170)*dZee_QED2 + coupl(nGC_3171)*dsw_QED2 + &
                        coupl(nGC_3172)*dcw_QED2
      coupl(nGC_3375) = coupl(nGC_3187)*dZee_QED2 + coupl(nGC_3188)*dcw_QED2 + &
                        coupl(nGC_3189)*dvev_QED1
      coupl(nGC_3374) = coupl(nGC_3100)*dZee_QED2 + coupl(nGC_3101)*dcw_QED2
      coupl(nGC_3377) = coupl(nGC_3193)*dZee_QED2 + coupl(nGC_3194)*dsw_QED2 + &
                        coupl(nGC_3195)*dcw_QED2
      coupl(nGC_3376) = coupl(nGC_3098)*dZee_QED2 + coupl(nGC_3099)*dcw_QED2
      coupl(nGC_9186) = -coupl(nGC_3262)
      coupl(nGC_4948) = coupl(nGC_3423) + coupl(nGC_69)*dZmuMinusR/2d0 + coupl(&
                        nGC_69)*dZnu_muL/2d0
      coupl(nGC_4820) = coupl(nGC_3378) + coupl(nGC_42)*dZAZ_QED2 + coupl(     &
                        nGC_45)*dZZ_QED2
      coupl(nGC_4943) = coupl(nGC_3399) + coupl(nGC_77)*dZbL/2d0 + coupl(nGC_77&
                        )*dZtR/2d0
      coupl(nGC_4944) = coupl(nGC_3401) + coupl(nGC_53)*dZbR/2d0 + coupl(nGC_53&
                        )*dZtL/2d0
      coupl(nGC_3478) = coupl(nGC_152)*dMZ2_QED2
      coupl(nGC_4798) = coupl(nGC_3395) + coupl(nGC_57)*dZcR/2d0 + coupl(nGC_57&
                        )*dZsL/2d0
      coupl(nGC_3476) = coupl(nGC_144)*dMW2_QED2
      coupl(nGC_3477) = coupl(nGC_148)*dMW2_QED2
      coupl(nGC_5059) = coupl(nGC_3435) + coupl(nGC_82)*dZtauMinusL/2d0 + coupl&
                        (nGC_82)*dZtauMinusR/2d0
      coupl(nGC_3366) = coupl(nGC_3131)*dZee_QED2 + coupl(nGC_3132)*dsw_QED2
      coupl(nGC_5667) = coupl(nGC_3413) + coupl(nGC_56)*dZbL/2d0 + coupl(nGC_56&
                        )*dZbR/2d0
      coupl(nGC_5666) = coupl(nGC_3411) + coupl(nGC_54)*dZbL/2d0 + coupl(nGC_54&
                        )*dZbR/2d0
      coupl(nGC_5116) = coupl(nGC_3429) + coupl(nGC_66)*dZeMinusL/2d0 + coupl( &
                        nGC_66)*dZeMinusR/2d0
      coupl(nGC_5115) = coupl(nGC_3427) + coupl(nGC_68)*dZeMinusL/2d0 + coupl( &
                        nGC_68)*dZeMinusR/2d0
      coupl(nGC_3270) = 3d0*(Nc*cMB*coupl(nGC_55)**3d0 + Nc*cMC*coupl(nGC_59)**&
                        3d0 + Nc*cMD*coupl(nGC_63)**3d0 + Nc*cMS*coupl(nGC_75  &
                        )**3d0 + Nc*cMT*coupl(nGC_79)**3d0 + Nc*cMU*coupl(     &
                        nGC_87)**3d0 + cME*coupl(nGC_67)**3d0 + cMM*coupl(     &
                        nGC_71)**3d0 + cMTA*coupl(nGC_83)**3d0)/(4d0*pi**2d0)
      coupl(nGC_3271) = (-Nc*cMB*coupl(nGC_34)**2d0*coupl(nGC_55) + Nc*cMB*    &
                        coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_55) - Nc*cMB*    &
                        coupl(nGC_38)**2d0*coupl(nGC_55) - Nc*cMC*coupl(nGC_35 &
                        )**2d0*coupl(nGC_59) + Nc*cMC*coupl(nGC_35)*coupl(     &
                        nGC_39)*coupl(nGC_59) - Nc*cMC*coupl(nGC_39)**2d0*coupl&
                        (nGC_59) - Nc*cMD*coupl(nGC_34)**2d0*coupl(nGC_63) + Nc&
                        *cMD*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_63) - Nc*cMD&
                        *coupl(nGC_38)**2d0*coupl(nGC_63) - Nc*cMS*coupl(nGC_34&
                        )**2d0*coupl(nGC_75) + Nc*cMS*coupl(nGC_34)*coupl(     &
                        nGC_38)*coupl(nGC_75) - Nc*cMS*coupl(nGC_38)**2d0*coupl&
                        (nGC_75) - Nc*cMT*coupl(nGC_35)**2d0*coupl(nGC_79) + Nc&
                        *cMT*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_79) - Nc*cMT&
                        *coupl(nGC_39)**2d0*coupl(nGC_79) - Nc*cMU*coupl(nGC_35&
                        )**2d0*coupl(nGC_87) + Nc*cMU*coupl(nGC_35)*coupl(     &
                        nGC_39)*coupl(nGC_87) - Nc*cMU*coupl(nGC_39)**2d0*coupl&
                        (nGC_87) - cME*coupl(nGC_36)**2d0*coupl(nGC_67) + cME* &
                        coupl(nGC_36)*coupl(nGC_40)*coupl(nGC_67) - cME*coupl( &
                        nGC_40)**2d0*coupl(nGC_67) - cMM*coupl(nGC_36)**2d0*   &
                        coupl(nGC_71) + cMM*coupl(nGC_36)*coupl(nGC_40)*coupl( &
                        nGC_71) - cMM*coupl(nGC_40)**2d0*coupl(nGC_71) - cMTA* &
                        coupl(nGC_36)**2d0*coupl(nGC_83) + cMTA*coupl(nGC_36)* &
                        coupl(nGC_40)*coupl(nGC_83) - cMTA*coupl(nGC_40)**2d0* &
                        coupl(nGC_83))/(4d0*pi**2d0)
      coupl(nGC_3272) = coupl(nGC_11)**2d0*sq2**2d0*(-cMB*coupl(nGC_55) - cMC* &
                        coupl(nGC_59) - cMD*coupl(nGC_63) - cMS*coupl(nGC_75   &
                        ) - cMT*coupl(nGC_79) - cMU*coupl(nGC_87))/(16d0*pi**  &
                        2d0)
      coupl(nGC_3273) = coupl(nGC_11)**2d0*sq2**2d0*(cMB*coupl(nGC_55) + cMC*  &
                        coupl(nGC_59) + cMD*coupl(nGC_63) + cMS*coupl(nGC_75   &
                        ) + cMT*coupl(nGC_79) + cMU*coupl(nGC_87))/(16d0*pi**  &
                        2d0*Nc)
      coupl(nGC_3274) = coupl(nGC_23)**2d0*(Nc*coupl(nGC_38) - Nc*coupl(nGC_39 &
                        ) + coupl(nGC_40) - coupl(nGC_41))/(8d0*pi**2d0)
      coupl(nGC_5709) = coupl(nGC_3377) + coupl(nGC_46)*dZH_QED2 + coupl(nGC_46&
                        )*dZZ_QED2
      coupl(nGC_3279) = cima*(-4d0*Nc*coupl(nGC_1)**2d0*coupl(nGC_53)**2d0 -   &
                        4d0*Nc*coupl(nGC_1)**2d0*coupl(nGC_57)**2d0 - 4d0*Nc*  &
                        coupl(nGC_1)**2d0*coupl(nGC_61)**2d0 - 4d0*Nc*coupl(   &
                        nGC_1)**2d0*coupl(nGC_73)**2d0 - 4d0*Nc*coupl(nGC_1)** &
                        2d0*coupl(nGC_77)**2d0 - 4d0*Nc*coupl(nGC_1)**2d0*coupl&
                        (nGC_85)**2d0 + 5d0*Nc*coupl(nGC_1)*coupl(nGC_2)*coupl(&
                        nGC_53)**2d0 + 5d0*Nc*coupl(nGC_1)*coupl(nGC_2)*coupl( &
                        nGC_57)**2d0 + 5d0*Nc*coupl(nGC_1)*coupl(nGC_2)*coupl( &
                        nGC_61)**2d0 + 5d0*Nc*coupl(nGC_1)*coupl(nGC_2)*coupl( &
                        nGC_73)**2d0 + 5d0*Nc*coupl(nGC_1)*coupl(nGC_2)*coupl( &
                        nGC_77)**2d0 + 5d0*Nc*coupl(nGC_1)*coupl(nGC_2)*coupl( &
                        nGC_85)**2d0 - 4d0*Nc*coupl(nGC_2)**2d0*coupl(nGC_53)**&
                        2d0 - 4d0*Nc*coupl(nGC_2)**2d0*coupl(nGC_57)**2d0 - 4d0&
                        *Nc*coupl(nGC_2)**2d0*coupl(nGC_61)**2d0 - 4d0*Nc*coupl&
                        (nGC_2)**2d0*coupl(nGC_73)**2d0 - 4d0*Nc*coupl(nGC_2)**&
                        2d0*coupl(nGC_77)**2d0 - 4d0*Nc*coupl(nGC_2)**2d0*coupl&
                        (nGC_85)**2d0 - 4d0*coupl(nGC_4)**2d0*coupl(nGC_65)**  &
                        2d0 - 4d0*coupl(nGC_4)**2d0*coupl(nGC_69)**2d0 - 4d0*  &
                        coupl(nGC_4)**2d0*coupl(nGC_81)**2d0)/(24d0*pi**2d0)
      coupl(nGC_3363) = coupl(nGC_3203)*dsw_QED2 + coupl(nGC_3204)*dZee_QED2 + &
                        coupl(nGC_3205)*dvev_QED1
      coupl(nGC_4729) = coupl(nGC_39)*dZZA_QED2/2d0
      coupl(nGC_3405) = coupl(nGC_3218)*dydo_QED1
      coupl(nGC_3404) = coupl(nGC_3218)*dydo_QED3
      coupl(nGC_3403) = coupl(nGC_3217)*dydo_QED1
      coupl(nGC_3402) = coupl(nGC_3217)*dydo_QED3
      coupl(nGC_4759) = coupl(nGC_23)*dZWMinus_QED2/2d0 + coupl(nGC_3383)
      coupl(nGC_4752) = coupl(nGC_41)*dZZA_QED2/2d0
      coupl(nGC_4750) = coupl(nGC_25)*dZZ_QED2/2d0 + coupl(nGC_3)*dZAZ_QED2/2d0&
                         + coupl(nGC_3342)
      coupl(nGC_3242) = cima*(-Nc*cMB**2d0*coupl(nGC_55)**2d0 - Nc*cMC**2d0*   &
                        coupl(nGC_59)**2d0 - Nc*cMD**2d0*coupl(nGC_63)**2d0 -  &
                        Nc*cMS**2d0*coupl(nGC_75)**2d0 - Nc*cMT**2d0*coupl(    &
                        nGC_79)**2d0 - Nc*cMU**2d0*coupl(nGC_87)**2d0 - cME**  &
                        2d0*coupl(nGC_67)**2d0 - cMM**2d0*coupl(nGC_71)**2d0 - &
                        cMTA**2d0*coupl(nGC_83)**2d0)/(4d0*pi**2d0)
      coupl(nGC_7692) = -coupl(nGC_7688)
      coupl(nGC_7691) = coupl(nGC_3475) + coupl(nGC_MW)*dZWMinus_QED2
      coupl(nGC_5203) = coupl(nGC_3421) + coupl(nGC_65)*dZeMinusR/2d0 + coupl( &
                        nGC_65)*dZnu_eL/2d0
      coupl(nGC_6501) = coupl(nGC_71)*(dZmuMinusL + dZmuMinusR)/2d0
      coupl(nGC_6505) = coupl(nGC_3440) + coupl(nGC_71)*dZH_QED2/2d0
      coupl(nGC_6506) = coupl(nGC_3441) + coupl(nGC_6501)
      coupl(nGC_5364) = coupl(nGC_3346) + coupl(nGC_4)*dZWMinus_QED2/2d0
      coupl(nGC_5365) = -coupl(nGC_5364)
      coupl(nGC_9554) = -coupl(nGC_3276)
      coupl(nGC_4910) = coupl(nGC_38)*dZbL
      coupl(nGC_3338) = coupl(nGC_3102)*dZgs_QCD2
      coupl(nGC_9382) = -3d0*coupl(nGC_3333)/5d0
      coupl(nGC_4863) = coupl(nGC_26)*dZAZ_QED2/2d0 + coupl(nGC_3376) + coupl( &
                        nGC_7)*dZWMinus_QED2/2d0 + coupl(nGC_7)*dZZ_QED2/2d0
      coupl(nGC_4865) = coupl(nGC_38)*dZZA_QED2/2d0
      coupl(nGC_4867) = coupl(nGC_34)*dZZA_QED2/2d0
      coupl(nGC_5097) = coupl(nGC_3346) + coupl(nGC_4)*dZA_QED2/2d0
      coupl(nGC_5094) = coupl(nGC_36)*dZZA_QED2/2d0
      coupl(nGC_5098) = coupl(nGC_5094) + coupl(nGC_5097)
      coupl(nGC_5099) = coupl(nGC_5096) + coupl(nGC_5097)
      coupl(nGC_5745) = coupl(nGC_3372) + coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_40)*dZZ_QED2/2d0
      coupl(nGC_4827) = coupl(nGC_26)*dZA_QED2/2d0 + coupl(nGC_26)*            &
                        dZWMinus_QED2/2d0 + coupl(nGC_3366) + coupl(nGC_7)*    &
                        dZZA_QED2/2d0
      coupl(nGC_3339) = coupl(nGC_3106)*dZgs_QCD2
      coupl(nGC_4911) = coupl(nGC_3387) + coupl(nGC_34)*dZZ_QED2/2d0
      coupl(nGC_4912) = coupl(nGC_3386) + coupl(nGC_38)*dZZ_QED2/2d0
      coupl(nGC_4913) = coupl(nGC_4904) + coupl(nGC_4911)
      coupl(nGC_3331) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_34) -     &
                        coupl(nGC_35) - coupl(nGC_38) - coupl(nGC_39))/(64d0*pi&
                        **2d0*Nc)
      coupl(nGC_3330) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_34) + coupl&
                        (nGC_35) + coupl(nGC_38) + coupl(nGC_39))/(128d0*pi**  &
                        2d0)
      coupl(nGC_3332) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_34) + coupl&
                        (nGC_35) + coupl(nGC_38) + coupl(nGC_39))/(32d0*pi**2d0&
                        *Nc**2d0)
      coupl(nGC_6861) = coupl(nGC_3473) + coupl(nGC_6859)
      coupl(nGC_6208) = coupl(nGC_3419) + coupl(nGC_6203)
      coupl(nGC_3449) = coupl(nGC_3214)*dyc_QED1
      coupl(nGC_3448) = coupl(nGC_3214)*dyc_QED3
      coupl(nGC_8370) = -coupl(nGC_8369)
      coupl(nGC_3298) = cima*coupl(nGC_23)*(5d0*Nc*coupl(nGC_34)*coupl(nGC_53)*&
                        coupl(nGC_55) + 5d0*Nc*coupl(nGC_34)*coupl(nGC_61)*    &
                        coupl(nGC_63) + 5d0*Nc*coupl(nGC_34)*coupl(nGC_73)*    &
                        coupl(nGC_75) + 5d0*Nc*coupl(nGC_35)*coupl(nGC_57)*    &
                        coupl(nGC_59) + 5d0*Nc*coupl(nGC_35)*coupl(nGC_77)*    &
                        coupl(nGC_79) + 5d0*Nc*coupl(nGC_35)*coupl(nGC_85)*    &
                        coupl(nGC_87) - 4d0*Nc*coupl(nGC_38)*coupl(nGC_53)*    &
                        coupl(nGC_55) - 4d0*Nc*coupl(nGC_38)*coupl(nGC_57)*    &
                        coupl(nGC_59) - 4d0*Nc*coupl(nGC_38)*coupl(nGC_61)*    &
                        coupl(nGC_63) - 4d0*Nc*coupl(nGC_38)*coupl(nGC_73)*    &
                        coupl(nGC_75) - 4d0*Nc*coupl(nGC_38)*coupl(nGC_77)*    &
                        coupl(nGC_79) - 4d0*Nc*coupl(nGC_38)*coupl(nGC_85)*    &
                        coupl(nGC_87) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_53)*    &
                        coupl(nGC_55) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_57)*    &
                        coupl(nGC_59) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_61)*    &
                        coupl(nGC_63) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_73)*    &
                        coupl(nGC_75) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_77)*    &
                        coupl(nGC_79) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_85)*    &
                        coupl(nGC_87) + 5d0*coupl(nGC_36)*coupl(nGC_65)*coupl( &
                        nGC_67) + 5d0*coupl(nGC_36)*coupl(nGC_69)*coupl(nGC_71 &
                        ) + 5d0*coupl(nGC_36)*coupl(nGC_81)*coupl(nGC_83) - 4d0&
                        *coupl(nGC_40)*coupl(nGC_65)*coupl(nGC_67) - 4d0*coupl(&
                        nGC_40)*coupl(nGC_69)*coupl(nGC_71) - 4d0*coupl(nGC_40 &
                        )*coupl(nGC_81)*coupl(nGC_83) - 4d0*coupl(nGC_41)*coupl&
                        (nGC_65)*coupl(nGC_67) - 4d0*coupl(nGC_41)*coupl(nGC_69&
                        )*coupl(nGC_71) - 4d0*coupl(nGC_41)*coupl(nGC_81)*coupl&
                        (nGC_83))/(48d0*pi**2d0)
      coupl(nGC_3299) = cima*(-4d0*Nc*coupl(nGC_34)**2d0*coupl(nGC_53)**2d0 -  &
                        4d0*Nc*coupl(nGC_34)**2d0*coupl(nGC_61)**2d0 - 4d0*Nc* &
                        coupl(nGC_34)**2d0*coupl(nGC_73)**2d0 + 5d0*Nc*coupl(  &
                        nGC_34)*coupl(nGC_39)*coupl(nGC_53)**2d0 + 5d0*Nc*coupl&
                        (nGC_34)*coupl(nGC_39)*coupl(nGC_61)**2d0 + 5d0*Nc*    &
                        coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_73)**2d0 - 4d0*Nc&
                        *coupl(nGC_35)**2d0*coupl(nGC_57)**2d0 - 4d0*Nc*coupl( &
                        nGC_35)**2d0*coupl(nGC_77)**2d0 - 4d0*Nc*coupl(nGC_35  &
                        )**2d0*coupl(nGC_85)**2d0 + 5d0*Nc*coupl(nGC_35)*coupl(&
                        nGC_38)*coupl(nGC_57)**2d0 + 5d0*Nc*coupl(nGC_35)*coupl&
                        (nGC_38)*coupl(nGC_77)**2d0 + 5d0*Nc*coupl(nGC_35)*    &
                        coupl(nGC_38)*coupl(nGC_85)**2d0 - 4d0*Nc*coupl(nGC_38 &
                        )**2d0*coupl(nGC_57)**2d0 - 4d0*Nc*coupl(nGC_38)**2d0* &
                        coupl(nGC_77)**2d0 - 4d0*Nc*coupl(nGC_38)**2d0*coupl(  &
                        nGC_85)**2d0 - 4d0*Nc*coupl(nGC_39)**2d0*coupl(nGC_53  &
                        )**2d0 - 4d0*Nc*coupl(nGC_39)**2d0*coupl(nGC_61)**2d0  &
                         - 4d0*Nc*coupl(nGC_39)**2d0*coupl(nGC_73)**2d0 - 4d0* &
                        coupl(nGC_36)**2d0*coupl(nGC_65)**2d0 - 4d0*coupl(     &
                        nGC_36)**2d0*coupl(nGC_69)**2d0 - 4d0*coupl(nGC_36)**  &
                        2d0*coupl(nGC_81)**2d0 + 5d0*coupl(nGC_36)*coupl(nGC_41&
                        )*coupl(nGC_65)**2d0 + 5d0*coupl(nGC_36)*coupl(nGC_41)*&
                        coupl(nGC_69)**2d0 + 5d0*coupl(nGC_36)*coupl(nGC_41)*  &
                        coupl(nGC_81)**2d0 - 4d0*coupl(nGC_41)**2d0*coupl(     &
                        nGC_65)**2d0 - 4d0*coupl(nGC_41)**2d0*coupl(nGC_69)**  &
                        2d0 - 4d0*coupl(nGC_41)**2d0*coupl(nGC_81)**2d0)/(24d0*&
                        pi**2d0)
      coupl(nGC_3296) = 5d0*cima*(Nc*coupl(nGC_53)**2d0*coupl(nGC_55)**2d0 + Nc&
                        *coupl(nGC_53)**2d0*coupl(nGC_79)**2d0 + 2d0*Nc*coupl( &
                        nGC_53)*coupl(nGC_55)*coupl(nGC_77)*coupl(nGC_79) + Nc*&
                        coupl(nGC_55)**2d0*coupl(nGC_77)**2d0 + Nc*coupl(nGC_57&
                        )**2d0*coupl(nGC_59)**2d0 + Nc*coupl(nGC_57)**2d0*coupl&
                        (nGC_75)**2d0 + 2d0*Nc*coupl(nGC_57)*coupl(nGC_59)*    &
                        coupl(nGC_73)*coupl(nGC_75) + Nc*coupl(nGC_59)**2d0*   &
                        coupl(nGC_73)**2d0 + Nc*coupl(nGC_61)**2d0*coupl(nGC_63&
                        )**2d0 + Nc*coupl(nGC_61)**2d0*coupl(nGC_87)**2d0 + 2d0&
                        *Nc*coupl(nGC_61)*coupl(nGC_63)*coupl(nGC_85)*coupl(   &
                        nGC_87) + Nc*coupl(nGC_63)**2d0*coupl(nGC_85)**2d0 + Nc&
                        *coupl(nGC_73)**2d0*coupl(nGC_75)**2d0 + Nc*coupl(     &
                        nGC_77)**2d0*coupl(nGC_79)**2d0 + Nc*coupl(nGC_85)**2d0&
                        *coupl(nGC_87)**2d0 + coupl(nGC_65)**2d0*coupl(nGC_67  &
                        )**2d0 + coupl(nGC_69)**2d0*coupl(nGC_71)**2d0 + coupl(&
                        nGC_81)**2d0*coupl(nGC_83)**2d0)/(24d0*pi**2d0)
      coupl(nGC_3297) = cima*coupl(nGC_23)*(5d0*Nc*coupl(nGC_34)*coupl(nGC_53)*&
                        coupl(nGC_54) + 5d0*Nc*coupl(nGC_34)*coupl(nGC_61)*    &
                        coupl(nGC_62) + 5d0*Nc*coupl(nGC_34)*coupl(nGC_73)*    &
                        coupl(nGC_74) + 5d0*Nc*coupl(nGC_35)*coupl(nGC_57)*    &
                        coupl(nGC_58) + 5d0*Nc*coupl(nGC_35)*coupl(nGC_77)*    &
                        coupl(nGC_78) + 5d0*Nc*coupl(nGC_35)*coupl(nGC_85)*    &
                        coupl(nGC_86) - 4d0*Nc*coupl(nGC_38)*coupl(nGC_53)*    &
                        coupl(nGC_54) - 4d0*Nc*coupl(nGC_38)*coupl(nGC_57)*    &
                        coupl(nGC_58) - 4d0*Nc*coupl(nGC_38)*coupl(nGC_61)*    &
                        coupl(nGC_62) - 4d0*Nc*coupl(nGC_38)*coupl(nGC_73)*    &
                        coupl(nGC_74) - 4d0*Nc*coupl(nGC_38)*coupl(nGC_77)*    &
                        coupl(nGC_78) - 4d0*Nc*coupl(nGC_38)*coupl(nGC_85)*    &
                        coupl(nGC_86) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_53)*    &
                        coupl(nGC_54) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_57)*    &
                        coupl(nGC_58) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_61)*    &
                        coupl(nGC_62) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_73)*    &
                        coupl(nGC_74) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_77)*    &
                        coupl(nGC_78) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_85)*    &
                        coupl(nGC_86) + 5d0*coupl(nGC_36)*coupl(nGC_65)*coupl( &
                        nGC_66) + 5d0*coupl(nGC_36)*coupl(nGC_69)*coupl(nGC_70 &
                        ) + 5d0*coupl(nGC_36)*coupl(nGC_81)*coupl(nGC_82) - 4d0&
                        *coupl(nGC_40)*coupl(nGC_65)*coupl(nGC_66) - 4d0*coupl(&
                        nGC_40)*coupl(nGC_69)*coupl(nGC_70) - 4d0*coupl(nGC_40 &
                        )*coupl(nGC_81)*coupl(nGC_82) - 4d0*coupl(nGC_41)*coupl&
                        (nGC_65)*coupl(nGC_66) - 4d0*coupl(nGC_41)*coupl(nGC_69&
                        )*coupl(nGC_70) - 4d0*coupl(nGC_41)*coupl(nGC_81)*coupl&
                        (nGC_82))/(48d0*pi**2d0)
      coupl(nGC_3294) = 5d0*cima*(Nc*coupl(nGC_53)**2d0*coupl(nGC_54)*coupl(   &
                        nGC_56) + Nc*coupl(nGC_53)**2d0*coupl(nGC_78)*coupl(   &
                        nGC_80) + Nc*coupl(nGC_53)*coupl(nGC_54)*coupl(nGC_77)*&
                        coupl(nGC_80) + Nc*coupl(nGC_53)*coupl(nGC_56)*coupl(  &
                        nGC_77)*coupl(nGC_78) + Nc*coupl(nGC_54)*coupl(nGC_56)*&
                        coupl(nGC_77)**2d0 + Nc*coupl(nGC_57)**2d0*coupl(nGC_58&
                        )*coupl(nGC_60) + Nc*coupl(nGC_57)**2d0*coupl(nGC_74)* &
                        coupl(nGC_76) + Nc*coupl(nGC_57)*coupl(nGC_58)*coupl(  &
                        nGC_73)*coupl(nGC_76) + Nc*coupl(nGC_57)*coupl(nGC_60)*&
                        coupl(nGC_73)*coupl(nGC_74) + Nc*coupl(nGC_58)*coupl(  &
                        nGC_60)*coupl(nGC_73)**2d0 + Nc*coupl(nGC_61)**2d0*    &
                        coupl(nGC_62)*coupl(nGC_64) + Nc*coupl(nGC_61)**2d0*   &
                        coupl(nGC_86)*coupl(nGC_88) + Nc*coupl(nGC_61)*coupl(  &
                        nGC_62)*coupl(nGC_85)*coupl(nGC_88) + Nc*coupl(nGC_61)*&
                        coupl(nGC_64)*coupl(nGC_85)*coupl(nGC_86) + Nc*coupl(  &
                        nGC_62)*coupl(nGC_64)*coupl(nGC_85)**2d0 + Nc*coupl(   &
                        nGC_73)**2d0*coupl(nGC_74)*coupl(nGC_76) + Nc*coupl(   &
                        nGC_77)**2d0*coupl(nGC_78)*coupl(nGC_80) + Nc*coupl(   &
                        nGC_85)**2d0*coupl(nGC_86)*coupl(nGC_88) + coupl(nGC_65&
                        )**2d0*coupl(nGC_66)*coupl(nGC_68) + coupl(nGC_69)**2d0&
                        *coupl(nGC_70)*coupl(nGC_72) + coupl(nGC_81)**2d0*coupl&
                        (nGC_82)*coupl(nGC_84))/(24d0*pi**2d0)
      coupl(nGC_3295) = cima*coupl(nGC_23)**2d0*(-Nc*coupl(nGC_53)**2d0 - Nc*  &
                        coupl(nGC_57)**2d0 - Nc*coupl(nGC_61)**2d0 - Nc*coupl( &
                        nGC_73)**2d0 - Nc*coupl(nGC_77)**2d0 - Nc*coupl(nGC_85 &
                        )**2d0 - coupl(nGC_65)**2d0 - coupl(nGC_69)**2d0 -     &
                        coupl(nGC_81)**2d0)/(12d0*pi**2d0)
      coupl(nGC_3292) = cima*(-Nc*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_54)*    &
                        coupl(nGC_56) - Nc*coupl(nGC_1)*coupl(nGC_34)*coupl(   &
                        nGC_62)*coupl(nGC_64) - Nc*coupl(nGC_1)*coupl(nGC_34)* &
                        coupl(nGC_74)*coupl(nGC_76) - Nc*coupl(nGC_1)*coupl(   &
                        nGC_38)*coupl(nGC_54)*coupl(nGC_56) - Nc*coupl(nGC_1)* &
                        coupl(nGC_38)*coupl(nGC_62)*coupl(nGC_64) - Nc*coupl(  &
                        nGC_1)*coupl(nGC_38)*coupl(nGC_74)*coupl(nGC_76) - Nc* &
                        coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_58)*coupl(nGC_60  &
                        ) - Nc*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_78)*coupl( &
                        nGC_80) - Nc*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_86)* &
                        coupl(nGC_88) - Nc*coupl(nGC_2)*coupl(nGC_39)*coupl(   &
                        nGC_58)*coupl(nGC_60) - Nc*coupl(nGC_2)*coupl(nGC_39)* &
                        coupl(nGC_78)*coupl(nGC_80) - Nc*coupl(nGC_2)*coupl(   &
                        nGC_39)*coupl(nGC_86)*coupl(nGC_88) - coupl(nGC_36)*   &
                        coupl(nGC_4)*coupl(nGC_66)*coupl(nGC_68) - coupl(nGC_36&
                        )*coupl(nGC_4)*coupl(nGC_70)*coupl(nGC_72) - coupl(    &
                        nGC_36)*coupl(nGC_4)*coupl(nGC_82)*coupl(nGC_84) -     &
                        coupl(nGC_4)*coupl(nGC_40)*coupl(nGC_66)*coupl(nGC_68  &
                        ) - coupl(nGC_4)*coupl(nGC_40)*coupl(nGC_70)*coupl(    &
                        nGC_72) - coupl(nGC_4)*coupl(nGC_40)*coupl(nGC_82)*    &
                        coupl(nGC_84))/(8d0*pi**2d0)
      coupl(nGC_3293) = cima*(-Nc*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_55)**2d0&
                         - Nc*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_63)**2d0 -  &
                        Nc*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_75)**2d0 - Nc* &
                        coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_55)**2d0 - Nc*    &
                        coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_63)**2d0 - Nc*    &
                        coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_75)**2d0 - Nc*    &
                        coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_59)**2d0 - Nc*    &
                        coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_79)**2d0 - Nc*    &
                        coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_87)**2d0 - Nc*    &
                        coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_59)**2d0 - Nc*    &
                        coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_79)**2d0 - Nc*    &
                        coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_87)**2d0 - coupl( &
                        nGC_36)*coupl(nGC_4)*coupl(nGC_67)**2d0 - coupl(nGC_36 &
                        )*coupl(nGC_4)*coupl(nGC_71)**2d0 - coupl(nGC_36)*coupl&
                        (nGC_4)*coupl(nGC_83)**2d0 - coupl(nGC_4)*coupl(nGC_40 &
                        )*coupl(nGC_67)**2d0 - coupl(nGC_4)*coupl(nGC_40)*coupl&
                        (nGC_71)**2d0 - coupl(nGC_4)*coupl(nGC_40)*coupl(nGC_83&
                        )**2d0)/(8d0*pi**2d0)
      coupl(nGC_3290) = cima*(Nc*coupl(nGC_1)**3d0*coupl(nGC_34) + Nc*coupl(   &
                        nGC_1)**3d0*coupl(nGC_38) + Nc*coupl(nGC_2)**3d0*coupl(&
                        nGC_35) + Nc*coupl(nGC_2)**3d0*coupl(nGC_39) + coupl(  &
                        nGC_36)*coupl(nGC_4)**3d0 + coupl(nGC_4)**3d0*coupl(   &
                        nGC_40))/(8d0*pi**2d0)
      coupl(nGC_3291) = 5d0*cima*(Nc*coupl(nGC_53)**4d0 + Nc*coupl(nGC_57)**4d0&
                         + Nc*coupl(nGC_61)**4d0 + Nc*coupl(nGC_73)**4d0 + Nc* &
                        coupl(nGC_77)**4d0 + Nc*coupl(nGC_85)**4d0 + coupl(    &
                        nGC_65)**4d0 + coupl(nGC_69)**4d0 + coupl(nGC_81)**4d0 &
                        )/(24d0*pi**2d0)
      coupl(nGC_6104) = -coupl(nGC_5745)
      coupl(nGC_5068) = coupl(nGC_37)*dZZA_QED2/2d0
      coupl(nGC_5060) = coupl(nGC_3437) + coupl(nGC_84)*dZtauMinusL/2d0 + coupl&
                        (nGC_84)*dZtauMinusR/2d0
      coupl(nGC_5731) = coupl(nGC_MD)*(dZdL + dZdR)/2d0
      coupl(nGC_5329) = coupl(nGC_3388) + coupl(nGC_41)*dZZ_QED2/2d0
      coupl(nGC_4764) = coupl(nGC_24)*dZWMinus_QED2/2d0 + coupl(nGC_3351)
      coupl(nGC_4768) = coupl(nGC_3478) + coupl(nGC_MZ_GF)*dZZ_QED2/2d0
      coupl(nGC_5496) = coupl(nGC_79)*(dZtL + dZtR)/2d0
      coupl(nGC_5497) = coupl(nGC_3460) + coupl(nGC_79)*dZH_QED2/2d0
      coupl(nGC_5396) = -coupl(nGC_4971)
      coupl(nGC_5259) = coupl(nGC_38)*dZsL
      coupl(nGC_5392) = coupl(nGC_3442) + coupl(nGC_83)*dZH_QED2/2d0
      coupl(nGC_5256) = coupl(nGC_34)*dZsR
      coupl(nGC_3369) = coupl(nGC_3200)*dsw_QED2 + coupl(nGC_3201)*dZee_QED2 + &
                        coupl(nGC_3202)*dvev_QED1
      coupl(nGC_4812) = coupl(nGC_3477) + coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0
      coupl(nGC_4816) = coupl(nGC_28)*dZAZ_QED2/2d0 + coupl(nGC_3373) + coupl( &
                        nGC_9)*dZWMinus_QED2/2d0 + coupl(nGC_9)*dZZ_QED2/2d0
      coupl(nGC_5103) = coupl(nGC_28)*dZA_QED2/2d0 + coupl(nGC_28)*            &
                        dZWMinus_QED2/2d0 + coupl(nGC_3361) + coupl(nGC_9)*    &
                        dZZA_QED2/2d0
      coupl(nGC_3364) = coupl(nGC_3116)*dZee_QED2 + coupl(nGC_3117)*dsw_QED2
      coupl(nGC_3249) = cima*(-Nc*coupl(nGC_1)*coupl(nGC_34) - Nc*coupl(nGC_1)*&
                        coupl(nGC_38) - Nc*coupl(nGC_2)*coupl(nGC_35) - Nc*    &
                        coupl(nGC_2)*coupl(nGC_39) - coupl(nGC_36)*coupl(nGC_4 &
                        ) - coupl(nGC_4)*coupl(nGC_40))/(16d0*pi**2d0)
      coupl(nGC_3248) = cima*(Nc*cMB**2d0*coupl(nGC_34)**2d0 + Nc*cMB**2d0*    &
                        coupl(nGC_38)**2d0 + Nc*cMC**2d0*coupl(nGC_35)**2d0 +  &
                        Nc*cMC**2d0*coupl(nGC_39)**2d0 + Nc*cMD**2d0*coupl(    &
                        nGC_34)**2d0 + Nc*cMD**2d0*coupl(nGC_38)**2d0 + Nc*cMS &
                        **2d0*coupl(nGC_34)**2d0 + Nc*cMS**2d0*coupl(nGC_38)** &
                        2d0 + Nc*cMT**2d0*coupl(nGC_35)**2d0 + Nc*cMT**2d0*    &
                        coupl(nGC_39)**2d0 + Nc*cMU**2d0*coupl(nGC_35)**2d0 +  &
                        Nc*cMU**2d0*coupl(nGC_39)**2d0 + cME**2d0*coupl(nGC_36 &
                        )**2d0 + cME**2d0*coupl(nGC_40)**2d0 + cMM**2d0*coupl( &
                        nGC_36)**2d0 + cMM**2d0*coupl(nGC_40)**2d0 + cMTA**2d0*&
                        coupl(nGC_36)**2d0 + cMTA**2d0*coupl(nGC_40)**2d0)/(8d0&
                        *pi**2d0)
      coupl(nGC_3360) = coupl(nGC_3097)*dZee_QED2
      coupl(nGC_3247) = cima*(-Nc*coupl(nGC_34)**2d0 - Nc*coupl(nGC_35)**2d0 - &
                        Nc*coupl(nGC_38)**2d0 - Nc*coupl(nGC_39)**2d0 - coupl( &
                        nGC_36)**2d0 - coupl(nGC_40)**2d0 - coupl(nGC_41)**2d0 &
                        )/(16d0*pi**2d0)
      coupl(nGC_3241) = cima*(Nc*coupl(nGC_55)**2d0 + Nc*coupl(nGC_59)**2d0 +  &
                        Nc*coupl(nGC_63)**2d0 + Nc*coupl(nGC_75)**2d0 + Nc*    &
                        coupl(nGC_79)**2d0 + Nc*coupl(nGC_87)**2d0 + coupl(    &
                        nGC_67)**2d0 + coupl(nGC_71)**2d0 + coupl(nGC_83)**2d0 &
                        )/(24d0*pi**2d0)
      coupl(nGC_3240) = cima*(-Nc*cMB**2d0*coupl(nGC_54)*coupl(nGC_56) - Nc*cMC&
                        **2d0*coupl(nGC_58)*coupl(nGC_60) - Nc*cMD**2d0*coupl( &
                        nGC_62)*coupl(nGC_64) - Nc*cMS**2d0*coupl(nGC_74)*coupl&
                        (nGC_76) - Nc*cMT**2d0*coupl(nGC_78)*coupl(nGC_80) - Nc&
                        *cMU**2d0*coupl(nGC_86)*coupl(nGC_88) - cME**2d0*coupl(&
                        nGC_66)*coupl(nGC_68) - cMM**2d0*coupl(nGC_70)*coupl(  &
                        nGC_72) - cMTA**2d0*coupl(nGC_82)*coupl(nGC_84))/(4d0* &
                        pi**2d0)
      coupl(nGC_3368) = coupl(nGC_3110)*dZee_QED2 + coupl(nGC_3111)*dsw_QED2
      coupl(nGC_9121) = -coupl(nGC_3274)
      coupl(nGC_4731) = coupl(nGC_35)*dZZA_QED2/2d0
      coupl(nGC_4732) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_3380)
      coupl(nGC_4733) = coupl(nGC_4731) + coupl(nGC_4732)
      coupl(nGC_3414) = coupl(nGC_3216)*dydo_QED3
      coupl(nGC_3415) = coupl(nGC_3216)*dydo_QED1
      coupl(nGC_5037) = coupl(nGC_3393) + coupl(nGC_85)*dZdL/2d0 + coupl(nGC_85&
                        )*dZuR/2d0
      coupl(nGC_5465) = -coupl(nGC_5461)
      coupl(nGC_8307) = coupl(nGC_3355) + coupl(nGC_HHHH)
      coupl(nGC_5607) = coupl(nGC_3455) + coupl(nGC_78)*dZtL/2d0 + coupl(nGC_78&
                        )*dZtR/2d0
      coupl(nGC_5606) = coupl(nGC_3453) + coupl(nGC_80)*dZtL/2d0 + coupl(nGC_80&
                        )*dZtR/2d0
      coupl(nGC_6090) = coupl(nGC_3417) + coupl(nGC_6088)
      coupl(nGC_5957) = coupl(nGC_17)*dZH_QED2 + coupl(nGC_17)*dZWMinus_QED2 + &
                        coupl(nGC_3368)
      coupl(nGC_5211) = coupl(nGC_MT)*(dZtL + dZtR)/2d0
      coupl(nGC_4783) = coupl(nGC_24)*dZZA_QED2/2d0 + coupl(nGC_3346) + coupl( &
                        nGC_4)*dZA_QED2/2d0
      coupl(nGC_5214) = coupl(nGC_3470) + coupl(nGC_5211)
      coupl(nGC_4784) = -coupl(nGC_4783)
      coupl(nGC_5217) = coupl(nGC_39)*dZtL
      coupl(nGC_4788) = coupl(nGC_19)*dZWMinus_QED2 + coupl(nGC_19)*dZZ_QED2 + &
                        coupl(nGC_3345)
      coupl(nGC_9015) = -coupl(nGC_3257)
      coupl(nGC_8429) = coupl(nGC_ME)*(dZeMinusL + dZeMinusR)/2d0
      coupl(nGC_4855) = coupl(nGC_3389) + coupl(nGC_36)*dZZ_QED2/2d0
      coupl(nGC_3300) = cima*coupl(nGC_23)*(5d0*Nc*coupl(nGC_34)*coupl(nGC_53)*&
                        coupl(nGC_56) + 5d0*Nc*coupl(nGC_34)*coupl(nGC_61)*    &
                        coupl(nGC_64) + 5d0*Nc*coupl(nGC_34)*coupl(nGC_73)*    &
                        coupl(nGC_76) + 5d0*Nc*coupl(nGC_35)*coupl(nGC_57)*    &
                        coupl(nGC_60) + 5d0*Nc*coupl(nGC_35)*coupl(nGC_77)*    &
                        coupl(nGC_80) + 5d0*Nc*coupl(nGC_35)*coupl(nGC_85)*    &
                        coupl(nGC_88) - 4d0*Nc*coupl(nGC_38)*coupl(nGC_53)*    &
                        coupl(nGC_56) - 4d0*Nc*coupl(nGC_38)*coupl(nGC_57)*    &
                        coupl(nGC_60) - 4d0*Nc*coupl(nGC_38)*coupl(nGC_61)*    &
                        coupl(nGC_64) - 4d0*Nc*coupl(nGC_38)*coupl(nGC_73)*    &
                        coupl(nGC_76) - 4d0*Nc*coupl(nGC_38)*coupl(nGC_77)*    &
                        coupl(nGC_80) - 4d0*Nc*coupl(nGC_38)*coupl(nGC_85)*    &
                        coupl(nGC_88) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_53)*    &
                        coupl(nGC_56) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_57)*    &
                        coupl(nGC_60) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_61)*    &
                        coupl(nGC_64) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_73)*    &
                        coupl(nGC_76) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_77)*    &
                        coupl(nGC_80) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_85)*    &
                        coupl(nGC_88) + 5d0*coupl(nGC_36)*coupl(nGC_65)*coupl( &
                        nGC_68) + 5d0*coupl(nGC_36)*coupl(nGC_69)*coupl(nGC_72 &
                        ) + 5d0*coupl(nGC_36)*coupl(nGC_81)*coupl(nGC_84) - 4d0&
                        *coupl(nGC_40)*coupl(nGC_65)*coupl(nGC_68) - 4d0*coupl(&
                        nGC_40)*coupl(nGC_69)*coupl(nGC_72) - 4d0*coupl(nGC_40 &
                        )*coupl(nGC_81)*coupl(nGC_84) - 4d0*coupl(nGC_41)*coupl&
                        (nGC_65)*coupl(nGC_68) - 4d0*coupl(nGC_41)*coupl(nGC_69&
                        )*coupl(nGC_72) - 4d0*coupl(nGC_41)*coupl(nGC_81)*coupl&
                        (nGC_84))/(48d0*pi**2d0)
      coupl(nGC_4857) = coupl(nGC_4848) + coupl(nGC_4855)
      coupl(nGC_4856) = coupl(nGC_3372) + coupl(nGC_40)*dZZ_QED2/2d0
      coupl(nGC_4997) = coupl(nGC_31)*dZH_QED2/2d0 + coupl(nGC_3349)
      coupl(nGC_4858) = coupl(nGC_4848) + coupl(nGC_4856)
      coupl(nGC_3359) = coupl(nGC_3198)*dlam_QED4 + coupl(nGC_3199)*dvev_QED1
      coupl(nGC_3358) = coupl(nGC_3196)*dlam_QED4 + coupl(nGC_3197)*dvev_QED1
      coupl(nGC_3356) = coupl(nGC_3103)*dlam_QED4
      coupl(nGC_3353) = coupl(nGC_3146)*dZee_QED2 + coupl(nGC_3147)*dsw_QED2 + &
                        coupl(nGC_3148)*dMZ2_QED2
      coupl(nGC_3350) = coupl(nGC_3176)*dsw_QED2 + coupl(nGC_3177)*dMW2_QED2 + &
                        coupl(nGC_3178)*dZee_QED2 + coupl(nGC_3179)*dcw_QED2
      coupl(nGC_9160) = -coupl(nGC_3256)
      coupl(nGC_4921) = coupl(nGC_3403) + coupl(nGC_64)*dZdL/2d0 + coupl(nGC_64&
                        )*dZdR/2d0
      coupl(nGC_4922) = coupl(nGC_3405) + coupl(nGC_62)*dZdL/2d0 + coupl(nGC_62&
                        )*dZdR/2d0
      coupl(nGC_4927) = coupl(nGC_38)*dZdL
      coupl(nGC_3322) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_55)**2d0  &
                         - coupl(nGC_59)**2d0 - coupl(nGC_63)**2d0 - coupl(    &
                        nGC_75)**2d0 - coupl(nGC_79)**2d0 - coupl(nGC_87)**2d0 &
                        )/(16d0*pi**2d0)
      coupl(nGC_3320) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(  &
                        nGC_34) + coupl(nGC_1)*coupl(nGC_38) + coupl(nGC_2)*   &
                        coupl(nGC_35) + coupl(nGC_2)*coupl(nGC_39))/(32d0*pi** &
                        2d0)
      coupl(nGC_3321) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl( &
                        nGC_34) - coupl(nGC_1)*coupl(nGC_38) - coupl(nGC_2)*   &
                        coupl(nGC_35) - coupl(nGC_2)*coupl(nGC_39))/(32d0*pi** &
                        2d0*Nc)
      coupl(nGC_3326) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_34)**2d0  &
                         - coupl(nGC_35)**2d0 - coupl(nGC_38)**2d0 - coupl(    &
                        nGC_39)**2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_3324) = cima*(Nc*coupl(nGC_34)**4d0 + Nc*coupl(nGC_35)**4d0 +  &
                        Nc*coupl(nGC_38)**4d0 + Nc*coupl(nGC_39)**4d0 + coupl( &
                        nGC_36)**4d0 + coupl(nGC_40)**4d0 + coupl(nGC_41)**4d0 &
                        )/(8d0*pi**2d0)
      coupl(nGC_5437) = coupl(nGC_25)*dZWMinus_QED2 + coupl(nGC_25)*dZZ_QED2/  &
                        2d0 + coupl(nGC_3)*dZAZ_QED2/2d0 + coupl(nGC_3342)
      coupl(nGC_3450) = coupl(nGC_3213)*dyc_QED3
      coupl(nGC_3451) = coupl(nGC_3213)*dyc_QED1
      coupl(nGC_3457) = coupl(nGC_3235)*dyup_QED1
      coupl(nGC_3458) = coupl(nGC_3215)*dyc_QED3
      coupl(nGC_3459) = coupl(nGC_3215)*dyc_QED1
      coupl(nGC_5172) = -coupl(nGC_5007)
      coupl(nGC_5174) = coupl(nGC_67)*(dZeMinusL + dZeMinusR)/2d0
      coupl(nGC_5179) = coupl(nGC_3439) + coupl(nGC_5174)
      coupl(nGC_5178) = coupl(nGC_3438) + coupl(nGC_67)*dZH_QED2/2d0
      coupl(nGC_4776) = coupl(nGC_25)*dZWMinus_QED2/2d0 + coupl(nGC_3342)
      coupl(nGC_4777) = -coupl(nGC_4776)
      coupl(nGC_5388) = coupl(nGC_83)*(dZtauMinusL + dZtauMinusR)/2d0
      coupl(nGC_4894) = coupl(nGC_3346) + coupl(nGC_4)*dZA_QED2/2d0 + coupl(   &
                        nGC_40)*dZZA_QED2/2d0
      coupl(nGC_5911) = -coupl(nGC_5910)
      coupl(nGC_5082) = coupl(nGC_3451) + coupl(nGC_58)*dZcL/2d0 + coupl(nGC_58&
                        )*dZcR/2d0
      coupl(nGC_6704) = 3d0*coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_3338)
      coupl(nGC_6066) = coupl(nGC_25)*dZZA_QED2/2d0 + coupl(nGC_3)*dZA_QED2/2d0&
                         + coupl(nGC_3340)
      coupl(nGC_6067) = -coupl(nGC_6066)
      coupl(nGC_4751) = -coupl(nGC_4750)
      coupl(nGC_4802) = coupl(nGC_3363) + coupl(nGC_47)*dZZA_QED2/2d0 + coupl( &
                        nGC_51)*dZA_QED2/2d0 + coupl(nGC_51)*dZWMinus_QED2/2d0
      coupl(nGC_9297) = -coupl(nGC_3261)
      coupl(nGC_5196) = coupl(nGC_13)*dZH_QED2 + coupl(nGC_3356) + coupl(      &
                        nGC_HHGG)
      coupl(nGC_4755) = coupl(nGC_17)*dZWMinus_QED2 + coupl(nGC_3368)
      coupl(nGC_5944) = coupl(nGC_3379) + coupl(nGC_52)*dZH_QED2/2d0 + coupl(  &
                        nGC_52)*dZZ_QED2
      coupl(nGC_5013) = coupl(nGC_3414) + coupl(nGC_63)*dZH_QED2/2d0
      coupl(nGC_5880) = coupl(nGC_3375) + coupl(nGC_47)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_47)*dZZ_QED2/2d0 + coupl(nGC_51)*dZAZ_QED2/  &
                        2d0
      coupl(nGC_5322) = coupl(nGC_3360) + coupl(nGC_42)*dZZA_QED2 + coupl(nGC_6&
                        )*dZA_QED2
    end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
